2011-07-31  Morten Welinder <terra@gnome.org>

	* Release 0.8.17

2011-06-21  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-graph.c (gog_graph_populate_editor): Force the
	GtkComboxBox to drop its model on destroy to prevent theme leak if
	the combo is leaked itself.  Fixes #652420.

2011-06-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-marker-selector.c
	(go_marker_palette_render_func): Plug leak.

	* goffice/graph/gog-series.c (gog_series_populate_editor): Make
	sure we free the GtkBuilder object.

2011-06-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-06-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.16

2011-06-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* configure.in: check for get_gsf_odf_version
	* goffice/utils/go-format.c (go_format_output_fraction_to_odf):
	don't just assume that we are writing ODF 1.2

2011-06-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_fraction_to_odf): in
	ODF 1.2 we do not need to use gnm:no-integer-part any more

2011-05-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_execute): Remove "-" from
	"-0" even when no dot is present.  Fixes #650928.

2011-05-23  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.c (go_complex_invalid)
	(go_complex_angle_pi): New functions.
	(go_complex_pow): Improve accuracy.

2011-05-22  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-complex.h (go_complexl): Only defined when
	GOFFICE_WITH_LONG_DOUBLE.

2011-05-21  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-05-21  Morten Welinder <terra@gnome.org>

	* Release 0.8.15

2011-05-19  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-probability-plot.c
	(data_as_y_toggled_cb), (gog_probability_plot_populate_editor),
	(gog_probability_plot_update), (gog_probability_plot_set_property),
	(gog_probability_plot_get_property),
	(gog_probability_plot_class_init),
	(gog_probability_plot_view_render): implement data-as-y-values property.
	[#650515]
	* plugins/plot_distrib/gog-probability-plot.h: ditto.

2011-05-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-format.c (go_format_parse_sequential),
	(go_format_output_date_to_odf),
	(go_format_output_scientific_number_to_odf): fixed some gcc-4.6 warnings.
	[#649355]

2011-05-10  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (general_linear_regression): Always
	compute stat information.  If we get negative R-squared, mark
	result as bad.

2011-05-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-marker.c (go_marker_create_cairo_surface): don't
	use badly rounded values when clipping markers. [#649485]

2011-04-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-geometry.c (go_direction_get_type),
	(go_direction_get_name): make nick names localizable since they are
	used in a gnumeric dialog.
	* goffice/utils/go-geometry.h: ditto.

2011-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-legend.c (cb_render_elements): fix legends for plots
	with marker only style. [#647367]

2011-04-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_token2): localized colour
	names need not start with an alphabetic ascii character.

2011-04-08  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-group.c: Cleanup list traversal.

	* goffice/canvas/goc-item.c (goc_item_maybe_invalidate): New
	function, extracted from goc_item_invalidate.  Avoid invalidating
	invisible items.
	(goc_item_set_visible): New function.
	(goc_item_show, goc_item_hide): Base on goc_item_set_visible.
	This avoids invalidation when nothing changes.

2011-04-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy-dropbar-prefs.ui: implement dropbar plots with
	linear or logarithmic index axis. [#646832]
	* plugins/plot_xy/gog-xy-dropbar.c: ditto.
	* plugins/plot_xy/gog-xy-dropbar.h: ditto.

2011-04-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-bezier.c (go_bezier_spline_init): fixed closed bezier
	spline evaluation. [#646700]

2011-03-28  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-style.c (fill_init): Don't leak the size group.

2011-03-24  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-03-24  Morten Welinder <terra@gnome.org>

	* Release 0.8.14

2011-03-16  Morten Welinder  <terra@gnome.org>

	* configure.in: Fix backend selection by testing for win32 first.

2011-03-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-gtk-compat.h: fix gtk_widget_send_focus_change
	replacement macro to make gcc succeed again.

2011-03-12  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-box.c (do_focus_change): Add cast because
	gcc isn't smart enough to follow union rules before warning.

2011-03-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-conf-gsettings.c (go_conf_get_node),
	(cb_key_changed), (go_conf_add_monitor): fix gnumeric crash when
	monitoring settings changes. [#644222]

2011-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: implement a GSettings backend for GOConf. [#643767]
	* goffice/app/go-conf.c: ditto.
	* goffice/app/go-conf-gsettings.c: ditto.

2011-03-01  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-gconf.c (go_conf_get_node): Handle keys that
	don't start in /apps/.

2011-02-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-undo.c (go_undo_*nary_finalize): chain to parent

2011-02-23  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-charmap-sel.c (cs_build_menu): Plug leak.

	* goffice/graph/gog-guru.c (graph_guru_init_format_page): Plug
	leak.
	(graph_guru_type_selector_new): Ditto.
	* goffice/graph/gog-axis-line.c (gog_axis_base_populate_editor):
	Ditto.
	* plugins/plot_distrib/go-distribution-prefs.c (go_distribution_pref_new):
	Ditto.

2011-02-22  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-locale-sel.c (ls_build_menu): Plug leak.

2011-02-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (nfs_init): Plug leaks.
	* goffice/gtk/go-font-sel.c (list_init): Ditto.
	* goffice/gtk/go-image-sel.c (go_image_sel_new): Ditto.

2011-02-02  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2011-02-02  Morten Welinder <terra@gnome.org>

	* Release 0.8.13

2011-01-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-file.c: add some API documentation.

2011-01-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (printf_engineering): New function.
	Fix overflow problem.  Fixes #640571.
	(go_format_execute): Use printf_engineering.

2011-01-25  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/data/go-data-simple.c (render_val),
	(go_data_scalar_val_serialize), (go_data_scalar_val_unserialize),
	(go_data_vector_val_unserialize), (go_data_matrix_val_unserialize):
	use g_ascii_dtostr and g_ascii_strtod when serializing. [#640438]

2011-01-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/formats.c (_go_format_currencies): delete EEK (Estonia
	is now using the Euro

2011-01-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_raise), (goc_item_lower),
	(goc_item_lower_to_bottom), (goc_item_raise_to_top): invalidate the item
	after reordering to force a redraw? [#639840]

2011-01-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c (gog_line_view_render): fixed drop lines
	in line plots. [#638738]

2010-12-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (xyz_process): fixed a memory leak.
	* plugins/plot_surface/gog-contour.c (gog_contour_view_render): ditto.
	* tests/go-demo.c (insert_histogram_data), (main): ditto.
	* tests/shapes-demo.c (open_file): ditto.

2010-11-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_text_to_odf): new
	(go_format_output_to_odf): connect go_format_output_text_to_odf

2010-11-25  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-11-25  Morten Welinder <terra@gnome.org>

	* Release 0.8.12

2010-11-24  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-theme.c (themes_load_from_dir): Fix URI
	handling.
	(_gog_themes_init): Use g_get_home_dir.
	(gog_theme_finalize): Remove the theme from the global list.
	(_gog_themes_shutdown): Free the list of themes.

2010-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): fixed a limit issue.
	* tests/go-demo.c (insert_histogram_data): don't use raw data.

2010-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_series_update): fixed memory errors.
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): ditto.

2010-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): fixed an infinite loop
	condition. [#633965]

2010-11-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-regression.c (go_exponential_regression): make it just
	wrap go_exponential_regression_as_log.

2010-11-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-regression.c (go_exponential_regression_as_log): new
	regression utility returning the logarithms of the coefficients instead of
	the coefficients to avoid roundint to 0 or infinite.
	* goffice/math/go-regression.h: ditto.
	* plugins/reg_linear/gog-exp-reg.c
	(gog_exp_reg_curve_get_value_at), (gog_exp_reg_curve_get_equation),
	(gog_exp_reg_curve_class_init): use go_exponential_regression_as_log.
	[#633735]

2010-10-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-pattern.c (go_pattern_create_cairo_pattern): enclose
	direct drawing between cairo_surface_flush and cairo_surface_mark_dirty
	calls, making patterns work with cairo-1.10.
	* plugins/plot_barcol/Makefile.am: allow all filled plots to be displayed
	under the grid. [#632310]
	* plugins/plot_barcol/gog-area-prefs.ui: ditto.
	* plugins/plot_barcol/gog-barcol-prefs.c (display_before_grid_cb),
	(gog_barcol_plot_pref): ditto.
	* plugins/plot_barcol/gog-barcol-prefs.ui: ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_plot_set_property),
	(gog_barcol_plot_get_property), (gog_barcol_plot_class_init): ditto.
	* plugins/plot_barcol/gog-dropbar.c (gog_dropbar_set_property),
	(gog_dropbar_get_property), (display_before_grid_cb),
	(gog_dropbar_populate_editor), (gog_dropbar_plot_class_init): ditto.
	* plugins/plot_barcol/gog-line.c (gog_area_plot_set_property),
	(gog_area_plot_get_property), (display_before_grid_cb),
	(gog_area_plot_populate_editor), (gog_area_plot_class_init): ditto.
	* plugins/plot_distrib/gog-boxplot-prefs.ui: ditto.
	* plugins/plot_distrib/gog-boxplot.c (display_before_grid_cb),
	(gog_box_plot_pref), (gog_box_plot_set_property),
	(gog_box_plot_get_property), (gog_box_plot_class_init):
	* plugins/plot_distrib/gog-histogram-prefs.ui: ditto.
	* plugins/plot_distrib/gog-histogram.c
	(gog_histogram_plot_get_property),
	(gog_histogram_plot_set_property), (display_before_grid_cb),
	(gog_histogram_plot_populate_editor),
	(gog_histogram_plot_class_init): ditto.
	* plugins/plot_radar/Makefile.am: ditto.
	* plugins/plot_radar/gog-polar-prefs.ui: ditto.
	* plugins/plot_radar/gog-radar.c (gog_polar_area_set_property),
	(gog_polar_area_get_property), (display_before_grid_cb),
	(gog_polar_area_populate_editor), (gog_radar_area_plot_class_init),
	(gog_polar_plot_class_init): ditto.
	* plugins/plot_xy/gog-xy-prefs.ui: ditto.

2010-10-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: allow rendering of grids above plots.
	[#632310]
	* goffice/graph/gog-chart.c (plot_render), (gog_chart_view_render): ditto.
	* goffice/graph/gog-plot-impl.h: ditto.
	* goffice/graph/gog-plot.c (gog_plot_init): ditto.
	* plugins/plot_barcol/gog-line.c (gog_area_plot_init): ditto.
	* plugins/plot_distrib/gog-histogram.c (gog_histogram_plot_init): ditto.
	* plugins/plot_radar/gog-radar.c (gog_radar_area_plot_init): ditto.
	* plugins/plot_surface/gog-contour.c (gog_contour_plot_init): always show
	the grids above contour plots.
	* plugins/plot_surface/gog-surface.c (gog_surface_plot_init): updated
	according to above changes.
	* plugins/plot_xy/Makefile.am: add a property box for GogXYPlot.
	* plugins/plot_xy/gog-xy.c (gog_xy_set_property),
	(gog_xy_get_property), (display_before_grid_cb),
	(gog_xy_plot_populate_editor), (gog_xy_plot_class_init): ditto.

2010-10-18  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-image.c (go_image_create_cairo_pattern):
	Document lifespan.  Make the surface hold a ref to the image so
	image->data stay valid until cairo is done with it.  This is a
	btter fix for 632439.

2010-10-10  Jean Brefort  <jean.brefort@normalesup.org>

	* */*/*.ui: fixed orientation property for GtkVBox.

2010-10-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-string.c (go_string_cmp_ignorecase),
	(go_string_get_casefold), (go_string_get_casefolded_collate): fixed
	sorting with accentuated characters. [#631504]
	* goffice/utils/go-string.h:

2010-10-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/datetime.c (days_between_GO_BASIS_MSRB_30_360):
	  fix calculation, see 631242 and 630784.

2010-10-01  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-10-01  Morten Welinder <terra@gnome.org>

	* Release 0.8.11

2010-09-27  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-locale-sel.c (ls_build_menu): Draw as radio
	buttons.

2010-09-24  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/xl-surface.c (get_y_vector): fixed typo.

2010-09-23  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-charmap-sel.c (charset_trans_array): Use charset
	CP932 for what we claim is Shift_JIS.  See bug 627829 for details.
	Patch from Yasuaki Taniguchi.
	(cs_build_menu): Draw as radio buttons.

2010-09-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c: implement
	custom grids in xyz plots. [#624273]
	* plugins/plot_surface/gog-contour.h: ditto.
	* plugins/plot_surface/gog-xyz-surface-prefs.c: ditto.
	* plugins/plot_surface/gog-xyz-surface-prefs.ui: ditto.
	* plugins/plot_surface/gog-xyz-surface.c: ditto.
	* plugins/plot_surface/gog-xyz-surface.h: ditto.
	* plugins/plot_surface/gog-xyz.h: ditto.

2010-09-20  Jon Nordby <jonn@openismus.com>

	* docs/reference/goffice-docs.sgml: update API documentation.
	* goffice/goffice.c: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-chart.c: ditto.
	* goffice/graph/gog-graph.c: ditto.
	* goffice/graph/gog-label.c: ditto.
	* goffice/graph/gog-legend.c: ditto.
	* goffice/graph/gog-object.c: ditto.
	* goffice/graph/gog-plot.c: ditto.
	* goffice/graph/gog-renderer.c: ditto.
	* goffice/graph/gog-series.c: ditto.
	* goffice/gtk/go-graph-widget.c:

2010-09-10  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_date_get_dim_format): If we have a
	date format is time-of-day (or even a time format), make sure the
	format we use has full time-of-day.

2010-09-04  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-09-04  Morten Welinder <terra@gnome.org>

	* Release 0.8.10

2010-09-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c (go_doc_init_read), (go_doc_image_fetch): fixed
	GOImage references management. [#628732]
	* goffice/graph/gog-styled-object.c
	(gog_styled_object_document_changed): ditto.

2010-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-simple.c (go_data_vector_val_load_values),
	(go_data_matrix_val_load_values): update base type sizes.
	* goffice/graph/gog-styled-object.c
	(gog_styled_object_document_changed): fixed a potential crasher. [#628671]
	* goffice/utils/go-styled-object.c (go_styled_object_get_style): add
	missing space.

2010-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c (load_image_data): don't unref the image at
	this point. [#628467]

2010-09-01  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_init_read, go_doc_init_write): Make
	->imagebuf own the ids.
	(go_doc_save_image, go_doc_image_fetch): Copy image ids.

2010-08-31  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context.c (go_cmd_context_class_init): this
	should be a base init function, so change its name and arguments

2010-08-31  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot.c (gog_plot_update_cardinality),
	(gog_plot_foreach_elem): optionnaly delete trendlines from
	legend. [#628031]
	* goffice/graph/gog-trend-line.c (gog_trend_line_set_property),
	(gog_trend_line_get_property), (cb_show_in_legend),
	(gog_trend_line_populate_editor), (gog_trend_line_class_init),
	(gog_trend_line_init), (gog_trend_line_new_by_type),
	(gog_trend_line_has_legend): ditto.
	* goffice/graph/gog-trend-line.h: ditto.
	* goffice/utils/go-editor.c (go_editor_get_page): new.
	* goffice/utils/go-editor.h: ditto.

2010-08-30  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_date_calc_ticks): Simplify and
	handle non-integer steps.

	* goffice/utils/go-format.c (go_format_month_before_day): Fix test
	for date format.
	(go_format_is_date): Return also an indication of whether the
	format has time-of-day.

2010-08-29  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_date_calc_ticks): Fix condition
	for weekly axis.  Fixes #628259.

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/io-context.c (go_io_error_info_set): don't be overzealous
	  while checking for problems
	(go_io_error_push): skip useless code

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context-impl.h (error_info_list): new method
	* goffice/app/go-cmd-context.c (go_cmd_context_error_info_list):
	  call error_info_list
	(go_cmd_context_error_info_list_default): new
	(go_cmd_context_class_init): new
	(go_cmd_context_get_type): connect go_cmd_context_class_init

2010-08-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/app/go-cmd-context.c (go_cmd_context_error_info_list): new
	* goffice/app/go-cmd-context.h (go_cmd_context_error_info_list): new
	* goffice/app/io-context-priv.h (_GOIOContext): change info field into
	  a GSList
	* goffice/app/io-context.c (ioc_finalize): free info list
	(go_io_error_clear): ditto
	(go_io_error_info_set): append to list
	(go_io_warning_varargs): ditto
	(go_io_error_push): add details to the last item
	(go_io_error_display): call go_cmd_context_error_info_list

2010-08-24  Morten Welinder  <terra@gnome.org>

	* goffice/component/go-component-factory.c: Fix char-xmlChar
	confusion.
	* goffice/app/go-plugin-service.c: Ditto.
	* goffice/app/go-plugin.c: Ditto.

2010-08-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin-service.c (go_plugin_service_finalize),
	(go_plugin_service_new): don't use g_free instead of xmlFree. [#627700]
	* goffice/graph/gog-plot-engine.c (gog_plot_type_service_read_xml),
	(gog_trend_line_service_read_xml): ditto.
	* goffice/utils/go-libxml-extras.c (go_xml_node_get_bool): ditto.

2010-08-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style-prefs.ui: restore centered image filling.
	* goffice/utils/go-style.c (go_style_fill_sax_save),
	(go_style_sax_load_fill_image), (go_style_sax_load_fill): consider image
	filling with no imge as no filling when serializing. [#627690],
	(go_style_create_cairo_pattern): restore centered image filling.

2010-08-23  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_parse_sequential): Plug
	leak.

	* goffice/goffice.c (libgoffice_shutdown): Free locale vars too.
	* goffice/utils/go-locale.c (_go_locale_shutdown): New function.

2010-08-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_string_replace): pos==len is
	ok.

2010-08-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): do not check order
	for NULL abscissa. [#627507]

2010-08-20  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_increasing)
	(go_range_decreasing): Add preconditions.

2010-08-19  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz-surface.c
	(gog_xyz_surface_plot_update): force update of x and y limits when data
	change. [#627388]

2010-08-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (go_style_fill_sax_save): fixed typo.

2010-08-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c (_line_size): Always use real line width
	when evaluating dashes. [#442546]

2010-08-17  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_generate_number_str,
	go_format_generate_scientific_str,
	go_format_generate_accounting_str): Limit number of decimals.

2010-08-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.9

2010-08-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-theme.c (gog_theme_finalize),
	(map_area_series_solid_palette), (name_end), (elem_start): use g_ptr_array
	instead of g_array and don't use recent glib additions. [#627056]

2010-08-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-theme.c (build_predefined_themes): fixed typo (no
	more critical in gog_theme_fillin_style. [#626960]

2010-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/formats.c: update currencies. [#626461]

2010-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: update.
	* goffice/graph/gog-graph-prefs.ui: allow for themes defined in xml files.
	[#531070]
	* goffice/graph/gog-graph.c (cb_theme_changed),
	(gog_graph_populate_editor): ditto.
	* goffice/graph/gog-plot-engine.c (_gog_plugin_services_init): ditto.
	* goffice/graph/gog-styled-object.c (gog_styled_object_init_style): ditto.
	* goffice/graph/gog-theme.c (gog_theme_finalize),
	(gog_theme_find_element), (gog_theme_fillin_style),
	(gog_theme_add_element), (gog_theme_get_local_name),
	(gog_theme_get_description), (map_area_series_solid_default),
	(map_area_series_solid_guppi), (map_area_series_solid_palette),
	(build_predefined_themes), (name_start), (name_end), (desc_end),
	(elem_start), (theme_load_from_uri), (themes_load_from_dir),
	(_gog_themes_init): ditto.
	* goffice/graph/gog-theme.h: ditto.

2010-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-error-bar.c (gog_error_bar_prefs): fix memory leak.
	* plugins/plot_distrib/gog-boxplot.c (gog_box_plot_pref),
	(gog_box_plot_populate_editor): fix memory leak and criticals. [#626665]

2010-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_draw): fix blur in zoomed charts.
	[see #626404]

2010-08-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_add_by_role): do not try to
	instantiate an object using an abstract class. [#626305]

2010-08-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-data-set.c (gog_dataset_set_dim): check dimension.
	* goffice/graph/gog-object-xml.c (gogo_dim_start):  check dimension and
	object type [#626263],
	(gogo_prop_start): check dimension [#626206].
	* goffice/utils/go-styled-object.c (go_styled_object_set_style): don't set
	a NULL style.

2010-07-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 0.8.8

2010-07-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/gtk/go-format-sel.c (study_format): change arguments and
	  change all callers
	(go_format_sel_format_classification): use study_format

2010-07-30  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_week_calc_ticks): New function.
	(map_date_calc_ticks): Call map_week_calc_ticks as appropriate.

	* goffice/app/go-conf-gconf.c (cb_key_changed): Send the full key
	to callback.

2010-07-27  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c: Use go_finitel as appropriate.

	* goffice/utils/formats.c (_go_currency_date_format_init): Make
	GOFormatDetails usage a bit more opaque.

	* goffice/math/go-math.c: Use go_finitel as appropriate.

2010-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): don't access a
	GODataVector with an index larger than its length.

2010-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem): Fixed legend when the pseudo-3D axis
	has a manually set minimum. [#623887]

2010-07-08  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_details_new,
	go_format_details_free): New functions.

2010-07-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph.c (gog_graph_validate_chart_layout): do not
	take manually placed charts into account when evaluating rows and
	columns in GogGraph.
	* goffice/graph/gog-object.c (gog_object_set_position_flags): ditto.

2010-07-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_string_replace): New
	function.

2010-06-28  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 0.8.7

2010-06-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-equation.c (gog_equation_init_style),
	(gog_equation_view_size_request), (gog_equation_view_render): implement
	equations rotation. [#622782]
	* goffice/graph/gog-renderer.c (gog_renderer_draw_equation):

2010-06-24  Jean Brefort  <jean.brefort@normalesup.org>

	* pixmaps/Makefile.am: add new icons.
	* plugins/plot_distrib/Makefile.am: enhance histograms.
	* plugins/plot_distrib/gog-boxplot.c (gog_box_plot_pref):
	* plugins/plot_distrib/gog-histogram.c (gog_histogram_plot_update),
	(gog_histogram_plot_axis_get_bounds),
	(gog_histogram_plot_get_property),
	(gog_histogram_plot_set_property), (vertical_changed_cb),
	(cumulative_changed_cb), (gog_histogram_plot_populate_editor),
	(gog_histogram_plot_class_init), (gog_histogram_plot_init),
	(gog_double_histogram_plot_populate_editor),
	(gog_double_histogram_plot_finalize),
	(gog_double_histogram_plot_class_init),
	(gog_double_histogram_plot_init),
	(gog_double_histogram_plot_dataset_dims),
	(gog_double_histogram_plot_dataset_get_elem),
	(gog_double_histogram_plot_dataset_dim_changed),
	(gog_double_histogram_plot_dataset_init),
	(gog_histogram_plot_view_render),
	(gog_histogram_plot_series_update),
	(gog_histogram_plot_series_finalize): ditto.
	* plugins/plot_distrib/gog-histogram.h: ditto.
	* plugins/plot_distrib/plot-types.xml.in: ditto.
	* plugins/plot_distrib/plugin.c (go_plugin_init): ditto.
	* plugins/plot_distrib/plugin.xml.in: ditto.

2010-06-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.6

2010-06-15  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_fake_floor, go_fake_ceil,
	go_fake_trunc, go_fake_floorl, go_fake_ceill, go_fake_truncl):
	Handle very large numbers right.  Handle ix86 excess precision for
	"double" versions.

2010-06-11  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (funny_currency_order): Fix order.
	#621336.

2010-06-04  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-undo.c: Docoment all apis.

2010-06-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/formats.c (_go_currency_date_format_init):
	Unconditionally add formats "yyyy-mm-dd" and "yyyy-mm-dd
	hh:mm:ss".

2010-06-01  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c (gog_line_view_render): Fix various
	series point related issues.
	* plugins/plot_radar/gog-radar (gog_rt_view_render): ditto.
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): ditto.

2010-06-01  Morten Welinder  <terra@gnome.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render,
	gog_xy_view_get_data_at_point): Fix crash.  #620198.

2010-05-31  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_url_show, go_shell_arg_to_uri)
	(go_mime_type_get_description): Remove special case for Win32.

2010-05-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 0.8.5

2010-05-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: appiled patch from Bobby Powers: fix --without-gtk
	win32 build. [#619312]
	* goffice/graph/gog-styled-object.c (gog_styled_object_class_init): ditto.
	* goffice/ms-compat/Makefile.am: ditto.
	* goffice/utils/go-style.h: ditto.
	* goffice/graph/gog-3d-box.c (gog_3d_box_class_init): fixed all warnings
	for the without-gtk build.
	* goffice/graph/gog-axis-line.c: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_export_image): ditto.
	* plugins/plot_pie/gog-pie.c: ditto.

2010-05-28  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): Both
	increasing and decreasing coordinates are ok.  Fixes #619958.
	(Tracked down by Jean.)

2010-05-23  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_sumsq): Do square in
	extended precision if we are summing in extended precision.

2010-05-20  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 0.8.4

2010-05-20  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c (go_quad_dot_product): New function.
	(go_quad_init): Drop third argument.  All callers changed.

2010-05-17  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_devsq): Do the long-double
	trick here too.

	* goffice/gtk/go-format-sel.c (find_builtin): Special-case
	case-challenged variants of "General".

2010-05-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/goffice.h: applied patch from Bobby Powers: fix without-gtk
	build. [#618592]
	* goffice/graph/gog-chart.c (gog_chart_class_init):

2010-05-16  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-quad.c: quad precision routines.
	* goffice/math/go-regression.c (refine): Use quad precision.

2010-05-13  Morten Welinder  <terra@gnome.org>

	* goffice/component/go-component-factory.c (go_component_type_service_read_xml):
	Plug leak.
	(go_component_type_service_deactivate): Plug leak.

	* goffice/math/go-regression.c (general_linear_regression): Use QR
	factorization with refinement.

2010-05-09  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (DOUBLE_MAX): Eliminate in favour
	of SUFFIX(go_pinf).
	(general_linear_regression): Allocate stats->xbar correctly.
	Always set the result vector to something.
	(go_exponential_regression): map the result also if it is
	near-singular.

2010-05-07  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 0.8.3

2010-05-04  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c (go_conf_win32_get): Restore last
	backslash for error messages.
	(go_conf_set_bool): Set the right value.  Fixes #617672.
	(go_conf_get_node): Don't create too-deep directory structure.

2010-05-03  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (LUPDecomp): Handle nan entries.

2010-05-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): use markup
	for tips.

2010-04-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: check for gtk_widget_send_focus_change().
	* goffice/gtk/go-action-combo-color.c (cb_color_changed),
	(go_action_combo_color_class_init): implement the "combo-activate"
	signal.	[#583175]
	* goffice/gtk/go-action-combo-pixmaps.c (cb_selection_changed),
	(go_action_combo_pixmaps_class_init): ditto.
	* goffice/gtk/go-combo-box.c (do_focus_change): use
	gtk_widget_send_focus_change() when available.
	* goffice/gtk/go-gtk-compat.h: ditto.

2010-04-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-probability-plot.c
	(gog_probability_plot_series_update): skip invalid data.

2010-04-21  Morten Welinder  <terra@gnome.org>

	* goffice/utils/datetime.c (go_date_weeknum): Return the Excel
	compatible week numbers as intended, not the glib ones.

2010-04-16  Valek Filippov  <frob@gnome.org>

	* tests/shapes-demo.c: fix warnings.

2010-04-16  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 0.8.2

2010-04-16  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-regression.c (rescale): Don't return a value.
	Determinant will be zero on return when singular.
	(LUPDecomp): Moderate cleanup.

2010-04-13  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: add new go_path entries.
	* goffice/utils/go-path.c (go_path_copy),
	(go_path_append): new functions.
	* goffice/utils/go-path.h: ditto.

2010-04-10  Valek Filippov  <frob@gnome.org>

	* goffice/tests/mf-demo.c: move objects to drawing context,
	add save/restore DC and offset window/viewportOrg.

2010-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-gtk-compat.h: make things build with gtk-2.20.
	* goffice/gtk/goffice-gtk.c (cb_activate_default): use
	gtk_widget_is_sensitive() instead of gtk_widget_get_sensitive().

2010-04-09  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-path.c: add Path support
	* goffice/canvas/goc-path.h: ditto
	* goffice/canvas/Makefile.am: ditto

2010-04-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-path.c (go_path_new), (go_path_free),
	(go_path_ref), (go_path_get_type), (go_path_to_cairo): new GOPath functions.
	* goffice/utils/go-path.h: ditto.

2010-04-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin.c (go_plugins_init), (go_plugins_add): fixed issues
	related to components intialization.
	* goffice/component/go-component-factory.c
	(go_component_type_service_read_xml),
	(go_component_type_service_activate),
	(go_component_type_service_deactivate),
	(go_component_type_service_class_init): implement components plugins
	activation/deactivation.
	* goffice/component/goffice-component.h: add missing headers.

2010-04-08  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c (go_conf_win32_clone_full): Handle
	buffer expansion right.

2010-04-07  Valek Filippov  <frob@gnome.org>

	* tests/mf-demo.c: add 'Symbol' and 'MT Extra' support.

2010-04-05  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c: Catch up with changes to other
	backend.  Might even work now.

2010-04-04  Valek Filippov  <frob@gnome.org>

	* tests/mf-demo.c: reuse common parsing routines between MR commands.

2010-04-03  Valek Filippov  <frob@gnome.org>

	* tests/mf-demo.c: new demo.
	* tests/Makefile.am: ditto.

2010-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: fixed gtk compatibility macro names.
	* goffice/canvas/goc-canvas.c (goc_canvas_invalidate): ditto.
	* goffice/canvas/goc-item.c (goc_item_dispose),
	(goc_item_invalidate): ditto.
	* goffice/graph/gog-child-button.c (gog_child_button_popup): ditto.
	* goffice/gtk/go-font-sel.c (select_row): ditto.
	* goffice/gtk/go-gtk-compat.h: ditto.
	* goffice/gtk/go-selector.c (go_selector_popup): ditto.
	* goffice/gtk/goffice-gtk.c (cb_activate_default),
	(cb_parent_mapped), (go_gtk_window_set_transient): ditto.

2010-03-26  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-keyfile.c (go_conf_set_str_list): Handle
	empty list.

2010-03-26  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_prepare_draw): use polygon
	splitting to draw polypolygons.

2010-03-26  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: new entries.
	* goffice/canvas/goc-polygon.c (goc_polygon_priv_free),
	(goc_polygon_set_property), (goc_polygon_get_property),
	(goc_polygon_class_init), (goc_polygon_init): implement polygon splitting.
	* goffice/canvas/goc-utils.c (goc_int_array_new),
	(goc_int_array_ref), (goc_int_array_unref),
	(goc_int_array_get_type): ditto.
	* goffice/canvas/goc-utils.h: ditto.

2010-03-25  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-keyfile.c (go_conf_add_monitor,
	go_conf_remove_monitor): Implement for intra-process changes.

2010-03-25  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-polygon.c: support for fill rule.

2010-03-24  Valek Filippov  <frob@gnome.org>
	* goffice/canvas/goc-text.c: (goc_text_draw), (goc_text_distance),
	(goc_text_update_bounds), (goc_text_prepare_draw): implement text rotation.

2010-03-17  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_distance): take ppu into account
	* goffice/canvas/goc-ellipse.c (goc_ellipse_distance): ditto
	* goffice/canvas/goc-polygon.c (goc_polygon_distance): ditto
	* goffice/canvas/goc-polyline.c (goc_polyline_distance): ditto
	* goffice/canvas/goc-rectangle.c (goc_rectangle_distance): ditto

2010-03-17  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (key_release_cb), (key_press_cb),
	(enter_notify_cb), (leave_notify_cb), (goc_canvas_init): ensure that the
	GdkEvent can always be accessed if needed.
	* goffice/canvas/goc-item.c (goc_item_key_pressed),
	(goc_item_key_released), (goc_item_class_init): ditto.

2010-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_prepare_draw): don't zoom
	hairline.

2010-03-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-file.c (go_shell_arg_to_uri): check for fd:// type
	URIs on win32. [#608422]

2010-03-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_new): invalidate the new item.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_set_property),
	(goc_styled_item_get_property), (goc_styled_item_class_init): really
	implement the "scale-line-width" property.

2010-03-09  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw): enhance
	round corners support.
	* tests/shapes-demo.c (parse_line): ditto.

2010-03-08  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 0.8.1

2010-03-08  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: added GocArc.
	* docs/reference/goffice-docs.sgml: ditto.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_update_bounds): fixed bounds.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_update_bounds): ditto.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_set_property),
	(goc_styled_item_style_changed): minor changes.
	* goffice/utils/go-bezier.c: fix docs.
	* goffice/utils/go-styled-object.c: add docs.
	* tests/shapes-demo.c (parse_line): enhance style changes.

2010-03-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style.c (go_style_set_cairo_line): fix hairline.

2010-03-07  Jean Brefort  <jean.brefort@normalesup.org>

	* tests/shapes-demo.c (parse_line): use go_style_object_style_changed().

2010-03-06  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-rectangle.c (goc_rectangle_set_property),
	(goc_rectangle_get_property), (goc_rectangle_prepare_draw),
	(goc_rectangle_class_init), (goc_rectangle_init): implement round
	rectangles.

2010-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-arc.c (goc_arc_update_bounds): set the line style.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_style_changed):
	enforce invalidation of the item when done.
	* tests/shapes-demo.c (parse_line): more fixes.

2010-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_draw): missing white spaces.
	* tests/shapes-demo.c (my_test), (parse_line), (enter_callback): add
	missing calls to goc_item_bounds_changed and fix white spaces and other
	presentation issues.

2010-03-06  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (prepare_draw_arrow),
	(goc_arc_prepare_draw), (goc_arc_distance): fix rtl.
	* tests/shapes-demo.c (open_file), (on_open), (my_test),
	(parse_line), (enter_callback), (main): new version.

2010-03-05  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_start), (goc_arc_end),
	(prepare_draw_arrow), (goc_arc_prepare_draw),
	(goc_arc_update_bounds), (goc_arc_distance), (goc_arc_draw): support
	arrow heads.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_prepare_draw): fix rtl.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw): ditto.

2010-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-styled-item.c (goc_styled_item_style_changed): call
	goc_item_bounds_changed.

2010-03-04  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_prepare_draw),
	(goc_arc_distance), (goc_arc_draw), (goc_arc_init_style): more
	canvas improvements.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_prepare_draw),
	(goc_ellipse_update_bounds), (goc_ellipse_distance),
	(goc_ellipse_draw), (goc_ellipse_class_init): ditto.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_prepare_draw),
	(goc_rectangle_update_bounds), (goc_rectangle_distance),
	(goc_rectangle_draw), (goc_rectangle_class_init): ditto.

2010-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-line.c (goc_line_distance): fix distance evaluation.

2010-03-03  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/goc-arc.c (goc_arc_update_bounds),
	(goc_arc_distance): fixed for filled items.
	* goffice/canvas/goc-polygon.c (goc_polygon_update_bounds),
	(goc_polygon_distance): little optimization.
	* goffice/canvas/goc-polyline.c (goc_polyline_update_bounds),
	(goc_polyline_distance): ditto.

2010-03-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_update_bounds): always
	set bounds even if fully transparent.
	* goffice/canvas/goc-polyline.c (goc_polyline_update_bounds): ditto.

2010-03-02  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-locale-sel.c (go_locale_sel_get_locale): Plug
	leak.
	(ls_class_init): Try adding ".utf8" to the locale name.  Fixes
	#611415 in some sense.

2010-03-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (_goc_item_update_bounds): always set
	bounds, even for transparent items or empty items.
	* goffice/canvas/goc-polygon.c (goc_polygon_set_property),
	(goc_polygon_prepare_path), (goc_polygon_update_bounds),
	(goc_polygon_distance), (goc_polygon_draw),
	(goc_polygon_class_init): implement spline support.
	* goffice/utils/go-bezier.c: fix comment.

2010-03-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polyline.c (goc_polyline_set_property),
	(goc_polyline_prepare_draw), (goc_polyline_distance),
	(goc_polyline_class_init): implement spline support.
	* tests/shapes-demo.c (main): add missing white spaces.

2010-03-01  Valek Filippov  <frob@gnome.org>

	* goffice/canvas/Makefile.am: add arc support.
	* goffice/canvas/goc-arc.c: ditto
	* goffice/canvas/goc-arc.h: ditto
	* goffice/canvas/goc-polyline.c (goc_polyline_prepare_draw),
	(goc_polyline_update_bounds), (goc_polyline_distance),
	(goc_polyline_draw): enhance polyline implementation.
	* goffice/canvas/goffice-canvas.h: add arc support.
	* tests/Makefile.am: new demo.
	* tests/shapes-demo.c: ditto.

2010-03-01  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/utils/go-bezier.c (go_bezier_spline_to_cairo): add a flag to
	support rendering in an RTL canvas.
	* goffice/utils/go-bezier.h: ditto.

2010-02-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): correctly manage
	invalid data. [#611163]
	* goffice/utils/go-bezier.c (go_bezier_spline_to_cairo): new utility.
	* goffice/utils/go-bezier.h: ditto.

2010-02-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_new): fixed a memory leak.

2010-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_parent_finalized),
	(gog_object_finalize): ensure that children parent is set to NULL.
	(gog_object_get_graph): restore previous version
	* goffice/graph/gog-guru-type-selector.ui: remove orientation property
	to avoid warnings with old gtk+.

2010-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_get_graph): avoid a crash if a
	parent has been finalized. [#610435]

2010-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (cb_position_toggled),
	(cb_tick_toggle_changed): use gtk_buildable_get_name instead of
	gtk_widget_get_name where appropriate.
	* goffice/graph/gog-axis.c (cb_axis_toggle_changed):
	* goffice/graph/gog-object.c (cb_chart_position_changed):
	* goffice/utils/go-editor.c (go_editor_register_widget):
	* plugins/plot_xy/gog-bubble-prefs.c (cb_type_changed):

2010-02-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (button_press_cb),
	(button_release_cb), (motion_cb): don't return before cleaning.
	* libgoffice.pc.in: remove libglade dependency. [#609833]

2010-02-13  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 0.8.0

2010-02-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_dispose): ungrab item on dispose
	when needed. [#609747]

2010-02-11  Morten Welinder  <terra@gnome.org>

	* configure.in: Bump version number in preparation for release.

2010-01-30  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_file_access): Assume g_access is
	available.

2010-01-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-format.c (cb_attrs_as_string),
	(go_format_parse_markup): use locale independent markup. [#608047]

2010-01-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): do not crash when
	the chart contains no plot. [#607960]

2010-01-21  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin.c (go_plugin_read): Add new "autoload"
	flag
	(go_plugin_activate): Autoload if requested.

2010-01-19  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 0.7.18

2010-01-19  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: fixed more gtk-doc warnings.
	* goffice/app/file.c (go_file_saver_class_init),
	(go_file_format_level_get_type), (go_file_save_scope_get_type): ditto.
	* goffice/app/file.h: ditto.
	* goffice/app/go-plugin-service.c
	(go_plugin_service_file_saver_read_xml): ditto.

2010-01-18  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-probability-plot.c
	(gog_probability_plot_set_property): apply type change to all series.
	* plugins/plot_distrib/gog-boxplot.c
	(gog_box_plot_axis_get_bounds), (gog_box_plot_child_name_changed),
	(gog_box_plot_class_init): fixed category axis update.

2010-01-15  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.c (graph_guru_type_selector_new): make keyboard
	navigation work again in plot subtypes.

2010-01-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru-type-selector.ui: a better plot type selector.

2010-01-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru-type-selector.ui: add a sample and remove obsolete
	widgets. [#495781 and #606162].
	* goffice/graph/gog-guru.c (cb_typesel_sample_plot_resize),
	(graph_typeselect_minor), (cb_selection_changed),
	(cb_plot_types_init), (cb_plot_families_init),
	(graph_guru_type_selector_new), (gog_guru_add_custom_widget): ditto.
	* plugins/plot_barcol/plot-types.xml.in: update line plots descriptions.

2010-01-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.c (graph_typeselect_minor),
	(gog_guru_item_enter_notify), (gog_guru_item_leave_notify),
	(gog_guru_item_class_init), (cb_plot_types_init),
	(graph_guru_type_selector_new): show tooltips for plot types.

2010-01-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart.c (plot_area_pref_state_free),
	(cb_plot_area_changed), (cb_manual_position_changed),
	(gog_chart_populate_editor): moved plot area page there. [#605771]
	* goffice/graph/gog-plot.c (cb_axis_changed),
	(gog_plot_populate_editor): and remove it from here.

2010-01-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugins/plot_pie/plot-types.xml.in: fix description


2009-12-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_update_bounds): fixed bounds.
	[#605496]

2009-12-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_get_data_at_point),
	(gog_xy_view_class_init): new implementation of get_data_at_point.

2009-12-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-reg-curve-prefs.ui: add a name to regression curves
	for display in legends. [#605040]
	* goffice/graph/gog-reg-curve.c (gog_reg_curve_populate_editor),
	(gog_reg_curve_finalize), (gog_reg_curve_init),
	(gog_reg_curve_dataset_dims), (gog_reg_curve_dataset_get_elem),
	(gog_reg_curve_dataset_dim_changed):
	* goffice/graph/gog-reg-curve.h: ditto.

2009-12-19  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c
	(gog_barcol_view_get_data_at_point), (gog_barcol_view_render),
	(gog_barcol_view_class_init): implement get_data_at_point for bar/columns.

2009-12-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_c2w): fixed rounding to int.

2009-12-05  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 0.7.17

2009-12-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_set_property): invalidate bounds
	after setting horizontal position.

2009-12-10  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: add new function.
	* goffice/gtk/go-marker-selector.c (go_marker_selector_set_shape): ditto.
	* goffice/gtk/go-marker-selector.h: ditto.
	* goffice/utils/go-style.c (outline_init), (line_init),
	(marker_init), (cb_style_changed): update property page after style changes
	when reordering. [#604229]

2009-12-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-grid.c (gog_grid_view_xyz_render): still others.

2009-12-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-grid-line.c (gog_grid_line_xyz_render): fixed
	some more leaks.

2009-12-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (xyz_process): fixed leaks.

2009-12-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin.c (append_dir), (go_plugins_set_dirs),
	(go_plugins_init), (go_plugins_add), (go_plugins_shutdown): allow several
	modules to call go_plugins_init without interfering.

2009-12-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/goffice.c (libgoffice_init), (libgoffice_shutdown): allow
	multiple calls to libgoffice_shutdown.

2009-12-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c (goc_canvas_invalidate): really pass width
	and height to gtk_widget_queue_draw_area.

2009-12-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_bounds_changed): do not invalidate
	the whole canvas when an item bounds change. [#603813]

2009-12-04  Jody Goldberg <jody@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_help_display) : support tab as a
	  seperator in the hhmap file.

2009-12-02  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-cmd-context.c (go_cmd_context_progress_set,
	go_cmd_context_progress_message_set, go_cmd_context_get_password,
	go_cmd_context_set_sensitive): Make implementation optional.

2009-11-30  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_pie/gog-pie.c (gog_pie_view_get_data_at_point): make
	it work in all case, including split rings.

2009-11-29  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 0.7.16

2009-11-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object-xml.c (gogo_start): revert previous change,
	needs more work.
	* goffice/graph/gog-object.c (gog_object_add_by_role): ditto.

2009-11-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object-xml.c (gogo_start): set axis set to all to
	allow axis loading.
	* plugins/plot_distrib/gog-probability-plot.c
	(gog_probability_plot_update, gog_probability_plot_class_init)
	gog_probability_plot_view_render): implement multiple series in
	probablility plots.

2009-11-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-object.c (gog_object_dup): duplicate chart
	axis set; needed because of the change in gog_object_add_by_role.
	(gog_object_add_by_role): fail when addition is not allowed.

2009-11-26  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-probability-plot.c
	(gog_probability_plot_populate_editor) don't unref the new widget
	[#603015],
	(gog_probability_plot_update): check if there is a series before
	using it.  [#603016]
	* plugins/plot_xy/gog-xy.c (gog_2d_plot_update): do not check error
	bars for a NULL series.

2009-11-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-view.c (gog_view_get_view_at_point): allow obj to
	be NULL.

2009-11-20  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_radar/gog-radar.c
	(gog_color_polar_plot_populate_editor): fixed ui file name.

2009-11-20  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_radar/gog-radar.c (gog_rt_view_render),
	(gog_rt_series_element_init_style),
	(gog_rt_series_element_class_init), (gog_rt_series_class_init),
	(go_plugin_init): implement singletons in radar/polar plots.

2009-11-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (make_path_cspline): fixed leaks.

2009-11-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c (role_series_element_allocate): don't attempt
	to allocate a virtual class instance.

2009-11-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data.c (go_data_vector_get_str,
	go_data_matrix_get_str): no need to load values, just length or
	size.

2009-11-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_odf_style_map): use %g
	rather than %f

2009-11-17  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* autogen.sh: allow dirs on PATH to have spaces without causing
	warnings.

2009-11-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-item.c (goc_item_bounds_changed): make sure that the
	previously occupied region is invalidated.

2009-11-12  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_pie/gog-pie.c (gog_pie_view_get_data_at_point): do not
	access NULL data. [#601618]

2009-11-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): use
	gog_view_get_tip_at_point when no XY map is available (pies and rings).
	* goffice/data/go-data.c (go_data_vector_get_str),
	(go_data_matrix_get_str): load data before returning a string.
	* goffice/graph/goffice-graph.h: move GogPlotView there.
	* goffice/graph/gog-plot-impl.h: new gog_plot_view_get_data_at_point.
	* goffice/graph/gog-plot.c (gog_plot_view_get_data_at_point): new
	function introduced to fix #580545.
	* goffice/graph/gog-plot.h: ditto.
	* goffice/graph/gog-view.c (gog_view_get_tip_at_point): new function.
	* goffice/graph/gog-view.h: ditto.
	* plugins/plot_pie/gog-pie.c (gog_pie_view_get_data_at_point),
	(gog_pie_view_get_tip_at_point), (gog_pie_view_class_init): implement
	the two new view methods (only partially for now, does not work
	properly for split rings).

2009-11-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-color.c (go_color_from_str): call gdk_parse_color
	when needed. [#601114]

2009-11-08  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_pie/gog-pie.c (find_element), (gog_pie_view_render): make
	points work when negative values are skipped.

2009-11-06  Jean Brefort  <jean.brefort@normalesup.org>
	* goffice/graph/gog-plot.c (gog_plot_update_cardinality),
	(gog_plot_foreach_elem): add trend lines to legend. [#383518]
	* goffice/graph/gog-series.c (gog_series_child_added),
	(gog_series_class_init): update plot cardinality when a trend line
	is added or removed.

2009-11-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_pie/gog-pie-prefs.c (cb_show_negs_changed),
	(gog_pie_plot_pref_signal_connect): add an option for negative values
	display. [#152614]
	* plugins/plot_pie/gog-pie-prefs.ui:
	* plugins/plot_pie/gog-pie.c (gog_show_neg_mode_from_str),
	(gog_show_neg_mode_as_str), (gog_pie_plot_set_property),
	(gog_pie_plot_get_property), (gog_pie_plot_class_init),
	(gog_pie_plot_init), (gog_pie_view_render),
	(gog_pie_series_update):
	* plugins/plot_pie/gog-pie.h:
	* plugins/plot_pie/gog-ring-prefs.ui:

2009-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-error-bar-prefs.ui: implement error bars in
	radar and polar plots. [#572720]
	* goffice/graph/gog-error-bar.c (gog_error_bar_prefs),
	(gog_error_bar_render): ditto.
	* goffice/graph/gog-error-bar.h: ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_view_render): fixed after
	error bars API changes.
	* plugins/plot_barcol/gog-line.c (gog_line_view_render): ditto.
	* plugins/plot_radar/gog-radar.c (gog_rt_plot_update),
	(gog_radar_plot_class_init), (gog_polar_plot_class_init),
	(gog_color_polar_plot_class_init), (gog_rt_view_render),
	(gog_rt_series_set_property), (gog_rt_series_get_property),
	(gog_rt_series_finalize), (gog_rt_series_populate_editor),
	(gog_rt_series_class_init), (gog_polar_series_set_property),
	(gog_polar_series_get_property),
	(gog_polar_series_populate_editor), (gog_polar_series_finalize),
	(gog_polar_series_class_init):  implement error bars in
	radar and polar plots. [#572720]
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): fixed after
	error bars API changes.

2009-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-conf-keyfile.c (go_conf_get_real_key): do not add a '/'
	when subkey is NULL. [#600654]

2009-11-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-child-button.c (ensure_menu): add parent name to
	the menu entry.

2009-11-01  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 0.7.15

2009-10-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-impl.h: add persistent position for auto mode.
	Fixes #152674.
	* goffice/graph/gog-chart.c (gog_chart_set_property),
	(gog_chart_get_property), (gog_chart_class_init), (gog_chart_init),
	(gog_chart_get_position), (gog_chart_set_position): ditto.
	* goffice/graph/gog-graph.c (role_chart_post_add),
	(gog_graph_validate_chart_layout), (gog_graph_view_size_allocate):
	* goffice/graph/gog-object-prefs.ui: add a user interface to set column
	and row position of a chart in the graph.
	* goffice/graph/gog-object.c (update_select_state),
	(cb_manual_position_changed), (cb_chart_position_changed),
	(gog_object_populate_editor): ditto.

2009-10-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-graph.c (goc_graph_update_bounds): set the right size.
	* goffice/graph/gog-renderer.c (gog_renderer_update): fixed resizing a
	graph. [#599887]

2009-10-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart.c (gog_chart_view_render): reapply patch for
	#152675 and ensure titles are rendered last.
	* goffice/graph/gog-graph.c (gog_graph_class_init),
	(gog_graph_view_render), (gog_graph_view_class_init): ditto.

2009-10-27  Morten Welinder  <terra@gnome.org>

	* goffice/app/file.c (go_file_saver_for_mime_type): Ignore file
	savers with no mime type instead of crashing.

2009-10-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c (polar_map_view_to_2D): take radar plot
	maximum into consideration.

2009-10-18  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-graph.c (goc_graph_motion): Hook up a timer
	to handle the rate-limiting.

	* goffice/graph/gog-axis.c (gog_axis_get_effective_format): Rename
	from get_axis_format and make public.
	(axis_format_value): Use unicode minuses and proper date_conv.

	* goffice/canvas/goc-graph.c (goc_graph_do_tooltip): Extract from
	goc_graph_motion for clarity.  Free the right string!  Use
	format_coordinate, not g_strdup_printf.
	(format_coordinate): New function to ensure unicode minuses.

2009-10-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-service-impl.h: typo.
	* goffice/canvas/goc-graph.c (goc_graph_motion),
	(goc_graph_leave_notify), (goc_graph_class_init): display coordinates
	when moving the mouse. [#382666]
	* goffice/canvas/goc-graph.h: ditto/
	* goffice/graph/gog-axis.c (map_discrete_from_view): return discrete
	values,
	(gog_axis_map_is_discrete): new function.
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-chart-map.c (x_map_view_to_2D),
	(xy_map_view_to_2D), (polar_map_view_to_2D), (gog_chart_map_new),
	(gog_chart_map_view_to_2D): ditto.
	* goffice/graph/gog-chart-map.h: ditto.

2009-10-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-line.c (go_line_dash_as_label): Translate here.
	* goffice/gtk/go-line-selector.c (go_line_dash_palette_get_tooltip_func):
	Don't translate here.

2009-10-14  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-line.c (goc_line_class_init): Change to
	GOArrow for arrow properties.

	* goffice/canvas/goc-line.h (struct _GocLine): Have an arrow at
	both ends.

	* goffice/canvas/goc-line.c (goc_line_draw): Draw point arrows.

	* goffice/utils/go-line.c (go_arrow_init, go_arrow_get_type,
	go_arrow_clear, go_arrow_dup): New functions.

2009-10-12  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: prepare for GSEAL_ENABLE.
	* goffice/canvas/goc-canvas.c (goc_canvas_invalidate): ditto.
	* goffice/canvas/goc-item.c (goc_item_dispose),
	(goc_item_invalidate): ditto.
	* goffice/drawing/god-drawing-view.c (god_drawing_view_realize): ditto.
	* goffice/graph/gog-child-button.c (gog_child_button_popup): ditto.
	* goffice/graph/gog-error-bar.c (cb_width_changed),
	(cb_line_width_changed): ditto.
	* goffice/graph/gog-guru.c (cb_sample_pressed),
	(cb_canvas_realized), (graph_guru_init_format_page),
	(typesel_set_selection_color): ditto.
	* goffice/gtk/Makefile.am: ditto.
	* goffice/gtk/go-3d-rotation-sel.c (cb_rotate_canvas_realize),
	(cb_rotate_canvas_button): ditto.
	* goffice/gtk/go-action-combo-color.c (make_icon): ditto.
	* goffice/gtk/go-action-combo-pixmaps.c (make_icon): ditto.
	* goffice/gtk/go-action-combo-stack.c (go_combo_stack_init): ditto.
	* goffice/gtk/go-color-palette.c (create_color_sel),
	(handle_color_sel), (swatch_activated): ditto.
	* goffice/gtk/go-color-selector.c (cb_color_dialog_response),
	(cb_combo_custom_activate), (go_color_selector_drag_data_received): ditto.
	* goffice/gtk/go-combo-box.c (go_combo_popup_reparent),
	(do_focus_change), (go_combo_box_popup_hide_unconditional),
	(cb_arrow_pressed), (go_combo_box_realize),
	(go_combo_popup_tear_off), (go_combo_box_popup_hide),
	(go_combo_box_get_pos), (go_combo_tearoff_bg_copy),
	(go_combo_box_popup_display), (go_combo_box_button_press),
	(cb_state_change), (go_combo_box_init),
	(cb_tearable_button_release), (go_combo_box_construct): ditto.
	* goffice/gtk/go-combo-text.c (cb_scroll_size_request): ditto.
	* goffice/gtk/go-font-sel.c (cb_list_adjust), (select_row): ditto.
	* goffice/gtk/go-format-sel.c (cb_decimals_changed),
	(cb_separator_toggle), (fmt_dialog_enable_widgets),
	(cb_format_currency_select): ditto.
	* goffice/gtk/go-graph-widget.c (go_graph_widget_size_allocate),
	(go_graph_widget_expose_event),
	(go_graph_widget_button_press_event),
	(go_graph_widget_motion_notify_event), (idle_handler),
	(go_graph_widget_set_size_mode): ditto.
	* goffice/gtk/go-gtk-compat.h: ditto.
	* goffice/gtk/go-optionmenu.c (go_option_menu_update_contents),
	(go_option_menu_position), (go_option_menu_set_menu),
	(go_option_menu_set_history), (go_option_menu_init):
	* goffice/gtk/go-palette.c (cb_swatch_expose),
	(cb_menu_item_activate): ditto.
	* goffice/gtk/go-rotation-sel.c (cb_rotate_canvas_realize),
	(cb_rotate_canvas_button): ditto.
	* goffice/gtk/go-selector.c (go_selector_popup),
	(go_selector_drag_data_received), (go_selector_drag_data_get):
	* goffice/gtk/go-selector.h: ditto.
	* goffice/gtk/goffice-gtk.c (go_gtk_dialog_add_button),
	(cb_activate_default), (go_gtk_widget_disable_focus),
	(cb_parent_mapped), (go_gtk_window_set_transient),
	(go_gtk_notice_dialog), (go_dialog_guess_alternative_button_order),
	(go_menu_position_below): ditto.
	* goffice/utils/go-style.c (cb_outline_size_changed),
	(cb_line_size_changed), (cb_marker_size_changed):
	* plugins/plot_barcol/gog-barcol-prefs.c (cb_gap_changed),
	(cb_overlap_changed): ditto.
	* plugins/plot_barcol/gog-minmax.c (cb_gap_changed):
	* plugins/plot_distrib/gog-boxplot.c (cb_gap_changed),
	(cb_ratio_changed): ditto.
	* plugins/plot_pie/gog-pie-prefs.c (cb_element_separation_changed),
	(cb_default_separation_changed), (cb_rotation_changed),
	(cb_center_size_changed): ditto.
	* plugins/plot_surface/gog-xyz-surface-prefs.c (cb_rows_changed),
	(cb_columns_changed): ditto.
	* plugins/plot_xy/gog-bubble-prefs.c (cb_scale_changed): ditto.

2009-10-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-group.c (goc_group_set_property): call
	goc_item_bounds_changed after moving to a new position. [#598091]

2009-10-11  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 0.7.14

2009-10-10  Jody Goldberg <jody@gnome.org>

	From peter.jaeckel@gmail.com:
	* goffice/app/go-plugin.c (go_plugin_get_loader) : new accessor. [#597849]

2009-10-10  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: now includes all relevant
	symbols.
	* goffice/app/go-plugin-service-impl.h: make gtk-doc happy.
	* goffice/canvas/goc-circle.c: canvas documentation minimally completed.
	* goffice/canvas/goc-ellipse.c: ditto.
	* goffice/canvas/goc-graph.c: ditto.
	* goffice/canvas/goc-item.c: ditto.
	* goffice/canvas/goc-line.c: ditto.
	* goffice/canvas/goc-pixbuf.c: ditto.
	* goffice/canvas/goc-polygon.c: ditto.
	* goffice/canvas/goc-polyline.c: ditto.
	* goffice/canvas/goc-rectangle.c: ditto.
	* goffice/canvas/goc-structs.h: ditto.
	* goffice/canvas/goc-text.c: ditto.
	* goffice/canvas/goc-utils.c: ditto.
	* goffice/canvas/goc-utils.h: ditto.
	* goffice/canvas/goc-widget.c: ditto.
	* goffice/graph/gog-object.h: make gtk-doc happy.
	* goffice/graph/gog-reg-curve.h: ditto.
	* goffice/graph/gog-trend-line.h: ditto.

2009-10-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-image-sel.c (ok_button_clicked_cb): fix image life cycle.
	* goffice/gtk/go-image-sel.ui: set correct response buttons.
	* goffice/utils/go-style.c (cb_image_select): don't proceed until
	gtk_dialog_run returns non 0,
	(go_style_populate_editor): accept passing the document as a property
	(allows images in gnumeric sheet objects),
	(go_style_create_cairo_pattern): fixed wallpaper origin.

2009-10-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-polygon.c (goc_polygon_class_init): removed not
	yet implemented "use-spline" property for now.
	* goffice/canvas/goc-polyline.c (goc_polyline_class_init): ditto.

2009-10-06  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: add more symbols.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_class_init): fixed description
	of properties.
	* goffice/canvas/goc-group.c (goc_group_add_child),
	(goc_group_remove_child), (goc_group_adjust_bounds),
	(goc_group_adjust_coords), (goc_group_cairo_transform): documented.
	* goffice/canvas/goc-group.h:  changed args names.
	* goffice/canvas/goc-item.c (GSF_CLASS_FULL),
	(goc_item_invalidate): make GocItemClass really virtual.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_class_init): fixed
	description of properties.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_class_init): API docs
	work.
	* goffice/canvas/goc-styled-item.h: ditto.
	* goffice/canvas/goc-widget.c (goc_widget_notify_scrolled): adapt to new
	group API.
	* goffice/graph/gog-object.c (GSF_CLASS_FULL): make class really virtual.
	* goffice/graph/gog-outlined-object.c: ditto.
	* goffice/graph/gog-series.c: ditto.
	* goffice/graph/gog-smoothed-curve.c: ditto.
	* goffice/graph/gog-styled-object.c: ditto.
	* goffice/graph/gog-trend-line.c: ditto.

2009-10-04  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: more work.
	* goffice/canvas/goc-group.c (goc_group_add_child): simplify and
	document GocItem API.
	* goffice/canvas/goc-item.c (_goc_item_update_bounds),
	(goc_item_new), (goc_item_invalidate), (goc_item_get_bounds): ditto.
	* goffice/canvas/goc-item.h: ditto.
	* goffice/canvas/goc-styled-item.c (goc_styled_item_class_init),
	(goc_styled_item_init): ditto.
	* goffice/canvas/goc-widget.c (goc_widget_update_bounds),
	(goc_widget_notify_scrolled): ditto.
	* plugins/plot_xy/gog-xy.c: fixed signed/unsigned warnings.

2009-10-03  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: more documentation work.
	* goffice/canvas/goc-canvas.c: ditto.
	* goffice/component/go-component.c: ditto.

2009-10-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin.c (go_plugin_read_for_dir): fixed the two last
	strings from #596003.
	* goffice/gtk/go-format-sel.ui: ditto.

2009-09-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_widget_init): create widget far away
	from visible area.

2009-09-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-line.c (goc_line_class_init): fixed translatable
	strings using a patch from Bruce Cowan. [#596003]
	* goffice/graph/gog-series-prefs.ui: add translators comments. [#596003]
	* goffice/graph/gog-series.c (gog_series_populate_editor): add tooltips
	to the clamped spline derivatives data selectors.
	* goffice/gtk/go-color-palette.c (go_color_palette_setup),
	(go_color_palette_make_menu): fixed translatable
	strings
	* goffice/gtk/go-color-selector.c (cb_combo_custom_activate),
	(go_color_selector_new): ditto.
	* goffice/gtk/go-image-sel.ui: ditto.
	* goffice/gtk/go-palette.c (go_palette_show_custom): ditto.
	* goffice/gtk/go-rotation-sel.ui: ditto.
	* goffice/utils/go-style-prefs.ui: ditto.
	* plugins/plot_radar/plugin.xml.in: ditto.
	* tests/go-demo.ui: ditto.

2009-09-29  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): fix point custom
	marker rendering. [#596585]

2009-09-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: don't allow gtk-doc if without-gtk.

2009-09-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.h: cleaned includes.
	* goffice/goffice.h: make without-gtk build work again.
	* goffice/graph/Makefile.am: ditto.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/utils/go-color.h: ditto.
	* plugins/plot_barcol/gog-barcol.c (gog_barcol_plot_class_init):
	* plugins/plot_pie/gog-pie.c (gog_pie_plot_class_init),
	(gog_ring_plot_class_init): ditto.
	* plugins/plot_radar/gog-color-polar-prefs.xml: removed unused file.
	* plugins/plot_xy/gog-xy.c (gog_bubble_plot_class_init): make without-gtk
	build work again.
	* tests/Makefile.am: make check works without gtk.

2009-09-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-style-prefs.ui: fixed unicolor gradients brightness.
	* goffice/utils/go-style.c (fill_gradient_init),
	(cb_fill_type_changed), (go_style_set_fill_brightness): ditto.

2009-09-25  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: added a few more entries.
	* goffice/utils/go-style.c (go_style_set_cairo_line): new function.
	* goffice/utils/go-style.h: ditto.
	* goffice/utils/go-styled-object.c
	(go_styled_object_set_cairo_line): use go_style_set_cairo_line.

2009-09-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-circle.c (goc_circle_init_style): crrectly set
	background and forground.
	* goffice/canvas/goc-ellipse.c (goc_ellipse_init_style): ditto.
	* goffice/canvas/goc-polygon.c (goc_polygon_init_style): ditto.
	* goffice/canvas/goc-rectangle.c (goc_rectangle_init_style): ditto.
	* goffice/utils/go-style.c (go_style_assign): don't ref an image twice.

2009-09-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-text.c (goc_text_draw): purge cairo path.

2009-09-20  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 0.7.13

2009-09-18  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: more symbols included.
	* goffice/component/go-component.c (go_component_get_data): make
	gtk-doc happy.
	* goffice/component/go-component.h: ditto.
	* goffice/data/go-data-impl.h: ditto.

2009-09-18  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: removed duplicates
	* goffice/canvas/goc-group.c (goc_group_draw_region): remove unuseful
	call.
	* goffice/canvas/goc-item.c: update documentation and remove unused
	code.
	* goffice/canvas/goc-item.h: remove unused fields.
	* goffice/gtk/goffice-gtk.c: add missing colons.
	* goffice/utils/go-style.c: fixed a documentation warning.

2009-09-17  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-item.c (goc_item_invalidate): Handle the
	no-parent case without crashing.

2009-09-16  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-widget.c (goc_widget_init,
	cb_canvas_changed): New functions.
	(goc_widget_notify_scrolled): Do nothing if we have no parent.
	(goc_widget_set_widget): Handle the no-canvas-yet case.

	* goffice/canvas/goc-item.c (goc_item_class_init): Add canvas and
	parent properties.
	(goc_item_new): Construct the new item with all its properties.

	* goffice/canvas/goc-group.c (goc_group_unrealize,
	goc_group_realize): Chain.
	(goc_group_add_child, goc_group_remove_child): Notify item::parent
	and item::canvas.

	* goffice/canvas/goc-item.c (goc_item_realize,
	goc_item_unrealize): New handlers.
	(_goc_item_realize, _goc_item_unrealize): Simplify.
	(goc_item_new): Simplify and avoid double-realize.

	* goffice/canvas/goc-group.c (goc_group_realize,
	goc_group_unrealize): Simplify.

	* goffice/canvas/goc-polygon.c (goc_polygon_finalize): New
	function to plug leak.

2009-09-15  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-group.c (goc_group_clear): Add sanity check.

2009-09-14  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-widget.c (goc_widget_set_widget): Split from
	goc_widget_set_property.  Disconnect signals when changing widget.
	Keep ref to widget.  Handle setting NULL widget.
	(goc_widget_dispose): Set NULL widget.
	(goc_widget_class_init): Hook up dispose method.

	* goffice/canvas/goc-text.c (goc_text_class_init): Don't cast
	klass pointer to parent's interface type and expect to get the
	right thing!  Instead, make this implement the interface here and
	override the method we want to handle.

2009-09-13  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-widget.c (goc_widget_get_property): Add
	missing "break".

	* goffice/canvas/goc-item.c (goc_item_dispose): Rename from
	goc_item_finalize.
	(goc_item_destroy): New function.

	* goffice/canvas/goc-group.c (goc_group_clear): New function.
	(goc_group_dispose): Renamed from goc_group_finalize and changed
	to simply call goc_group_clear.
	(goc_group_class_init): Hook-up ::dispose instead of finalize.

	* goffice/canvas/goc-canvas.c (goc_canvas_dispose): New handler to
	get rid of items.

2009-09-13  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-0.8-sections.txt: more API doc work.
	* docs/reference/goffice-docs.sgml: ditto.
	* goffice/graph/gog-chart-map.c (make_path_spline): make gtk-doc happy.
	* goffice/gtk/go-3d-rotation-sel.c (go_3d_rotation_sel_new): renamed
	GO_3D_ROTATION_SEL_TYPE to GO_TYPE_3D_ROTATION_SEL.
	* goffice/gtk/go-3d-rotation-sel.h: ditto.
	* goffice/utils/go-bezier.c (go_bezier_spline_init),
	(go_bezier_spline_destroy), (go_bezier_spline_to_path): make gtk-doc happy.
	* goffice/utils/go-bezier.h: ditto.

2009-09-13  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/.gitignore: removed goffice-*-sections.txt.
	* docs/reference/Makefile.am: do not clean goffice-*-sections.txt.
	* docs/reference/goffice-0.8-sections.txt: added and cleaned a lot.
	* docs/reference/goffice-docs.sgml: updated.
	* goffice/canvas/goc-canvas.c: add some documentation.
	* goffice/canvas/goc-group.c (goc_group_add_child),
	(goc_group_remove_child): fix item life cycle issues.
	* goffice/canvas/goc-item.c (goc_item_finalize),
	(_goc_item_realize), (_goc_item_unrealize): ditto.
	* goffice/canvas/goc-item.h: ditto.
	* goffice/graph/gog-plot-impl.h: make gtk-doc happy.
	* goffice/gtk/go-combo-text.c: ditto.
	* goffice/gtk/go-combo-text.h: ditto.

2009-09-12  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/Makefile.am: removed obsolete entries.
	* docs/reference/goffice-docs.sgml: add canvas.
	* docs/reference/goffice-overrides.txt: removed obsolete file.
	* docs/reference/goffice-sections.txt: ditto.
	* docs/reference/goffice.types: ditto.
	* goffice/canvas/goc-canvas.c: some documentation related work.
	* goffice/canvas/goc-group.h: ditto
	* goffice/canvas/goc-item.h: ditto
	* goffice/canvas/goc-pixbuf.c: ditto
	* goffice/canvas/goc-pixbuf.h: ditto
	* goffice/canvas/goc-styled-item.h: ditto

2009-09-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-widget.c (goc_widget_set_property): don't destroy
	the old widget, just remove it from the canvas.

2009-09-11  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/goffice-sections.txt: make things work again after
	go-plugin-service names changes.

2009-09-08  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fixed empty combos after the libglade to gtkbuilder transition.

	* goffice/graph/gog-object.c (gog_object_populate_editor): here.

2009-09-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-image-save-dialog-extra.ui: fixed a combo box
	 initialization.
	* goffice/gtk/goffice-gtk.c (go_gui_get_image_save_info): ditto.

2009-09-05  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 0.7.12

2009-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: renamed go-color.h macros.

2009-09-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-equation.c (gog_equation_finalize),
	(gog_equation_view_finalize): call parent class finalize methods. [#594189]

2009-09-04  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Conditional use of Use AM_SILENT_RULES (if automake-1.11 is present).
	Verbose compilation is still available using make V=1.
	Feel free to revert if it's not convenient.

2009-09-04  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/xl-surface.c
	(xl_xyz_series_init_style): avoid edition of unused styles,
	(xl_contour_plot_class_init), (xl_surface_plot_class_init):
	allow series insertion, and fix surface series style. [#594070, #594077]

2009-09-03  Jody Goldberg <jody@gnome.org>

	* goffice/Makefile.am : move win32 .def file from foocanvas to goc

2009-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-error-bar.c (gog_error_bar_prefs): fix a widget
	life cycle issue.

2009-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-surface.c (gog_surface_view_render): missing
	space.
	* plugins/plot_surface/xl-surface.c (xl_surface_plot_class_init): X values
	are not required, just suggested. [#593937]

2009-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-styled-object.c
	(go_styled_object_set_cairo_fill): return FALSE when type is FILL_NONE.

2009-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (gog_axis_base_init_style): fixed some
	issues with auto styles.
	* goffice/graph/gog-axis.c (gog_axis_init_style): ditto.
	* goffice/graph/gog-equation.c (gog_equation_init_style): ditto.
	* goffice/graph/gog-graph.c (gog_graph_init): ditto.
	* goffice/graph/gog-grid.c (gog_grid_init_style): ditto.
	* goffice/graph/gog-label.c (gog_text_init_style): ditto.
	* goffice/graph/gog-legend.c (gog_legend_init_style): ditto.
	* goffice/graph/gog-plot.c (gog_plot_foreach_elem): ditto.
	* goffice/graph/gog-reg-curve.c (gog_reg_curve_init_style): ditto.
	* goffice/graph/gog-series-lines.c (gog_series_lines_init_style): ditto.
	* goffice/graph/gog-series.c (gog_series_element_init_style),
	(gog_series_init_style): ditto.
	* goffice/graph/gog-smoothed-curve.c
	(gog_smoothed_curve_init_style): ditto.
	* goffice/graph/gog-styled-object.c
	(gog_styled_object_parent_changed): ditto.
	* goffice/graph/gog-theme.c (gog_theme_fillin_style): ditto.
	* goffice/graph/gog-theme.h: ditto.
	* goffice/utils/go-style.c (go_style_apply_theme): ditto.
	* goffice/utils/go-style.h: ditto.
	* plugins/plot_barcol/gog-line.c
	(gog_line_series_element_init_style): ditto.
	* plugins/plot_distrib/gog-boxplot.c
	(gog_box_plot_series_class_init): ditto.
	* plugins/plot_pie/gog-pie.c (gog_pie_view_render): ditto.
	* plugins/plot_surface/gog-contour.c
	(gog_contour_plot_foreach_elem), (gog_contour_view_render): ditto.
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render),
	(gog_xy_series_element_init_style): ditto.

2009-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-plugin-service-impl.h: renamed GPS to GO_PLUGIN_SERVICE
	* goffice/app/go-plugin-service.c: ditto.
	* goffice/component/go-component-factory.c: ditto.
	* goffice/graph/gog-plot-engine.c: ditto.

2009-09-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-color.h: prefixed all macros with GO_
	* all files: use renamed go-color.h macros.

2009-08-31  Morten Welinder <terra@gnome.org>

	* docs/reference/Makefile.am: Clean more stuff to force regens.

2009-08-31  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: deprecate GOStyle::outline. [#593608]
	* goffice/canvas/goc-pixbuf.c (goc_pixbuf_draw): don't display a null sized
	pixbuf item.

2009-08-31  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-08-31  Morten Welinder <terra@gnome.org>

	* Release 0.7.11

2009-08-30  Morten Welinder  <terra@gnome.org>

	* goffice/canvas/goc-item.c (goc_item_new): Keep track of realize.

	* goffice/canvas/goc-group.c (goc_group_realize,
	goc_group_unrealize): Set the right ->realized.

2009-08-30  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 0.7.10

2009-08-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-line.c (goc_line_update_bounds): take line cap
	into account when needed.
	* goffice/canvas/goc-pixbuf.c (goc_pixbuf_draw): fixed scaling.
	* goffice/utils/go-styled-object.c
	(go_styled_object_set_cairo_line): make dashes work.

2009-08-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-group.c (goc_group_realize),
	(goc_group_unrealize): don't unrealize an item several times.
	* goffice/canvas/goc-item.c (goc_item_finalize): ditto.
	* goffice/canvas/goc-item.h: ditto.

2009-08-26  Morten Welinder  <terra@gnome.org>

	* goffice/graph/Makefile.am: The ui file needs to be distributed
	regardless of configuration.
	* plugins/plot_distrib/Makefile.am (ui_DATA): Ditto.

2009-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-group.c (goc_group_finalize): don't crash when
	destroying a group.

2009-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-combo-box.c (go_combo_box_set_display): expand the
	 display widget.
	* goffice/gtk/go-format-sel.c (nfs_init): create missing combo box.

2009-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: migrated from Glade to GtkBuilder

2009-08-25  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c (go_conf_win32_get_node): Guess what
	should happen when key==NULL.  Hopefully addresses #590786.

2009-08-25  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: remove FooCanvas.
	* goffice/Makefile.am: ditto.
	* goffice/cut-n-paste/.gitignore: ditto.
	* goffice/cut-n-paste/Makefile.am: ditto.
	* goffice/cut-n-paste/foocanvas/.gitignore: ditto.
	* goffice/cut-n-paste/foocanvas/Makefile.am: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-i18n.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-line.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-line.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-marshal.list: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-polygon.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-polygon.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-rect-ellipse.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-rect-ellipse.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-text.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-text.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-util.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-util.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-widget.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas-widget.h: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas.c: ditto.
	* goffice/cut-n-paste/foocanvas/foo-canvas.h: ditto.
	* goffice/cut-n-paste/foocanvas/libfoocanvas.h: ditto.
	* goffice/cut-n-paste/foocanvas/libfoocanvastypes.c: ditto.
	* goffice/graph/Makefile.am: ditto.
	* goffice/graph/gog-control-foocanvas.c: ditto.
	* goffice/graph/gog-control-foocanvas.h: ditto.

2009-08-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-line.c: fixed arrows bounds.

2009-08-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c: cleaned things.
	* goffice/canvas/goc-canvas.h: ditto.
	* goffice/canvas/goc-graph.c: ditto.
	* goffice/canvas/goc-group.c: ditto.
	* goffice/canvas/goc-line.c: implement arrow head.

2009-08-23  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-color.h (PIXEL_*): Kill unused macros.

2009-08-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/goc-canvas.c: add RTL support tothe canvas.
	* goffice/canvas/goc-canvas.h: ditto.
	* goffice/canvas/goc-ellipse.c: ditto.
	* goffice/canvas/goc-graph.c: ditto.
	* goffice/canvas/goc-group.c: ditto.
	* goffice/canvas/goc-line.c: ditto.
	* goffice/canvas/goc-line.h: ditto.
	* goffice/canvas/goc-pixbuf.c: ditto.
	* goffice/canvas/goc-polygon.c: ditto.
	* goffice/canvas/goc-polyline.c: ditto.
	* goffice/canvas/goc-rectangle.c: ditto.
	* goffice/canvas/goc-text.c: ditto.

2009-08-19  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: test for gtk_layout_get_bin_window.
	* goffice/canvas/goc-canvas.c: define gtk_layout_get_bin_window if needed.
	* goffice/canvas/goc-line-impl.h: removed obsolete.
	* goffice/graph/gog-chart.c (role_plot_can_add): fix signature.

2009-08-19  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/Makefile.am: add gog-polyline.[c,h].
	* goffice/canvas/*.[c,h]: fixed various issues.
	* goffice/grph/gog-equation.c: make it compile with latest lasem code.

2009-08-15  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 0.7.9

2009-08-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart.c (role_plot_can_add): do not allow several 3D plots an a
	single chart. (see #591478)

2009-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/canvas/*: removed *-impl.h files
	* goffice/goffice.h: changed include order.
	* goffice/gtk/go-3d-rotation-sel.c (cb_rotation_changed): removed unused variable.

2009-08-11  Jean Brefort  <jean.brefort@normalesup.org>

	* All: add and use a new cairo based canvas.

2009-08-07  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_log_calc_ticks): Improve minor
	ticks placement.

2009-08-06  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-string.c: Fix docs.

	* goffice/graph/gog-axis.c (map_linear_auto_bound): Avoid using an
	integer number of steps for pull-in-0 threshold.  Fixes #590903, I
	hope.

2009-08-04  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c (gog_series_get_xy_data): fix tests.
	* plugins/plot_distrib/gog-probability-plot.c: implement comparison line
	for probability plots. [#590416]
	* plugins/plot_distrib/plugin.c (go_plugin_init): ditto.
	* plugins/plot_distrib/plugin.xml.in: ditto.

2009-08-02  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* plugins/plot_distrib/plugin.xml.in: fix spelling

2009-07-24  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c (gog_contour_view_render): don't
	stop filling surface when one vertex is at a different level than the three
	others. [#589512]
	* plugins/plot_surface/gog-xyz-surface-prefs.glade: change tool tips to
	something more meaningful. [#589511]

2009-07-23  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/plot-types.xml.in: fix #589512.
	* plugins/plot_surface/plugin.xml.in: ditto.

2009-07-18  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-marker.c: add a left half bar marker.
	* goffice/utils/go-marker.h: ditto.

2009-07-15  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Remove duplicated declaration.

	* goffice/graph/gog-axis-line.h: here. Already in gog-axis-line-impl.h.

2009-07-09  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-win32.c (go_conf_win32_get,
	go_conf_win32_set): Handle NULL key.

2009-07-01  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-conf-gconf.c (go_conf_add_monitor): Don't use
	reserved identifier.
	(get_schema): Use go_conf_get_real_key to avoid problems with
	NULL.
	(cb_key_changed): Actually call the monitor with a node as
	advertised!

2009-06-30  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	More workaround for http://bugzilla.gnome.org/show_bug.cgi?id=585421

	* goffice/gtk/go-color-palette.c (make_colored_menu_item): here.
	* goffice/gtk/go-combo-pixmaps.c (go_menu_pixmaps_add_element): and here.

2009-06-30  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix wrong palette swatch sizes, due to bug introduced in gtk 2.16.
	(see http://bugzilla.gnome.org/show_bug.cgi?id=585421)

	* goffice/gtk/go-palette.c (go_palette_menu_item_new): here.

2009-06-28  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_date_to_odf): when we
	  encounter a error in tokenizing, skip forward

2009-06-25  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-string.h (go_string_get_cstr): deleted
	* goffice/utils/go-string.c (go_string_get_len): new
	(go_string_get_markup): new
	(go_string_get_phonetic): new
	(go_string_equal_ignorecase): new
	(go_string_equal_rich): new

2009-06-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c (axis_line_render), (x_process),
	(xy_process), (radar_process), (xyz_process): set 3d ticks at the
	correct position. [#585298]
	* goffice/graph/gog-chart.c: reversed fix to #152675.
	* goffice/graph/gog-graph.c (gog_graph_class_init): ditto.

2009-06-24  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c
	(go_format_output_scientific_number_element_to_odf): only add
	  gnm:engineering when asked to do so

2009-06-23  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_date_to_odf): be as explicit
	  as possible with respect to elapsed time and avoid it when we
	  are outputting a date-style.

2009-06-23  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_date_to_odf): also consider
	  elapsed seconds

2009-06-22  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_date_to_odf): handle elapsed
	  times better
	(go_format_output_number_to_odf): also handle currencies and accounting
	(go_format_output_currency_to_odf): deleted
	(go_format_output_to_odf): use go_format_output_number_to_odf for
	  currencies too

2009-06-22  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_date_to_odf): use family rather
	  than details, add color
	(go_format_output_fraction_to_odf): add color
	(go_format_output_number_to_odf): use unichar minus
	(go_format_output_scientific_number_to_odf): parse format string
	(go_format_output_to_odf): asked for details only when we need them

2009-06-21  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_date_to_odf): time and date styles
	  must contain a non-text element.

2009-06-21  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_number_to_odf): Don't use the details
	  but count the digits yourself. Change arguments.
	(go_format_output_number_element_to_odf): Change arguments
	(go_format_output_scientific_number_to_odf): ditto
	(go_format_output_general_to_odf): ditto
	(go_format_output_to_odf): adjust the calls to the above functions

2009-06-21  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_number_to_odf): add missed
	  argument to go_format_parse_color

2009-06-21  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_number_element_to_odf): new
	(go_format_output_number_to_odf): check the format string for colors
	  and string characters.
	(go_format_output_to_odf): consider the conditional formats if we can't
	  determine type otherwise.

2009-06-21  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (fmt_dialog_enable_widgets): Warn if
	localization fails.

	* goffice/utils/go-format.c (go_format_parse_color): Add
	is_localized parameter and handle it.  Caller changed.  Fixes
	#586567.

2009-06-20  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 0.7.8

2009-06-17  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* utils/go-format.c (go_format_output_general_to_odf): we need to
	output something
	(go_format_output_to_odf): if we don't know what kind of format
	it is, make a guess

2009-06-14  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_set_uri): Allow setting a NULL uri.

2009-06-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-equation.c: make things compile again after the
	goffice/goffice.h change.

2009-06-11  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (ALLOW_NEGATIVE_TIMES): Turn on.

2009-06-09  Morten Welinder  <terra@gnome.org>

	* */*.[ch]: Introduce <goffice/goffice.h> as master include file.

2009-06-03  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_currency_to_odf):
	  account for the possibility of NULL currency

2009-06-02  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_number_to_odf):
	  use min_digits from format details
	(go_format_output_scientific_number_to_odf): ditto
	(go_format_output_currency_to_odf): ditto

2009-06-02  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (study_format): Deal with issues the
	GUI does not handle.

	* goffice/utils/go-format.c (go_format_get_details): Figure out
	min_digit_width too.  Figure out decimals for seconds.  Use
	go_format_details_init.
	(go_format_details_init): New function.
	(go_format_generate_currency_str,
	go_format_generate_accounting_str,
	go_format_generate_scientific_str): Make static and just take
	details.  All callers fixed use to go_format_generate_str.

2009-06-02  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_number_to_odf): set
	  text properties for red text
	(go_format_output_currency_to_odf): ditto

2009-06-01  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.h (go_format_output_to_odf): add argument
	* goffice/utils/go-format.c (go_format_output_to_odf): add argument
	  and pass to go_format_output_*_to_odf
	(go_format_output_*_to_odf): add argument determining whether to use
	  foreign elements

2009-06-01  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_fraction_to_odf):
	  fix min-denominator-digits

2009-06-01  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_fraction_to_odf):
	  indicate when number:text are again possible

2009-06-01  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_date_to_odf):
	  mark elaspsed time with gnm: attribute

2009-05-31  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_inc_precision,
	go_format_dec_precision): Use go_format_get_details and
	go_format_generate_str.  That handles accounting formats and is
	less hacky.

2009-06-01  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_date_to_odf):
	  mark elaspsed time with gnm: attribute

2009-05-31  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_fraction_to_odf):
	  rewrite to export the true format

2009-05-31  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_date_to_odf): store
	  magic and handle fractional seconds

2009-05-31  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (fill_accumulator): delete
	(go_format_output_date_to_odf): rewrite without reference to the
	  style program

2009-05-30  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.h: use a descriptive name for arguments
	* goffice/utils/go-format.c (go_format_odf_style_map): rename argument
	  and handle GO_FMT_COND_NONTEXT
	(go_format_output_date_to_odf): fix typo
	(go_format_output_number_to_odf): handle conditional format
	(go_format_output_currency_to_odf): ditto
	(go_format_output_to_odf): ditto

2009-05-30  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_generate_str): Handle
	thousands_sep as well as negative value properties for percentages
	too.

	* goffice/gtk/go-format-sel.c (fillin_negative_samples): Use
	smaller sample value for percentages.
	(cb_decimals_changed, cb_separator_toggle,
	cb_format_currency_select): Call fillin_negative_samples when we
	have the F_NEGATIVE widget.

2009-05-30  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.h (go_format_odf_style_map): simplify
	  calling convention
	(gboolean go_format_output_to_odf): add argument
	* goffice/utils/go-format.c (go_format_odf_style_map): simplify
	  calling convention
	(gboolean go_format_output_to_odf): add argument

2009-05-30  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_output_date_to_odf) use
	  GOFormatDetails
	(go_format_output_scientific_number_to_odf): ditto
	(go_format_output_number_to_odf): ditto
	(go_format_output_currency_to_odf): new
	(go_format_output_to_odf) use GOFormatDetails

2009-05-29  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_default_date_time): Make
	this GO_FORMAT_MAGIC_SHORT_DATETIME instead of just picking the
	fifth time format we happen to generate.
	(go_format_default_date, go_format_default_time): Similar.
	(go_format_magic_fmt_str): Fix GO_FORMAT_MAGIC_SHORT_DATETIME to
	use GO_FORMAT_MAGIC_SHORT_TIME's format.

2009-05-28  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (cb_attrs_as_string): handle "scale"
	  attributes
	(go_format_parse_markup): ditto

2009-05-28  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (struct _GOFormatSel): Use a
	GOFormatDetails instead of individual members.
	(generate_format): Eliminate in favour of go_format_generate_str.
	(study_format): Simplify using go_format_get_details.
	(find_symbol): Remove.

	* goffice/utils/go-format.c (go_format_generate_accounting_str):
	Improve quoting.
	(go_format_get_details, go_format_generate_str): New functions.

	* goffice/utils/formats.c (go_currency_date_format_init): Simplify
	using go_format_locale_currency, go_format_generate_currency_str,
	and go_format_generate_accounting_str.
	(go_currency_date_format_init): Generate all members of
	fmts_accounting.

	* goffice/utils/go-format.c (go_format_locale_currency): New
	function.

2009-05-27  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (generate_number): Simplify using
	go_format_generate_number_str.
	(generate_accounting, generate_format): Use
	go_format_generate_number_str, go_format_generate_scientific_str,
	go_format_generate_accounting_str, and
	go_format_generate_currency_str.
	(fillin_negative_samples): Select using iterator, not path.
	(nfs_init): Split negative_type into negative_red and
	negative_paren in the negative-types model.

	* goffice/utils/go-format.c (go_format_generate_number_str,
	go_format_generate_scientific_str,
	go_format_generate_accounting_str,
	go_format_generate_currency_str): New functions.

2009-05-27  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (fill_accumulator): new
	(go_format_output_date_to_odf): new
	(odf_add_bool): new
	(go_format_output_fraction_to_odf): new stub
	(go_format_output_scientific_number_to_odf): new stub
	(go_format_output_number_to_odf): new stub
	(go_format_output_to_odf): implement

2009-05-27  Jean Bréfort  <jean.brefort@normalesup.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_builder_new): renamed for more
	consistency,
	(go_gtk_builder_signal_connect),
	(go_gtk_builder_signal_connect_swapped): new functions.
	* goffice/gtk/goffice-gtk.h: ditto.
	* plugins/plot_radar/gog-radar.c
	(gog_color_polar_plot_populate_editor): use go_gtk_builder_new.

2009-05-26  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_odf_style_map): new
	(go_format_output_to_odf): new
	* goffice/utils/go-format.h (go_format_odf_style_map): new
	(go_format_output_to_odf): new

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 0.7.7

2009-05-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-graph-widget.c (go_graph_widget_get_renderer): new
	utility function.
	* goffice/gtk/go-graph-widget.h: ditto.

2009-05-22  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-calendar-button.c: New file.

	* goffice/gtk/go-combo-box.c (cb_state_change,
	go_combo_box_set_display, go_combo_box_construct): Handle NULL
	display_widget.

	* goffice/gtk/Makefile.am: Add go-calendar-button.c

2009-05-21  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_time_get_dim_format): New
	functions.  Use an elapsed-time format for all dimensions.
	(map_date_get_dim_format): New function.  Use a date format for
	minimum and maximum only.
	(map_linear_subclass): Hook up map_time_get_dim_format and
	map_date_get_dim_format.
	(struct _GogAxisMapDesc): Add new get_dim_format method.
	(set_to_auto_value): Use new gog_data_editor_set_value_double.
	(make_dim_editor): Use format on editor.

	* goffice/graph/gog-data-allocator.h (GogDataEditor): new
	interface for the editor returned by
	GogDataAllocatorClass::editor.
	(GogDataAllocatorClass): use GogDataEditor* as return type for
	editor.
	(gog_data_allocator_editor): Ditto.  All caller changed.

2009-05-19  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_ref, go_format_unref):
	Constify.

	* goffice/gtk/go-format-sel.c (go_format_sel_get_fmt,
	go_format_sel_set_style_format): Constify.

2009-05-18  Morten Welinder  <terra@gnome.org>

	* goffice/data/go-data-impl.h (GODataClass): New member date_conv.
	* goffice/data/go-data.c (go_data_date_conv): New function.
	* plugins/plot_*/*.c: track date conventions from data as formats.

2009-05-16  Morten Welinder  <terra@gnome.org>

	* goffice/data/go-data-simple.c (go_data_vector_val_serialize,
	go_data_vector_str_serialize, go_data_matrix_val_serialize):
	Simplify.

	* goffice/gtk/go-format-sel.c (go_format_sel_set_style_format):
	Don't accept markup formats.

2009-05-11  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Bump lasem version requirement to 0.1.1. Adapt to the API change.

	* configure.in: here.
	* goffice/graph/gog-equation.c: use lsm_dom_view_get_size instead of
	lsm_dom_view_measure.

2009-05-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c (gog_series_class_init): always save
	interpolation mode. [#582054]

2009-05-11  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_set_pristine): New function.
	(go_doc_get_property, go_doc_set_property, go_doc_class_init):
	Make "pristine" an object property.

2009-05-07  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (cb_attrs_as_string): store the full
	  pango-weight. We apply a linear adjustment so that earlier
	  versions that read an int see the correct 0 for normal and
	  1 for bold and we will read old files correctly.
	(go_format_parse_markup): read the full pango-weight

2009-05-07  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_url_is_writeable): Avoid a
	warning and further reports like #580409.

2009-05-06  Morten Welinder  <mwelinder@gmail.com>

	* configure.in: Post-release bump.

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 0.7.6

2009-05-04  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (handle_common_token): Dump currency
	string into the program as a string, not a sequence of characters.
	Fixes #581307.
	(go_format_dump_program): New function.

2009-05-02  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-styled-object.c (gog_style_new): have it back to fix
	some compatibility issues.
	* goffice/graph/gog-styled-object.h: ditto.

2009-04-29  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-object-xml.h (gog_object_new_from_xml,
	gog_object_sax_push_parser): Add user pointer argument for
	serialization.  All callers changed.

	* goffice/data/go-data.c (go_data_serialize): Rename from
	go_data_as_str.  Add user pointer argument.  All callers changed.
	(go_data_unserialize): Rename from go_data_from_str.  Add user
	pointer argument.  All callers changed.

2009-04-28  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_log_calc_ticks): Handle
	non-integer major steps.  Fixes #375756.

2009-04-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-conf-*: use go_conf_node_get_key_type which looks
	ways better than go_conf_get_node_type.

2009-04-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-conf-gconf.c: renamed go_conf_get_type
	go_conf_get_node_type to avoid a build failure during docs generation.
	[#580296]
	* goffice/app/go-conf-keyfile.c: ditto.
	* goffice/app/go-conf-win32.c: ditto.
	* goffice/app/go-conf.h: ditto.

2009-04-26  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: Post release bump.

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 0.7.5

2009-04-23  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Enable the creation of multidimensional GOData derived objects, and
	their use for the graph data sources.

	That means, in graphs, all the GOData area accessed via the generic
	GOData API, not by cast to GODataScalar, GODataVector and GODataMatrix.
	It's still required that the underlying object has the requested dimension,
	i.e. a call to go_data_get_vector_value should use a GOData object with
	n_dimensions == 1.

2009-04-17  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_libglade_new): Actually remove
	this alias as threatened.  All internal users fixed.

	* */*.c: Doc fixes to please gtk-doc.

	* goffice/graph/gog-axis.c (map_date_auto_bound): Fix problem with
	upper bound when step is in years and maximum in not on January 1.

2009-04-17  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_radar/Makefile.am: add the glade fil to EXTRA_DIST since
	it is used as a source for the xml file.

2009-04-17  Morten Welinder  <terra@gnome.org>

	* goffice/utils/formats.c (fmts_date, fmts_time): Auto-generate
	all.  Add magic formats.  Note, that the dialog does, but should
	not, display the magic formats literally.

2009-04-15  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-error-bar.c: Add missing include.

2009-04-11  Jean Brefort  <jean.brefort@normalesup.org>

	* Makefile.am: add --with-gmathml to DISTCHECK_CONFIGURE_FLAGS so
	that gtk-doc succeeds.
	* docs/reference/goffice-docs.sgml: moved style related documentation
	to utilities.
	* docs/reference/goffice-sections.txt: update names.
	* plugins/plot_radar/Makefile.am: add ui_DATA to EXTRA_DIST.

2009-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* All files: moved GogStyle code to utils and renamed it GOStyle.

2009-04-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Naming consistency fix.

	/\bGo([A-Z])/GO$1/
	/\bIS_GO_/GO_IS_/
	/\bIS_GOG_/GOG_IS_/
	/\bIS_GOD_/GOD_IS_/
	/\bGO_([A-Z,_]*)_TYPE\b/GO_TYPE_$1/
	/\bGOG_([A-Z,_]*)_TYPE\b/GOG_TYPE_$1/
	/\bGOD_([A-Z,_]*)_TYPE\b/GOD_TYPE_$1/

2009-04-03  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_linear_calc_ticks): Take N...  We
	got hit by excess precision on x86.

2009-04-02  Jody Goldberg <jody@gnome.org>

	* goffice/app/file.c (go_file_saver_for_mime_type) : search the
	  default list first.
	(go_file_saver_for_file_name) : ditto.

2009-03-31  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_linear_calc_ticks): When we
	determine whether to drop a major tick due to alignment, use a
	more stable method.

2009-03-31  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c: (gog_line_view_render): fix area
	plots rendering.

2009-03-30  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_linear_calc_ticks): Drop final
	major tick if it goes beyond the maximum which can happen after we
	align the grid.

2009-03-29  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_linear_calc_ticks): Make sure the
	major step is a multiple of what was asked for, notably when a
	crazy maximum has been picked.

2009-03-28  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (make_dim_editor): Simplify.
	(map_linear_calc_ticks): Make sure we get zero and not almost-zero
	when we need to.

2009-03-27  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c: Introduce subclassing of axis map
	descriptors.
	(map_date_calc_ticks, map_date_auto_bound): New functions.
	(map_linear_subclass): Subclass polar, time, and date axes.

2009-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot.c: (gog_plot_guru_helper_add_grid_line): fixed
	axis type test.
	* goffice/gtk/goffice-gtk.c: (go_xml_builder_new): new GtkBuilder
	support function.
	* goffice/gtk/goffice-gtk.h: ditto.
	* pixmaps/Makefile.am: added new pixmaps.
	* pixmaps/chart_color_polar_1_1.png: new pixmap.
	* pixmaps/chart_color_polar_1_1.svg: ditto.
	* plugins/plot_radar/Makefile.am: added ui file.
	* plugins/plot_radar/gog-color-polar-prefs.glade: new glade file.
	* plugins/plot_radar/gog-color-polar-prefs.xml: the same as a ui file.
	* plugins/plot_radar/gog-radar.c: (hide_outliers_toggled_cb),
	(gog_color_polar_plot_populate_editor),
	(gog_color_polar_plot_set_property),
	(gog_color_polar_plot_get_property),
	(gog_color_polar_plot_type_name), (gog_color_polar_plot_update),
	(gog_color_polar_plot_axis_get_bounds),
	(gog_color_polar_plot_class_init), (gog_color_polar_plot_init),
	(get_map_color), (gog_rt_view_render),
	(gog_color_polar_series_init_style),
	(gog_color_polar_series_update),
	(gog_color_polar_series_class_init), (go_plugin_init): add support for
	the new GogColorPolarPlot plot type.
	* plugins/plot_radar/gog-radar.h: ditto.
	* plugins/plot_radar/plot-types.xml.in: ditto.
	* plugins/plot_radar/plugin.xml.in: ditto.
	* plugins/plot_xy/gog-xy.c: (gog_xy_color_plot_populate_editor): fixed a
	memory leak.

2009-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: Fixed gconf and gmathml propagation to pc file. [#576497]

2009-03-25  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis.c (map_polar_auto_bound): Split from
	map_linear_auto_bound.
	(map_time_auto_bound): New function.
	(map_linear_auto_bound): Call map_polar_auto_bound or
	map_time_auto_bound as appropriate.

	* goffice/utils/go-format.c (go_format_is_time,
	go_format_has_minute): New functions.

2009-03-22  Morten Welinder  <terra@gnome.org>

	* configure.in: Post release bump

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 0.7.4

2009-03-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-locale.c (go_locale_get_time_format,
	go_locale_get_date_format): Make more robust.

2009-03-19  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_magic_fmt_str): Use
	go_locale_24h.

	* goffice/utils/go-locale.c (go_locale_24h): New function.

2009-03-18  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (fmt_dialog_init_fmt_list): Select a
	magic format if just the magic agrees.

	* goffice/utils/go-format.c (go_format_get_magic): New function.

2009-03-17  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (cb_format_entry_changed): Handle
	failing go_format_str_delocalize.

	* goffice/utils/go-format.c (go_format_str_localize,
	go_format_str_delocalize): Redo based on go_format_preparse.  This
	way we understand the formats better and don't translate the dots
	in, for example, "dd.mm.yyyy".
	(go_format_preparse): Take extra argument for keeping all tokens
	and for tokenizing localized.  Caller changed.
	(GOFormatParseState): Add extra fields for colours.
	(go_format_preparse): Populated those fields.
	(go_format_token2): Add extra parameter for tokenizing localized.
	Return decimal and thousands separator as special tokens.  All
	callers changed.

2009-03-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_default_accounting): New
	function.

2009-03-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-style.c: (gog_style_sax_load_font): set
	a default family when none is given. [#575318]

2009-03-12  Morten Welinder  <terra@gnome.org>

	* configure.in (surfaces_reqs): Move cairo backends here, so we
	don't link against them.

2009-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c: (_draw_rectangle): revert previous
	change.
	* plugins/plot_barcol/gog-dropbar.c: (barcol_draw_rect): ensure that
	the width and height are positive.

2009-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c: (_draw_rectangle): correctly evaluate
	the narrow flag when the rectangle has a negative width or height.

2009-03-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c: (gog_barcol_view_render): correctly
	use points other than the first one. [#574349]
	* plugins/plot_distrib/gog-histogram.c: don't show a marker in the
	legend. [#574340]
	* plugins/plot_pie/gog-pie.c: (gog_pie_view_render): skip points when
	the datum is skipped. [#574348]

2009-03-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/goffice-gtk.c: new go_gtk_show_url function. [#559021]
	* goffice/gtk/goffice-gtk.h: ditto.

2009-02-26  Morten Welinder  <terra@gnome.org>

	* goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.c (foo_canvas_pixbuf_update):
	If the resulting size is 0 pixels, don't try to scale the pixbuf.
	Avoids critical on image insert in Gnumeric.

2009-02-22  Morten Welinder <terra@gnome.org>

	* configure.in: Post release bump

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 0.7.3

2009-02-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c: (polar_make_path): return a NULL path
	for cubic splines interpolation (should not happen).
	* goffice/graph/gog-series.c: (gog_series_populate_editor): fix radial
	axis test when populating interpolation combo box. [#572698]
	* plugins/plot_radar/gog-radar.c: (gog_rt_view_render): avoid criticals
	when a path is NULL (anyway this should not happen).

2009-02-19  Morten Welinder  <terra@gnome.org>

	* docs/reference/Makefile.am (IGNORE_HFILES): Ignore gog-equation
	unless with are compiling it.  See bug 572483.

2009-02-19  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-1.5d.c: (gog_plot1_5d_update): don't set
	a value to an invalid length variable. [#572354]

2009-02-06  Tor Lillqvist  <tml@iki.fi>

	Bug 570095 - [Win32] Make goffice build without urlmon and
	htmlhelp headers and libs

	Unfortunately, MinGW doesn't come with headers and libraries for
	urlmon and htmlhelp. So to make it easier to build goffice with
	MinGW, just include the very minimal declarations needed inline,
	and look up the two functions used at run-time.

	* goffice/utils/go-file.c (find_mime_from_data): Look up
	FindMimeFromData from urlmon.dll.

	* goffice/gtk/goffice-gtk.c (html_help): Look up HtmlHelp from
	hhctrl.ocx.

	* goffice/Makefile.am: Drop -lurlmon and -lhtmlhelp.

2009-01-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c: (gog_series_populate_editor): fixed a
	wrong test. [#568932]

2009-01-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.c: (graph_typeselect_minor): return if the
	item is the sample graph. [#567931]

2009-01-11  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_url_is_writeable): Undo
	incorrect fix for "goffice-gtk.c:925: warning: format not a string
	literal and no format arguments".  For now, let gcc issue the
	false warning.

2008-01-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-equation.c (gog_equation_update): don't crash when
	on equation string == "{".

2009-01-06  Morten Welinder  <terra@gnome.org>

	* goffice/goffice.c (libgoffice_init): Call g_type_init early as
	go_conf_init might need it.

2008-01-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-equation.c (gog_equation_populate_editor):
	remember last active preference page.

2008-12-31  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru-type-selector.glade: implement the insertion
	of an application specific custom widget.
	* goffice/graph/gog-guru.c: (graph_guru_type_selector_new),
	(gog_guru_add_custom_widget): ditto.
	* goffice/graph/gog-guru.h: ditto.
	* goffice/graph/gog-plot-impl.h: remove series minimum number.
	* goffice/graph/gog-plot.c: (gog_plot_class_init),
	(gog_plot_clear_series): ditto.
	* goffice/graph/gog-plot.h: ditto.
	* plugins/plot_barcol/gog-1.5d.c: (gog_plot1_5d_class_init): ditto.
	* plugins/plot_distrib/gog-boxplot.c: (gog_box_plot_class_init): ditto.
	* plugins/plot_distrib/gog-histogram.c: ditto.
	(gog_histogram_plot_class_init):
	* plugins/plot_distrib/gog-probability-plot.c: ditto.
	(gog_probability_plot_class_init):
	* plugins/plot_pie/gog-pie.c: (gog_pie_plot_class_init),
	(gog_ring_plot_class_init): ditto.
	* plugins/plot_radar/gog-radar.c: (gog_rt_plot_class_init): ditto.
	* plugins/plot_surface/gog-xyz.c: (gog_xyz_plot_class_init): ditto.
	* plugins/plot_xy/gog-xy.c: (gog_2d_plot_class_init): ditto.

2008-12-30  Morten Welinder  <terra@gnome.org>

	* configure.in (set_more_warnings): Add -Wformat-security.

2008-12-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (is_fd_uri): Allow terminating slash.

2008-12-24  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Avoid a warning when equation->itex string is NULL.

	* goffice/graph/gog-equation.c (gog_equation_populate_editor): here.

2008-12-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/datetime.c (datetime_serial_to_g): Simply return
	1900-02-29 as an invalid date.  Callers now handle it.

2008-12-14  Morten Welinder  <terra@gnome.org>

	* */*.c: Clean up glib includes.  Patch from Pedro Fragoso.  Fixes
	#564021.

2008-12-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Don't access mathml root element style field directly. That fixes
	the font sizes of the equation.

	* goffice/graph/gog-equation.c (_update_equation_style): here.

2008-12-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Avoid a crash when the equation expression is empty.

	* goffice/graph/gog-equation.c (_update_equation_style): here.

2008-12-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Avoid non-zero page size warnings in all glade files.

2008-12-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Actually use the parent styled_object properties.

	* goffice/graph/gog-equation.c (_update_equation_style): new.
	(gog_equation_style_changed): new.
	(gog_equation_init_style): we don't need text_layout properties.
	(gog_equation_view_size_request): propagates to the parent
	size_request method.
	(gog_equation_view_render): propagates to the parent render method.

2008-12-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Define the theme properties for the GogEquation objects.

	* goffice/graph/gog-theme.c: here.

2008-12-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Move the style-changed emission after the style have been applied to
	the styled object. Makes the new style availabe to the signal
	callbacks.

	* goffice/graph/gog-styled-object.c (gog_styled_object_set_style):
	here.

2008-12-12  Pedro Fragoso  <ember@ubuntu.com>

	* goffice/app/goffice-app.h:
	* goffice/app/io-context.c:
	* goffice/component/go-component.h:
	* goffice/cut-n-paste/foocanvas/foo-canvas.h:
	* goffice/drawing/god-drawing-renderer-cairo.c:
	* goffice/drawing/god-drawing-renderer-gdk.h:
	* goffice/drawing/god-drawing-view.h:
	* goffice/graph/gog-axis-line.c:
	* goffice/graph/gog-axis.c:
	* goffice/graph/gog-chart.c:
	* goffice/graph/gog-child-button.c:
	* goffice/graph/gog-child-button.h:
	* goffice/graph/gog-error-bar.c:
	* goffice/graph/gog-graph.c:
	* goffice/graph/gog-grid.c:
	* goffice/graph/gog-guru.c:
	* goffice/graph/gog-guru.h:
	* goffice/graph/gog-label.c:
	* goffice/graph/gog-object.c:
	* goffice/graph/gog-plot.c:
	* goffice/graph/gog-reg-curve.c:
	* goffice/graph/gog-renderer.h:
	* goffice/graph/gog-series.c:
	* goffice/graph/gog-series.h:
	* goffice/graph/gog-style.c:
	* goffice/gtk/go-3d-rotation-sel.c:
	* goffice/gtk/go-3d-rotation-sel.h:
	* goffice/gtk/go-action-combo-color.c:
	* goffice/gtk/go-action-combo-pixmaps.c:
	* goffice/gtk/go-action-combo-stack.c:
	* goffice/gtk/go-action-combo-text.c:
	* goffice/gtk/go-charmap-sel.c:
	* goffice/gtk/go-charmap-sel.h:
	* goffice/gtk/go-color-palette.c:
	* goffice/gtk/go-color-palette.h:
	* goffice/gtk/go-color-selector.c:
	* goffice/gtk/go-color-selector.h:
	* goffice/gtk/go-combo-box.c:
	* goffice/gtk/go-combo-box.h:
	* goffice/gtk/go-combo-color.c:
	* goffice/gtk/go-combo-color.h:
	* goffice/gtk/go-combo-pixmaps.c:
	* goffice/gtk/go-combo-pixmaps.h:
	* goffice/gtk/go-combo-text.c:
	* goffice/gtk/go-combo-text.h:
	* goffice/gtk/go-font-sel.c:
	* goffice/gtk/go-font-sel.h:
	* goffice/gtk/go-format-sel.c:
	* goffice/gtk/go-format-sel.h:
	* goffice/gtk/go-gradient-selector.h:
	* goffice/gtk/go-graph-widget.c:
	* goffice/gtk/go-graph-widget.h:
	* goffice/gtk/go-image-sel.c:
	* goffice/gtk/go-image-sel.h:
	* goffice/gtk/go-line-selector.h:
	* goffice/gtk/go-locale-sel.c:
	* goffice/gtk/go-locale-sel.h:
	* goffice/gtk/go-marker-selector.h:
	* goffice/gtk/go-palette.c:
	* goffice/gtk/go-palette.h:
	* goffice/gtk/go-pattern-selector.h:
	* goffice/gtk/go-pixbuf.h:
	* goffice/gtk/go-rotation-sel.c:
	* goffice/gtk/go-rotation-sel.h:
	* goffice/gtk/go-selector.c:
	* goffice/gtk/go-selector.h:
	* goffice/gtk/goffice-gtk.h:
	* goffice/math/go-cspline.c:
	* goffice/math/go-math.h:
	* goffice/math/go-matrix3x3.h:
	* goffice/math/go-rangefunc.c:
	* goffice/math/go-rangefunc.h:
	* goffice/math/go-regression.c:
	* goffice/math/go-regression.h:
	* goffice/ms-compat/go-ms-parser.c:
	* goffice/ms-compat/god-drawing-ms.c:
	* goffice/utils/go-color.c:
	* goffice/utils/go-color.h:
	* plugins/plot_barcol/gog-1.5d.c:
	* plugins/plot_barcol/gog-barcol-prefs.c:
	* plugins/plot_distrib/gog-boxplot.c:
	* plugins/plot_pie/gog-pie-prefs.c:
	* plugins/plot_radar/gog-radar.c:
	* plugins/reg_linear/gog-polynom-reg.c:
	GNOME Goal: Clean up GLib and GTK+ includes (Closes: #564021)

2008-12-11  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Use a GtkTextView for the equation expression.

	* goffice/graph/gog-equation-prefs.glade: use a GtkTextView.
	* goffice/graph/gog-equation.c (cb_equation_buffer_changed): replaces
	cb_equation_entry_changed.
	(gog_equation_populate_editor): use a GtkTextView.
	(gog_equation_update): try to fix the user entered expression in order
	to have a valid mathml tree.

2008-12-08  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-box.c (go_combo_box_realize): Set cursor in
	a realize handler, not at init time.

	* goffice/utils/go-format.c (go_format_parse_number_E): Handle
	E-00 as well as E+00.

2008-12-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Add an optional dependency to GMathml, for equation support. It's
	disabled by default.

	* configure.in: gmathml check.
	* goffice/goffice.c: Declare GogEquationType.
	* goffice/graph/Makefile.am: Conditionally build gog-equation.[ch]
	* goffice/graph/gog-equation.[ch]: new.
	* goffice/graph/gog-equation-prefs.c: new.
	* goffice/graph/gog-chart.c: add GogEquation to the possible chart
	children.
	* goffice/graph/gog-renderer.c (gog_renderer_draw_equation): new.

2008-11-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: make GogAxisBase public, at least a bit.
	* goffice/graph/gog-axis-line-impl.h: ditto.
	* goffice/graph/gog-axis-line.c: ditto.
	* goffice/graph/gog-axis-line.h: ditto.
	* plugins/plot_barcol/gog-line.c: make drop lines go to the axis instead
	of bottom (or left when horizontal).
	* plugins/plot_xy/gog-xy.c: ditto.

2008-11-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c: add support for clamped splines.
	* goffice/graph/gog-axis.h: ditto.
	* goffice/graph/gog-chart-map.c: ditto.
	* goffice/graph/gog-chart-map.h: ditto.
	* goffice/graph/gog-series-impl.h: ditto.
	* goffice/graph/gog-series-prefs.glade: ditto.
	* goffice/graph/gog-series.c: ditto.
	* goffice/graph/gog-series.h: ditto.
	* goffice/utils/go-line.c: ditto.
	* goffice/utils/go-line.h: ditto.
	* plugins/plot_xy/gog-xy.c: ditto.
	* plugins/plot_xy/gog-xy.h: ditto.

2008-11-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_get_file_permissions): Fix memory
	corruption.  Probably fixes #561708.

2008-11-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-spline.c: removed unnecessary casts.
	* goffice/math/go-distribution.c: removed unused gtk dependent function.
	* goffice/math/go-distribution.h: ditto.
	* plugins/plot_distrib/gog-probability-plot.c: fixed compilation without
	gtk.

2008-11-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-cspline.c: (go_cspline_init): don't use cast with
	g_new.
	* goffice/utils/go-bezier.c: (go_bezier_spline_init): create a struct,
	not a pointer to a struct, and don't cast.

2008-11-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart.c: set title priority to 0. [#152675]
	* goffice/graph/gog-graph.c: (gog_graph_class_init): ditto.

2008-11-11  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c: (make_path_linear),
	(make_path_spline), (make_path_cspline), (xy_make_path_step),
	(xy_make_path), (polar_make_path_step), (polar_make_path),
	(gog_chart_map_make_path): add new spline interpolation modes.
	* goffice/graph/gog-chart-map.h: ditto.
	* goffice/graph/gog-reg-curve.c: (gog_reg_curve_view_render): use
	natural cubic splines instead of Bezier splines.
	* goffice/graph/gog-series-impl.h: allow interpolation over invalid
	data.
	* goffice/graph/gog-series-prefs.glade: add new spline interpolation
	modes and allow interpolation over invalid data.
	* goffice/graph/gog-series.c: (gog_series_set_property),
	(gog_series_get_property), (cb_line_interpolation_changed),
	(cb_line_interpolation_skip_changed), (gog_series_populate_editor),
	(gog_series_class_init): ditto.
	* goffice/graph/gog-smoothed-curve.c:
	(gog_smoothed_curve_view_render): update after gog_chart_map_make_path
	signature change.
	* goffice/utils/Makefile.am: add bezier splines evaluation.
	* goffice/utils/go-line.c: (go_line_interpolation_as_label),
	(go_line_interpolation_supports_radial),
	(go_line_interpolation_auto_skip): add new spline interpolation modes.
	* goffice/utils/go-line.h: ditto.
	* plugins/plot_radar/gog-radar.c: (gog_rt_view_render): update after
	gog_chart_map_make_path signature change.
	* plugins/plot_xy/gog-xy.c: (gog_xy_view_render): add new spline
	interpolation modes.
	* plugins/plot_xy/gog-xy.h: ditto.

2008-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-cspline.c: (go_cspline_init): fixed evaluation for
	cubic and clamped limits.

2008-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph.c: (gog_graph_set_property): fixed typo.

2008-11-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-bezier.c: new code for bezier splines.
	* goffice/utils/go-bezier.h: ditto.

2008-11-07  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/go-distribution-prefs.c:
	(go_distribution_pref_new): fixed a memory leak.

2008-11-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.c: (make_path_spline): use true splines.

2008-11-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-file.c: (go_url_show): removed duplicated GError*.

2008-11-01  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: drop the libgnome related code. [#558709]
	* goffice/goffice-features.h.in: ditto.
	* goffice/gtk/goffice-gtk.c: (go_help_display): ditto.
	* goffice/utils/go-file.c: (go_url_show): ditto.

2008-11-01  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: add GOFFICE_WITH_GCONF and use gtk_show_uri when present.
	[#558709]
	* goffice/app/go-conf.c: ditto.
	* goffice/goffice-features.h.in: ditto.
	* goffice/gtk/goffice-gtk.c: (go_help_display): ditto.
	* goffice/utils/go-file.c: (go_url_show): ditto,
	(go_get_mime_type): simplify.

2008-10-31  Jean Brefort  <jean.brefort@normalesup.org>

	* pixmaps/Makefile.am: add new icon for GogXYZContourPlot.
	* pixmaps/chart_contour_2_1.png: new icon.
	* pixmaps/chart_contour_2_1.svg: ditto.
	* plugins/plot_surface/gog-contour.c: fixed various regressions.
	* plugins/plot_surface/gog-xyz-surface.c: add GogXYZContourPlot.
	* plugins/plot_surface/gog-xyz-surface.h: ditto.
	* plugins/plot_surface/gog-xyz.c: ditto.
	* plugins/plot_surface/plot-types.xml.in: ditto.

2008-10-25  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-color.c (go_action_combo_color_finalize):
	Plug leak.

	* configure.in (long double): Add --without-long-double option.
	Fixes #557045.  Patch by Halton Huo.

	* goffice/gtk/go-combo-box.c (go_combo_box_popup_hide_unconditional):
	Fix some very strange ref-unrefing.

2008-10-24  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-combo-text.c (go_combo_text_init): Plug leak.

	* goffice/gtk/go-color-palette.c (go_color_palette_set_group):
	Balance references.

2008-10-24  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/xl-surface.c: (get_y_vector): add labels if none
	is given,
	(xl_contour_plot_class_init): use GOG_SERIES_SUGGESTED for categories.

2008-10-24  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-xyz.c: (gog_xyz_plot_axis_get_bounds):
	make things work when there is no data for an axis.

2008-10-23  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-action-combo-color.c
	(go_action_combo_color_create_tool_item): Plug leak.

2008-10-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-cspline.c: (go_cspline_destroy): return without freeing
	if the argument is NULL. [#557442]

2008-10-18  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2008-10-17  Jody Goldberg <jody@gnome.org>

	* Release 0.7.2

2008-10-17  Jody Goldberg <jody@gnome.org>

	* goffice/math/go-distribution.c : minor build fix for win32.
	    *
2008-10-14  Jody Goldberg <jody@gnome.org>

	* /gnome/src/goffice/goffice/app/go-doc.c (go_doc_write) : only
	  generate a GODoc node if there is something to put in.

2008-10-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-distribution.c: fixed compilation for both with
	and without long double.

2008-10-14  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-style.c (gog_style_fill_sax_save) : add some
	  protection.
	* goffice/utils/go-image.c (go_image_get_name) : add some protection.

2008-10-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-file.c: (go_get_mime_type): do not unref a
	NULL GObject*.

2008-10-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-contour.c: (gog_contour_view_render): do
	not try to access NULL data. [#555757]
	* plugins/plot_surface/gog-surface.c: (gog_surface_view_render): ditto.

2008-10-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_distrib/gog-probability-plot.c:
	(gog_probability_plot_series_update): don't write a second in
	an array of size 1. [#555161]

2008-10-08  Jody Goldberg <jody@gnome.org>

	* goffice/cut-n-paste/foocanvas/foo-canvas.c (foo_canvas_crossing) :
	  simplistic patch to repair gtk-2.14 related breakage.

2008-09-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-error-bar.c: (gog_error_bar_get_bounds):
	don't crash in index < 0.
	* plugins/plot_barcol/gog-line.c: (gog_line_view_render): fix index
	for error bars. [#553711]

2008-09-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-graph.c: (gog_graph_set_property): [Coverity 187]
	* goffice/graph/gog-grid-line.c: (gog_grid_line_xy_render): [Coverity 52]
	* goffice/graph/gog-guru.c: (populate_graph_item_list): [Coverity 20]
	* goffice/graph/gog-renderer.c: (gog_renderer_export_image): [Coverity 40]
	* goffice/gtk/go-format-sel.c: (fmt_dialog_enable_widgets): [Coverity 18]
	* goffice/gtk/go-image-sel.c: (ok_button_clicked_cb): [Coverity 19]
	* goffice/utils/datetime.c: (datetime_weeknum): [Coverity 27]
	* goffice/utils/go-pattern.c: (go_pattern_get_svg_path): [Coverity 17]

2008-09-14  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-image-sel.c: (cb_file_image_select): don't test
	before g_free.
	* goffice/gtk/goffice-gtk.c: (go_help_display): applied patch
	from Hib Eris to fix a crash in non-gnome apps using goffice
	with gnome. [#551128]
	* goffice/utils/go-file.c: (go_file_get_date): don't free the error twice.

2008-09-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc.c: (load_image): check attr != NULL before
	deferencing [Coverity 196].
	* goffice/graph/gog-axis-line.c:
	(gog_axis_base_view_label_position_request): initialize padding
	[Coverity 242].
	* goffice/graph/gog-legend.c: (cb_render_elements): add a test to
	hopefully fix Coverity 199.
	* goffice/graph/gog-object.c: (gog_object_dup): add a test to
	hopefully fix Coverity 72.
	* goffice/graph/gog-plot.c: (gog_plot_populate_editor): add missing
	labels [Coverity 154].
	* goffice/gtk/goffice-gtk.c: (go_gui_get_image_save_info): add a test
	to hopefully fix Coverity 71.
	* goffice/math/go-R.c: fix file name in license.
	* goffice/math/go-R.h: ditto.
	* goffice/math/go-distribution.c: ditto.
	* goffice/utils/go-pattern.c: (go_pattern_get_svg_path): don't check
	in an unsigned number is positive [Coverity 134].
	* goffice/utils/go-undo.c: (go_undo_group_undo): [Coverity 188].
	* plugins/plot_distrib/gog-boxplot.c: fix file name in license.
	* plugins/plot_distrib/gog-boxplot.h: ditto.
	* plugins/plot_distrib/gog-probability-plot.c:
	(gog_probability_plot_class_init): fix the comment for the second
	shapr property.
	* plugins/plot_radar/gog-radar.c: (gog_rt_view_render): add a few
	parenthesis in the hope to fix Coverity 73.
	* plugins/plot_surface/gog-xyz-surface.c:
	(gog_xyz_surface_plot_build_matrix): removed an invalid test [Coverity 135].

2008-09-13  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: renamed plot_boxes to plot_distrib.
	* plugins/Makefile.am: ditto.
	* plugins/plot_boxes/.gitignore: ditto.
	* plugins/plot_boxes/Makefile.am: ditto.
	* plugins/plot_boxes/go-distribution-prefs.c: ditto.
	* plugins/plot_boxes/go-distribution-prefs.h: ditto.
	* plugins/plot_boxes/gog-boxplot-prefs.glade: ditto.
	* plugins/plot_boxes/gog-boxplot.c: ditto.
	* plugins/plot_boxes/gog-boxplot.h: ditto.
	* plugins/plot_boxes/gog-histogram.c: ditto.
	* plugins/plot_boxes/gog-histogram.h: ditto.
	* plugins/plot_boxes/gog-probability-plot.c: ditto.
	* plugins/plot_boxes/gog-probability-plot.h: ditto.
	* plugins/plot_boxes/plot-types.xml.in: ditto.
	* plugins/plot_boxes/plugin.xml.in: ditto.
	* plugins/plot_distrib/go-distribution-prefs.c: fixed a warning.
	* plugins/plot_distrib/gog-boxplot.c: fixed a warning.
	* plugins/plot_distrib/gog-probability-plot.c: fixed a warning.
	* plugins/plot_distrib/plugin.c: added missing file.

2008-09-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/goffice.c: (libgoffice_init): init distributions.
	* goffice/math/Makefile.am: support distributions.
	* goffice/math/go-R.c: ditto.
	* goffice/math/go-R.h: ditto.
	* goffice/math/go-distribution.c: ditto.
	* goffice/math/go-distribution.h: ditto.
	* goffice/math/go-rangefunc.c: renamed range_sort to go_range_sort
	and make it public.
	* goffice/math/go-rangefunc.h: ditto.
	* pixmaps/Makefile.am: add new pixmaps.
	* pixmaps/chart_prob_1_1.svg: implement probablility plots. [#500168]
	* plugins/plot_boxes/Makefile.am: ditto (and renamed the plugin).
	* plugins/plot_boxes/go-distribution-prefs.c: ditto.
	* plugins/plot_boxes/go-distribution-prefs.h: ditto.
	* plugins/plot_boxes/gog-boxplot.c: moved some code to plugin.c.
	* plugins/plot_boxes/gog-probability-plot.c: implement probablility plots.
	* plugins/plot_boxes/gog-probability-plot.h: ditto.
	* plugins/plot_boxes/plot-types.xml.in: ditto.
	* plugins/plot_boxes/plugin.xml.in: ditto.

2008-09-12  Jean Brefort  <jean.brefort@normalesup.org>

	* pixmaps/dist.xpm: new pixmap for the distribution related plot
	family.

2008-09-11  Jody Goldberg <jody@gnome.org>

	* goffice/app/go-doc.c (load_image) : Check for missing "name"
	  attribute not no attributes at all. [Coverity 196]

2008-09-04  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_url_resolve_relative): Fix
	references to wrong URI.  Fixes #550898.

2008-08-30  Jody Goldberg <jody@gnome.org>

	* configure.in : Post release bump

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 0.7.1

2008-08-28  Gustavo Noronha Silva  <gns@gnome.org>

	* configure.in: fix libgsf-1 requirements, since the gio headers
	are now required
	* README: document the changes in libgsf-1 requirements and update
	all the other requirements

2008-08-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: add gio-2.0 to requirements.
	* libgoffice.pc.in: ditto.

2008-08-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: do not request libgsf-gnome anymore.
	* goffice/utils/go-file.c: Use gio from glib. [#522458]
	* goffice/utils/go-file.h: ditto.

2008-08-27  Jean Brefort  <jean.brefort@normalesup.org>
	* libgoffice.pc.in: removed libart there too.

2008-08-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis.c: (map_log_to_view): update a comment.
	* goffice/gtk/go-line-selector.c: removed obsolete libart header.

2008-08-27  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: do not request libart anymore.
	* goffice/graph/gog-renderer.c: removed ArtVpath and ArtBpath related
	deprecated API.
	* goffice/graph/gog-renderer.h: ditto.
	* plugins/plot_surface/gog-contour.c: (gog_contour_view_render): use
	GOPath instead of ArtVpath.

2008-08-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-lines.h: do not include libart.h.
	* plugins/plot_barcol/gog-barcol.c: (barcol_draw_rect): fixed snap.
	* plugins/plot_boxes/gog-boxplot.c: (gog_box_plot_view_render):
	use GOPath instead of ArtVpath.
	* plugins/plot_boxes/gog-histogram.c:
	(gog_histogram_plot_init): draw before the axis.
	(gog_histogram_plot_view_render): use GOPath instead of ArtVpath.

2008-08-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_preparse): In some
	circumstances, an empty format is like "General".  Fixes #549249.
	Prepare for negative date values, but do not activate.  [#509720]

2008-08-24  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c: (barcol_draw_rect): use GOPath
	instead of ArtVpath.
	* plugins/plot_barcol/gog-line.c: (gog_line_view_render): ditto.

2008-08-23  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-error-bar.c: (gog_error_bar_init),
	(gog_error_bar_render): use GOPath instead of ArtVpath.
	* goffice/graph/gog-legend.c: (cb_render_elements),
	(gog_legend_view_render): ditto.

2008-08-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-color.c: removed obsolete libart related code.
	* goffice/utils/go-color.h: ditto.
	* goffice/utils/go-gradient.c: ditto.
	* goffice/utils/go-gradient.h: ditto.

2008-08-22  Halton Huo <halton.huo@sun.com>

	Fix bug #547408: Add go-demo for testing more charts
	* tests/Makefile.am: Add go-demo.c and go-demo.glade fro go-demo
	* tests/go-demo.c: (added)
	* tests/go-demo.glade: (added)

2008-08-21  Jean Brefort  <jean.brefort@normalesup.org>

	* all files: renamed GOG_PARAM_PERSISTENT to GO_PARAM_PERSISTENT and
	GogPersist to GOPersist.

2008-08-19  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-3d-box.c: (gog_3d_box_populate_editor):	made Euler
	angles sliders "keyboard friendly".
	* goffice/graph/gog-grid-line.c: (gog_grid_line_xyz_render):fixed
	inappropriate drawing of grid stripes.
	* goffice/gtk/go-3d-rotation-sel.c: (g3d_init):	made Euler angles
	sliders "keyboard friendly".

2008-08-11  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* pixmaps/Makefile.am: add new pixmaps for surface plots.
	* pixmaps/chart_surface_2_2.png: ditto.
	* pixmaps/chart_surface_2_2.svg: ditto.
	* plugins/plot_surface/Makefile.am: add surface plots based on xyz data
	averaged on a grid.
	* plugins/plot_surface/gog-surface.c: ditto.
	* plugins/plot_surface/gog-xyz-surface-prefs.c:
	* plugins/plot_surface/gog-xyz-surface-prefs.glade:
	* plugins/plot_surface/gog-xyz-surface.c: ditto.
	* plugins/plot_surface/gog-xyz-surface.h: ditto.
	* plugins/plot_surface/gog-xyz.c: ditto.
	* plugins/plot_surface/gog-xyz.h: ditto.
	* plugins/plot_surface/plot-types.xml.in: ditto.
	* plugins/plot_surface/plugin.xml.in: ditto.

2008-08-08  Jean Brefort  <jean.brefort@normalesup.org>

	* docs/reference/Makefile.am: add API version to DOC_MODULE. [#522096]

2008-08-06  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c: (gog_line_view_render): removed some
	stupid unused code (probably a copy/paste incident).

2008-01-05  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* goffice/graph/gog-styled-object.c: Include <string.h> for strlen and
	<goffice/app/go-doc.h> for go_doc_add_image.

2008-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: (gog_axis_base_class_init): fixed
	"pos" property maximum.

2008-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: add a test for g_hash_table_iter_init.
	* goffice/app/go-doc-impl.h: serialize images in charts. [#348780]
	* goffice/app/go-doc.c: ditto.
	* goffice/app/go-doc.h: ditto.
	* goffice/graph/gog-chart-impl.h: removed unused 3d params.
	* goffice/graph/gog-graph.c: serialize images in charts.
	* goffice/graph/gog-object.c: ditto.
	* goffice/graph/gog-object.h:ditto.
	* goffice/graph/gog-style.c: ditto.
	* goffice/graph/gog-styled-object.c: ditto.
	* goffice/utils/go-image.c: ditto.
	* goffice/utils/go-image.h: ditto.

2008-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in:
	* goffice/app/go-doc-impl.h:
	* goffice/app/go-doc.c: (go_doc_add_image), (go_doc_init_write),
	(go_doc_init_read), (save_image_cb), (go_doc_write),
	(go_doc_save_image), (load_image), (load_image_data),
	(go_doc_read), (go_doc_end_read), (go_doc_image_fetch):
	* goffice/app/go-doc.h:
	* goffice/graph/gog-chart-impl.h:
	* goffice/graph/gog-graph.c: (gog_graph_set_property):
	* goffice/graph/gog-object.c: (gog_object_document_changed):
	* goffice/graph/gog-object.h:
	* goffice/graph/gog-style.c: (gog_style_fill_sax_save),
	(gog_style_sax_load_fill_image), (gog_style_persist_prep_sax),
	(gog_style_create_cairo_pattern):
	* goffice/graph/gog-styled-object.c:
	(gog_styled_object_document_changed),
	(gog_styled_object_class_init):
	* goffice/utils/go-image.c: (go_image_get_thumbnail),
	(go_image_same_pixbuf), (go_image_save), (go_image_load_attrs),
	(go_image_load_data):
	* goffice/utils/go-image.h:

2008-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* pixmaps/Makefile.am: create a new contour plots family.
	* pixmaps/contour.xpm: ditto.
	* plugins/plot_surface/plot-types.xml.in: ditto.

2008-08-03  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-axis.c: (gog_axis_view_padding_request_3d),
	(gog_axis_view_padding_request), (gog_axis_view_size_allocate_3d):
	a more consistent auto angle for 3D axis labels.
	* goffice/graph/gog-style.c: (gog_style_text_layout_sax_save): don't
	save the label angle when it is automatic.

2008-07-31  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-axis-line-impl.h: add 3d axis labels positioning.
	* goffice/graph/gog-axis-line.c:  ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-label.c: ditto.

2008-07-27  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_get_family): If a number
	format has both a date and a time part, it's a date format.  Fixes
	#545016.

2008-07-26  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-chart.c: (xy_grid_3d_can_add),
	(yz_grid_3d_can_add), (zx_grid_3d_can_add), (grid_3d_post_add),
	(xy_grid_3d_post_add), (yz_grid_3d_post_add),
	(zx_grid_3d_post_add), (axis_can_add): implement 3d backplanes.
	* goffice/graph/gog-grid.c: (gog_grid_get_gtype),
	(gog_grid_set_gtype), (gog_grid_set_property),
	(gog_grid_get_property), (gog_grid_class_init), (gog_grid_init),
	(gog_grid_view_xyz_render), (gog_grid_view_render): ditto.
	* goffice/graph/gog-grid.h: ditto.

2008-07-23  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-axis.c: implemented axes grigs for 3d plots.
	* goffice/graph/gog-chart.c: ditto.
	* goffice/graph/gog-grid-line.c: ditto.

2008-07-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-style.c: (gog_style_font_sax_save): use
	gsf_xml_out_add_cstr instead of gsf_xml_out_add_cstr_unchecked.
	[#543986]

2008-07-19  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-axis-line.c: (xyz_process): fix a padding issue.
	* goffice/graph/gog-chart.c: (gog_chart_view_3d_process),
	(gog_chart_view_size_allocate): implemented padding for 3d axes.

2008-07-14  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-plot.c (gog_plot_enum_in_reverse) : new.
	(gog_plot_foreach_elem) : Legends are the only things that use this,
	  add a hook to allow a plot to decide what order to walk the list of
	  series. [#540719]

	* plugins/plot_barcol/gog-1.5d.c (gog_1_5d_enum_in_reverse) : stacked
	  and percentage plots prefer to list the series in reverse order.

2008-07-14  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-3d-box.c: display3D axes and limit FoV to 90.
	* goffice/graph/gog-axis-line.c: ditto.
	* goffice/graph/gog-chart-map-3d.c: ditto.
	* goffice/graph/gog-chart-map-3d.h: ditto.
	* goffice/gtk/go-3d-rotation-sel.glade: ditto.
	* plugins/plot_surface/gog-xyz.c: ditto.

2008-07-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot-engine.c:
	(gog_plot_type_service_finalize),
	(gog_trend_line_service_finalize),
	(gog_trend_line_service_class_init): fix memory leaks. [#542506]

2008-07-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component-factory.c:
	(go_component_type_service_read_xml): fix a memory leak.
	* goffice/graph/gog-chart-map-3d.c: (xyz_map_3D_to_view):
	fix projection code for non nul FoV.
	* goffice/graph/gog-chart.c: (gog_chart_3d_process): ditto.

2008-07-08  Jody Goldberg <jody@gnome.org>

	* plugins/plot_surface/plugin.xml.in : rename to match the naming
	  convention.
	* plugins/smoothing/plugin.xml.in : ditto.

2008-07-08  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/gog-3d-box-prefs.glade: fixed limits.
	* goffice/graph/gog-3d-box.c: (gog_3d_box_class_init): fixed maximums
	for all properties.
	* goffice/gtk/go-3d-rotation-sel.glade: fixed limits.

2008-07-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-3d-box.c: (gog_3d_box_class_init): add 0.000001
	to max fov value to avoid rouding errors.
	* plugins/plot_surface/gog-surface.c: fixed gog_surface_view_render
	for some border cases with large fov value (might also allow the use
	of cylindrical or spherical coordinates).

2008-07-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix keyboard activation of the add menu in the graph guru.

	* goffice/graph/gog-child-button.c (gog_child_button_init): connect to
	toggled signal.
	(ensure_menu): new, to be shared by toggled in button-press signal
	handlers.
	(gog_child_button_toggled_cb): new.
	(gog_child_button_press_event_cb): new.

2008-07-07  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-surface.c: (gog_surface_view_render): fixed a
	rendering order (not sure it still works in all cases).

2008-07-07  Mariusz Adamski  <mariusz.adamski@gmail.com>

	* goffice/graph/Makefile.am: add new glade file.
	* goffice/graph/gog-3d-box-prefs.glade: new glade file for setting
	the 3d view.
	* goffice/graph/gog-3d-box.c: ditto and make the settings persistant.
	* goffice/gtk/Makefile.am: new 3d related widget
	* goffice/gtk/go-3d-rotation-sel.c: ditto.
	* goffice/gtk/go-3d-rotation-sel.glade: ditto.
	* goffice/gtk/go-3d-rotation-sel.h: ditto.

2008-07-07  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/Makefile.am:
	* goffice/graph/gog-3d-box.c: (cb_g3d_update), (cb_matrix_changed),
	(cb_fov_changed), (cb_box_psi_changed), (cb_box_theta_changed),
	(cb_box_phi_changed), (cb_g3d_change_psi), (cb_g3d_change_theta),
	(cb_g3d_change_phi), (gog_3d_box_populate_editor),
	(gog_3d_box_set_property), (gog_3d_box_get_property),
	(gog_3d_box_class_init), (gog_3d_box_init):
	* goffice/gtk/Makefile.am:
	* plugins/plot_surface/gog-surface.c: (gog_surface_view_render):

2008-06-30  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-math.c (go_math_init): Check for buggy
	valgrind (finitel problem) and limp on.

2008-06-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/datetime.c (datetime_serial_to_timet): Check for
	valid date.

2008-06-25  Halton Huo <halton.huo@sun.com>

	* configure.in: adapt suncc not installed under /opt/SUNWspro,
	fixes #539930

2008-06-25  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 0.7.0

2008-06-24  Morten Welinder  <terra@gnome.org>

	* goffice/math/go-rangefunc.c (go_range_median_inter_sorted): New
	function.

2008-06-23  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-doc.c (go_doc_add_image): Rewrite to avoid
	GHashTableIter.

2008-06-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/go-doc-control-impl.h: add a GODoc member.
	* goffice/app/go-doc-control.c: (go_doc_control_get_doc),
	(go_doc_control_set_doc): ditto.
	* goffice/app/go-doc-control.h: ditto.
	* goffice/app/go-doc-impl.h: ad an images hash table.
	* goffice/app/go-doc.c: (go_doc_finalize), (go_doc_choose_image),
	(go_doc_get_image), (go_doc_add_image), (go_doc_get_images):
	* goffice/app/go-doc.h: ditto.
	* goffice/graph/gog-graph-impl.h: ad a GODoc member.
	* goffice/graph/gog-graph.c: (gog_graph_set_property),
	(gog_graph_get_property), (gog_graph_class_init), (gog_graph_dup): ditto.
	* goffice/graph/gog-guru.c: (gog_guru): ditto.
	* goffice/graph/gog-style.c: (cb_image_select), (fill_image_init),
	(fill_init), (marker_init), (gog_style_pref_state_free),
	(gog_style_populate_editor), (gog_style_assign): remove image filename
	after pushing images to the GODoc level, and don't show the Style page
	when empty.
	* goffice/graph/gog-style.h: ditto.
	* goffice/gtk/Makefile.am: add an image selector.
	* goffice/gtk/go-image-sel.c: ditto.
	* goffice/gtk/go-image-sel.h: ditto.
	* goffice/gtk/go-image-sel.glade: ditto.
	* goffice/utils/go-image.c: (go_mime_to_image_format),
	(go_image_format_to_mime), (go_image_set_property),
	(go_image_finalize), (go_image_get_thumbnail), (go_image_set_name),
	(go_image_get_name), (go_image_same_pixbuf): add support for images in
	GODoc.
	* goffice/utils/go-image.h: ditto.
	* plugins/plot_xy/gog-xy.c: (gog_xy_series_element_init_style): add
	the MARKER_NO_COLOR flag for colored XY plots.

2008-06-21  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-1.5d.c: add singleton formatting support to
	line plots.
	* plugins/plot_barcol/gog-barcol.c: ditto.
	* plugins/plot_barcol/gog-line.c: ditto.

2008-06-21  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-1.5d.c: add singleton formatting support to
	bars/columns plots. [#517488]
	* plugins/plot_barcol/gog-barcol.c: ditto.
	* plugins/plot_barcol/gog-barcol.h: ditto.

2008-06-21  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-matrix3x3.c:
	(go_matrix3x3_from_euler_transposed), (go_matrix3x3_to_euler),
	(go_matrix3x3_multiply): add missing functions.
	* goffice/math/go-matrix3x3.h: ditto.

2008-06-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-style.c: (gog_style_create_cairo_pattern): fixed
	gradients coordinates.
	* goffice/gtk/go-gradient-selector.c:
	(go_gradient_swatch_render_func): ditto.
	* plugins/plot_xy/gog-xy.c: (gog_xy_view_render),
	(gog_xy_series_element_init_style),
	(gog_xy_series_element_class_init), (gog_xy_series_class_init),
	(go_plugin_init): add singleton support to scatter plots.

2008-06-18  Jody Goldberg <jody@gnome.org>

	* plugins/plot_xy/gog-xy.c (MAX_RADIUS_RATIO) : tweak to match the
	  wallenbach mouse example.
	(gog_bubble_plot_class_init) : increase the bubble-scale limit to 300%
	* plugins/plot_xy/gog-bubble-prefs.glade : ditto.

2008-06-17  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-renderer.c (gog_renderer_draw_text) : Use the same
	  size handling as get_text_OBR. [#442773]

2008-06-13  Rob Staudinger <robert.staudinger@gmail.com>

	* goffice/gtk/go-color-palette.c (make_colored_menu_item): Use plain
	menu items for toolbar overflow image menu item proxies, so they are
	displayed correctly with gtk-menu-images=0, fixes #537541.
	* goffice/gtk/go-combo-pixmaps.c (go_menu_pixmaps_add_element): ditto.

2008-06-03  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-marker.c: (go_marker_render): set dashes to NULL,
	fixes #536276.

2008-05-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.c: (_draw_circle),
	(gog_renderer_draw_circle), (gog_renderer_stroke_circle),
	(gog_renderer_fill_circle): new utilities.
	* goffice/graph/gog-renderer.h: ditto.
	* pixmaps/Makefile.am: add new pixmaps for box-plots
	excluding outliers.
	* plugins/plot_boxes/gog-boxplot-prefs.glade: add new properties.
	* plugins/plot_boxes/gog-boxplot.c: (cb_outliers_changed),
	(cb_ratio_changed), (gog_box_plot_pref),
	(gog_box_plot_set_property), (gog_box_plot_get_property),
	(gog_box_plot_class_init), (gog_box_plot_init),
	(gog_box_plot_view_render), (gog_box_plot_series_update),
	(gog_box_plot_series_finalize), (gog_box_plot_series_class_init):
	ditto, fixes #534642.
	* plugins/plot_boxes/plot-types.xml.in: new boxplots sub-types.
	* plugins/plot_xy/gog-xy.c: (gog_xy_view_render): use
	gog_renderer_draw_circle for bubbles.

2008-05-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-plot-engine.c: fixed services (de)activation.
	* goffice/graph/gog-plot-engine.h: ditto.

2008-05-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/goffice.c: (libgoffice_init): call go_conf_init,
	(libgoffice_shutdown): call go_conf_shutdown.

2008-05-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data.c: (go_data_vector_increasing),
	(go_data_vector_decreasing), (go_data_vector_vary_uniformly):
	new functions.
	* goffice/data/go-data.h: ditto.
	* goffice/goffice.c: (libgoffice_init): add initial 3d plots support.
	* goffice/graph/Makefile.am: ditto.
	* goffice/graph/goffice-graph.h: ditto.
	* goffice/graph/gog-3d-box.c: (gog_3d_box_class_init),
	(gog_3d_box_init): ditto.
	* goffice/graph/gog-3d-box.h: ditto.
	* goffice/graph/gog-axis-line.c: (xyz_process),
	(gog_axis_base_view_point), (gog_axis_base_view_padding_request):
	* goffice/graph/gog-axis.c: (gog_axis_view_size_allocate): ditto.
	* goffice/graph/gog-chart-impl.h: ditto.
	* goffice/graph/gog-chart-map-3d.c: (null_map_3D),
	(xyz_map_3D_to_view), (gog_chart_map_3d_new),
	(gog_chart_map_3d_to_view), (gog_chart_map_3d_is_valid),
	(gog_chart_map_3d_free): ditto.
	* goffice/graph/gog-chart-map-3d.h: ditto.
	* goffice/graph/gog-chart.c: (role_3d_box_can_add),
	(role_3d_box_can_remove), (gog_chart_is_3d),
	(gog_chart_3d_process), (gog_chart_view_size_allocate),
	(gog_chart_view_render): ditto.
	* goffice/graph/gog-chart.h: ditto.
	* goffice/math/Makefile.am: ditto.
	* goffice/math/go-matrix3x3.c: (go_matrix3x3_transform),
	(go_matrix3x3_from_euler): ditto.
	* goffice/math/go-matrix3x3.h: ditto.
	* goffice/math/go-rangefunc.c: (go_range_decreasing),
	(go_range_vary_uniformly): new functions.
	* goffice/math/go-rangefunc.h: ditto.
	* plugins/plot_surface/Makefile.am: new surface plot type.
	* plugins/plot_surface/gog-contour-prefs.c: ditto.
	* plugins/plot_surface/gog-contour-prefs.glade: ditto.
	* plugins/plot_surface/gog-contour.c: ditto.
	(gog_contour_plot_build_matrix), (gog_contour_plot_type_name),
	(gog_contour_plot_foreach_elem), (gog_contour_plot_class_init),
	(gog_contour_plot_init), (gog_contour_view_render),
	(gog_contour_view_class_init): ditto.
	* plugins/plot_surface/gog-contour.h: ditto.
	* plugins/plot_surface/gog-surface.c: ditto.
	(gog_surface_plot_build_matrix), (gog_surface_plot_type_name),
	(gog_surface_plot_class_init), (gog_surface_plot_init),
	(gog_surface_view_render), (gog_surface_view_class_init):
	* plugins/plot_surface/gog-surface.h:
	* plugins/plot_surface/gog-xyz-prefs.c:
	* plugins/plot_surface/gog-xyz-prefs.glade:
	* plugins/plot_surface/gog-xyz.c: (gog_xyz_plot_build_matrix),
	(gog_xyz_plot_update_3d), (gog_xyz_plot_populate_editor),
	(gog_xyz_plot_clear_formats), (gog_xyz_plot_update),
	(gog_xyz_plot_axis_get_bounds), (gog_xyz_plot_finalize),
	(gog_xyz_plot_set_property), (gog_xyz_plot_get_property),
	(gog_xyz_plot_class_init), (gog_xyz_plot_init),
	(gog_xyz_series_update), (gog_xyz_series_init_style),
	(gog_xyz_series_class_init), (go_plugin_init),
	(go_plugin_shutdown): ditto.
	* plugins/plot_surface/gog-xyz.h: ditto.
	* plugins/plot_surface/plot-types.xml.in: ditto.
	* plugins/plot_surface/plugin.xml.in: ditto.
	* plugins/plot_surface/xl-surface.c: (xl_labels_init),
	(xl_xyz_series_update), (xl_xyz_series_init_style),
	(xl_xyz_series_class_init), (xl_xyz_plot_update), (get_y_vector),
	(xl_xyz_plot_axis_get_bounds), (xl_contour_plot_build_matrix),
	(xl_contour_plot_finalize), (xl_contour_plot_class_init),
	(xl_surface_plot_build_matrix), (xl_surface_plot_finalize),
	(xl_surface_plot_class_init): ditto.
	* plugins/plot_surface/xl-surface.h: ditto.

2008-05-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series-lines.c: use GOPath instead of ArtVpath.
	* goffice/graph/gog-series-lines.h: ditto.
	* plugins/plot_barcol/gog-barcol.c: (gog_barcol_view_render):
	* plugins/plot_barcol/gog-dropbar.c: (barcol_draw_rect),
	(gog_dropbar_view_render): ditto.
	* plugins/plot_barcol/gog-line.c: (gog_line_view_render): ditto.
	* plugins/plot_barcol/gog-minmax.c: (path_move_to),
	(path_curve_to), (path_close_path), (gog_minmax_view_render): ditto.

2008-05-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/app/Makefile.am:
	* goffice/app/go-conf-gconf.c: copied from gnumeric.
	* goffice/app/go-conf-keyfile.c: ditto.
	* goffice/app/go-conf-win32.c: ditto.
	* goffice/app/go-conf.c: ditto.
	* goffice/app/go-conf.h: ditto.
	* goffice/component/go-component.h: add missing header.

2008-05-11  Jody Goldberg <jody@gnome.org>

	* configure.in : branch 0.7.0

2008-05-11  Jody Goldberg <jody@gnome.org>

	* Release 0.6.4

2008-05-09  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/goffice.c: (libgoffice_init), (libgoffice_shutdown):
	fixed typo.

2008-05-08  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data-simple.c: (go_data_matrix_val_get_value),
	(go_data_matrix_val_get_str): do not crash if called before the
	values are loaded. Patch from Hiroyuki Ikezoe, see bug #532105.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 0.6.3

2008-05-02  Jody Goldberg <jody@gnome.org>

	* goffice/utils/go-locale.c (go_locale_win32_get_user_default) : fix
	  typo on win32 that always set lc_date_format, and never
	  lc_time_format.
	(go_locale_get_time_format): ditto.

2008-04-30  Morten Welinder  <terra@gnome.org>

	* */*.[ch]: Make things compile --without-gtk.  Docs still do not
	work right.

2008-04-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c: (gog_series_dataset_set_dim):
	fixed typo.

2008-04-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/regutf8.c (go_regexec): New glib (i.e., non-pcre)
	implementation when glib has the right functions.  Patch from
	Hiroyuki Ikezoe, see bug #482319.

2008-04-25  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-series.c: (gog_series_dataset_set_dim): check
	dim_i validity.

2008-04-24  Jean Brefort  <jean.brefort@normalesup.org>

	* libgoffice.pc.in: fixed the plugins dir definition so tht it can
	be used.

2008-04-22  Jody Goldberg <jody@gnome.org>

	* goffice/utils/go-image.c (image_format_infos) : add "eps" to go with
	  jean's work.

	* goffice/graph/gog-object.h : remove inclusion of libart header here.
	  It is no longer needed.

2008-04-21  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_editable_enters): Avoid
	infinite recursion if default widget is not sensitive.

2008-04-18  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.in: add a test for cairo_ps_surface_set_eps.
	* goffice/graph/gog-graph.c:
	(gog_graph_get_supported_image_formats): add EPS if cairo supports it.
	* goffice/graph/gog-renderer.c: (gog_renderer_export_image): ditto.
	* goffice/utils/go-image.h: ditto.

2008-04-16  Jody Goldberg <jody@gnome.org>

	* configure.in : Use dolt when possible.
	* acinclude.m4 : create, and add dolt.m4

2008-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-image.c: (go_mime_to_image_format),
	(go_image_format_to_mime): add support for pdf and ps.

2008-04-10  Morten Welinder  <terra@gnome.org>

	* goffice/utils/datetime.c (go_date_conv_from_str,
	go_date_conv_equal, go_date_conv_translate): New functions.

2008-04-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_boxes/gog-boxplot.c: skip invalid data. [#527249]

2008-03-22  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/math/go-complex.h: fixed go-math.h inclusion.
	* goffice/utils/go-image.h: include goffice-features.h.

2008-03-12  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_is_invalid): New function.

2008-03-06  Morten Welinder  <terra@gnome.org>

	* configure.in: Post release bump.

2008-03-06  Morten Welinder <terra@gnome.org>

	* Release 0.6.2

2008-03-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: (gog_axis_base_get_crossed_axis),
	(gog_axis_base_get_clamped_position): do not draw axes when no axis
	is defined.
	* goffice/graph/gog-renderer.c: (gog_renderer_update): do not attempt
	to render with negative width or height. Partially fixes #519788.

2008-02-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: (x_process), (xy_process),
	(radar_process): remove the unuseful tmp.

2008-02-23  Morten Welinder  <terra@gnome.org>

	* plugins/plot_barcol/gog-1.5d.c (gog_plot1_5d_update): Fix array
	filling.  Fixes #517995.

2008-02-10  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-1.5d.c (gog_plot1_5d_update): set
	length to 0 for invalid series. Fixes #514642.

2008-01-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_execute): For
	OP_DATE_SPLIT, make sure to set day/month/year/weekday even in the
	error case.  Fixes #511435.

	* autogen.sh: Replace last change with a final test for the actual
	bug in question.

2008-01-05  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* autogen.sh (REQUIRED_GTK_DOC_VERSION): Specify a minimum version
	which has the right shell error handling logic in gtk-doc.make not so
	we do not error out on "make install" when gtkdoc-rebase is unavailable
	(in the --disable-gtk-doc case). [#506506]

2007-12-20  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2007-12-20  Jody Goldberg <jody@gnome.org>

	* Release 0.6.1

2007-12-18  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2007-12-18  Jody Goldberg <jody@gnome.org>

	* Release 0.6.0

2007-12-13  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix pattern with semi-transparent colors.

	* goffice/utils/go-pattern (go_pattern_create_cairo_pattern): cairo uses
	premultiplied color components.

2007-12-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-style.h: renamed GogLineStyle::pattern to
	pattern_unimplemented_yet to avoid confusion.

2007-12-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix selection rectangle style.

	* goffice/graph/gog-rendere.c (gog_renderer_draw_selection_rectangle):
	here.

2007-12-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-axis-line.c (gog_axis_base_get_clamped_position):
	the bound axis is the crossed axis.

2007-12-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix for #501831 – Spreadsheet crashes when I change title of graph

	* goffice/graph/gog-child-button.c (gog_child_button_build_additions):
	fix search of the parent object.

2007-12-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Clamp the axis position to the edges of the graph and place the axis
	label near to the axis.

	* goffice/graph/gog-axis-line.c (gog_axis_base_get_clamped_position):
	new. Handle inverted axes.
	(xy_process): use gog_axis_base_get_clamped_position.
	* goffice/graph/gog-axis.c (gog_axis_view_padding_request): ditto.
	(gog_axis_view_size_allocate): ditto.

2007-12-04  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Revert axis label positioning to previous behaviour for the GOG_AXIS_CROSS
	case (and be it the same as for the GOG_AXIS_LOW case).

	* goffice/graph/gog-axis.c (gog_axis_view_padding_request): here.
	(gog_axis_view_size_allocate): and here.

2007-12-04  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Don't try to distinguish between user axis position and calculated
	axis position.

	* goffice/graph/gog-axis-line.c (gog_axis_base_set_property): here.
	(gog_axis_base_get_property): here.
	(gog_axis_base_set_position): here.
	(cb_position_toggled): here.
	(gog_axis_base_populate_editor): here.
	(gog_axis_base_init): here.
	(gog_axis_base_get_position): here.
	(gog_axis_base_get_padding): here.
	(xy_process): here.
	(radar_process): here.
	(gog_axis_view_padding_request): here.
	(gog_axis_view_size_allocate): and here.
	(gog_axis_base_class_init): GOG_AXIS_AUTO is not a valid serializable position.

2007-12-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix for #501119 – Misplacing of high Y axis label

	* goffice/graph/gog-axis.c (gog_axis_view_size_allocate): add missing
	break.

2007-12-05  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: (gog_axis_base_populate_editor),
	(xy_process), (radar_process): hide property pages for invisible axis
	and don't take into account for size allocation.
	* goffice/graph/gog-axis.c: (gog_axis_populate_editor): hide property
	pages for invisible axis
	* goffice/graph/gog-object.h: add a gog_object_is_visible macro.

2007-12-04  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-pango-extras.c: New file with a few
	generally-useful functions from Gnumeric.

2007-12-03  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump.  Last before 0.6

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 0.5.4

2007-11-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: (gog_axis_base_set_position):
	ensure pos_user is set, so that correct position is saved.

2007-11-29  Andreas J. Guelzow  <aguelzow@pyrshep.ca>

	* goffice/utils/go-format.c (go_format_inc_precision): Handle
	  increase of decimals also for E.
	  Fixes add-decimals problem from #500365.

2007-11-29  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_parse_number_E): Fix
	mantissa simplification problem.  [#500393]

2007-11-28  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_inc_precision): Actually
	find the last zero.  Fixes add-decimals problem from #434785.

2007-11-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-axis-line.c: (gog_axis_base_set_property): fix setting
	axis position as string, (xy_process): use a better test.

2007-11-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix for #500017: incorrect graph printing.

	* goffice/graph/gog-renderer.c (gog_renderer_render_to_cairo): don't
	call cairo_show_page here.
	(gog_renderer_export_image): but here.

2007-11-24  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c: (go_component_edit): return the
	GtkWindow* associated with the editor, so that it can be made transient.
	* goffice/component/go-component.h: ditto.

2007-11-22  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-dropbar.c: (barcol_draw_rect): always
	draw a rectangle, even if very sharp,
	(gog_dropbar_view_render): ensure that invalid data are not used. [#498846]
	* plugins/plot_barcol/gog-minmax.c: (gog_minmax_view_render): fix
	index initialization.

2007-11-19  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 0.5.3

2007-08-10  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-guru.c (gog_guru) : clean the api.  The caller is
	  responsible for setting transientness.

2007-11-18  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c: (gog_barcol_view_render): fix
	rendering when some data are invalid.
	* plugins/plot_barcol/gog-dropbar.c: (gog_dropbar_view_render):
	ditto.
	* plugins/plot_barcol/gog-minmax.c: (gog_minmax_view_render):
	ditto.

2007-11-18  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-barcol.c: (gog_barcol_view_render): don't
	try to allocate 0 bytes. [#497777]

2007-11-15  Jon K Hellan  <hellan@acm.org>

	* goffice/utils/go-image.c (go_image_format_to_mime): Fix typos in
	mime types.

2007-11-12  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Improve the appearance of legend swatches, by respecting the outline
	style, avoid blurriness in case of no outline and show fill color for
	XY and polar plots.

	* goffice/graph/gog-legend.c (cb_swatch_scale): also handle the
	GOG_STYLE_LINE case.
	(cb_render_elements): also show fill color in case of marker + line.
	Respect the outline appearance, rescaling the outline width in order
	to always show the fill color.
	* goffice/graph/gog-renderer.c (path_interpret): round coordinates
	when line width <= 0.
	(_draw_shape): force line width to zero when stroke is invisible.
	(_draw_rectangle): don't ask for stroke is outline is invisible.
	(gog_renderer_stroke_rectangle): fix stroke argument in
	_draw_rectangle call.
	(gog_renderer_fill_rectangle): new.

2007-11-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Add a frame around the graph area in the graph editor.

	* goffice/graph/gog-guru.c (cb_sample_plot_resize): resize the frame.
	(graph_guru_init_format_page): add the frame. I've tried to use the
	color associated to the canvas widget, for a better compatibility with
	gtk themes, but without satisfaction. The hardcoded ones seem to play
	well with dark and clear themes.

2007-11-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* plugins/reg-lin/gog-reg-lin.c (gog_lin_reg_curve_update): return
	silently if series isn't valid.

2007-11-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Try to make the add button in GogGuru more useful, by populating it
	with all item of the currently selected chart that can be
	unambiguously added.

	* goffice/graph/gog-child-button.c (build_addition_process_childs),
	(build_addition_foreach), (addition_compare),
	(gog_child_button_build_additions), (gog_child_button_free_additions): new.
	(gog_child_button_set_object): use build addition functions.
	(cb_graph_guru_add_plot): adapt to new addition list.
	(cb_plot_family_menu_create): ditto.
	(plot_type_menu_create): ditto.
	(cb_graph_guru_add_trend_line): ditto.
	(cb_trend_line_type_menu_create): ditto.
	(trend_line_type_menu_create): ditto.
	(gog_child_button_press_event_cb): ditto.

2007-11-06  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-charmap-sel.c (cs_emphasize_label): Fix markup.

	* goffice/utils/go-format.c (go_format_month_before_day): Return
	2, if year comes first.
	* goffice/utils/go-locale.c (go_locale_month_before_day): Ditto.

2007-11-04  Morten Welinder <terra@gnome.org>

	* configure.in: post-release bump.

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 0.5.2

2007-11-04  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_parse_key_value): Renamed
	from go_file_saver_parse_options and drop several unused
	arguments.
	* goffice/app/file.c (go_file_saver_parse_options): See above.

2007-11-04  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c: (gog_xy_view_render): fix xy colored
	plots when some data are missing. [#475394]

2007-11-03  Morten Welinder  <terra@gnome.org>

	* goffice/app/file.c (go_file_saver_parse_options): Document and
	fix a few FIXMEs.

	* goffice/utils/go-glib-extras.c (go_object_set_property): New
	function.

2007-11-02  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_barcol/gog-line.c: (gog_line_view_render): don't
	try to access invalid series data. [#492485]

2007-11-01  Morten Welinder  <terra@gnome.org>

	* goffice/app/file.c (go_file_saver_set_export_options,
	go_file_saver_parse_options): New functions.
	(go_file_saver_class_init): Install new set-export-options signal.

2007-11-01  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-chart-map.c (make_path_spline): fix the
	fix for [#492158].

2007-10-31  Morten Welinder  <terra@gnome.org>

	* goffice/app/file.h: Make more stuff public so we can derive.

	* goffice/graph/gog-chart-map.c (make_path_spline): Fix ABR
	reported by Sum1.  [#492158]

2007-10-30  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/data/go-data.c: (go_data_vector_get_len),
	(go_data_matrix_get_size): return nul sizes when the vector or matrix
	is invalid.
	* goffice/graph/gog-error-bar.c: (gog_error_bar_get_bounds),
	(gog_error_bar_get_minmax): don't crash when there are no data.

2007-10-29  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-plugin-loader-module.c (make_function_name): New
	convenience function that keeps Valgrind/dlsym happy.

	* goffice/gtk/go-font-sel.c (gfs_destroy): Let g_slist_free handle
	the empty list.

	* plugins/smoothing/gog-moving-avg.c (gog_moving_avg_update): Fix
	problem with overwriting memory, see #491328.

2007-10-28  Jody Goldberg <jody@gnome.org>

	* goffice/graph//gog-object.c : Add GogObject::invisible
	* goffice/graph/gog-view.c (gog_view_render) : support it here.
	  We can debate if it should also short circuit space allocation.

2007-10-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix a crash when deleting a chart. We may be in a state where a chart
	has axes and grid lines, but axis_set is GOG_AXIS_SET_UNKNOW.

	* goffice/graph/gog-axis-line.c (gog_axis_base_get_crossed_axis_type):
	exit early if axis_set == GOG_AXIS_SET_UNKNOW.
	(gog_axis_base_view_point): ditto.
	(gog_axis_base_view_padding_request): ditto.
	(gog_axis_base_view_render): ditto.
	* goffice/graph/gog-grid-line.c (gog_grid_line_radial_render): ditto.
	(gog_grid_line_circular_render): ditto.
	* goffice/graph/gog-chart-map.c (gog_chart_map_new): return NULL is
	axis_set == GOG_AXIS_SET_UNKNOW.

2007-10-21  Morten Welinder <terra@gnome.org>

	* configure.in: post-release bump.

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 0.5.1

2007-10-20  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix a one pixel mismatch on the size when exporting to images.

	* goffice/graph/gog-renderer.c (gog_renderer_update): always use
	rend->w and rend->h as image size.

2007-10-20  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Remove duplicated fill pattern creation code.

	* goffice/graph/gog-renderer.c (emit_fill): use
	gog_style_create_cairo_pattern.
	* goffice/graph/gog-style.c (gog_style_create_cairo_pattern): width
	and height are retrieved from the cairo context. Use
	go_pattern_create_cairo_pattern.

2007-10-18  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Second fix to GogChildButton behaviour regarding to consistency with
	regular menu on fast click on the button.

	* goffice/graph/gog-child-button.c (gog_child_button_popup): take
	event button and time as parameters, and pass them to gtk_menu_popup.
	(gog_child_button_press_event_cb): use new gog_child_button_popup API.

2007-10-18  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-child-button.c (gog_child_button_press_event_cb):
	do the signal connection only once.

2007-10-17  Morten Welinder  <terra@gnome.org>

	* configure.in (CFLAGS): Properly handle GTK_DISABLE_DEPRECATED.

2007-10-17  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix the behaviour of GogChildButton by showing the popup menu as soon
	as the toggle button is pressed.

	* goffice/graph/gog-child-button.c (gog_child_button_init): use the
	button-press-event signal instead of toggled.
	(gog_child_button_toggled_cb): renamed to
	gog_child_button_press_event_cb. Remove the active/inactive switch.

2007-10-10  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-pixbuf.c (go_pixbuf_tile): Import from Gnumeric.
	Seems generally useful.
	(go_pixbuf_new_from_file): Allow absolute filenames.

2007-10-09  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Widgetization and conversion of the graph guru "add menu" to a button
	with a popup menu.

	* goffice/graph/gog-child-button.[ch]: new.
	* goffice/graph/gog-guru.c: move code related to the add menu to
	gog-child-button.c.
	(get_pixbuf): removed (now in go-pixbuf as go_pixbuf_get_from_cache).
	(cb_graph_guru_add_item), (cb_cmp_plot_type), (cb_plot_type_list),
	(cb_graph_guru_add_plot), (cb_plot_family_menu_create),
	(plot_type_menu_create), (cb_graph_guru_add_trend_line),
	(cb_trend_line_type_menu_create), (trend_line_type_menu_create): removed.
	(cb_attr_tree_selection_change): use GogChildButton.
	(graph_guru_init_format_page): create a GogChildButton.
	* goffice/graph/gog-guru.glade: remove the menu and convert precedence
	menu items to button.

2007-10-09  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Move pixbuf related function into goffice/gtk/go-pixbuf.[ch]

	* goffice/gtk/goffice-gtk.c: move go_pixbuf_new_from_file and
	go_pixbuf_intelligent_scale...
	* goffice/gtk/go-pixbuf.[ch]: ...here.
	(go_pixbuf_get_from_cache): new.

	* goffice/gtk/go-selector.c: move go_menu_position_below...
	* goffice/gtk/goffice-gtk.c: ...here.

2007-10-08  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Don't use the G_TYPE_INSTANCE_GET_PRIVATE macro in GOSelector and
	GOPalette implementation. We already have a private pointer in the
	public struct.

	* goffice/gtk/go-palette.c: here.
	* goffice/gtk/go-selector.c: and here.

2007-10-02  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-renderer.c: move GO_CAIRO_CLAMP from here...
	* goffice/utils/go-cairo.h: ... to here.
	* goffice/utils/go-path.c: use GO_CAIRO_CLAMP instead of
	GO_PATH_CLAMP.

2007-10-02  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix for Bug 153883 - making graphs insanely large leads to ~infinite
	memory and cpu use.
	The fix consists in not using the graph image cache for big graphs, and
	just render directly. The patch uses a temporary image surface, since
	rendering onto an xlib surface may cause segfault on path with lot of
	points. Another issue is all path point coordinates are clipped as a
	workaround to the long line cairo bug, which means the graph content
	won't display beyond the clipping value.
	The arbitrary limit is set to image with a number of pixels greater
	than the number of screen pixels.

	* goffice/graph/gog-control-foocanvas.c (gog_control_foocanvas_draw),
	(gog_control_foocanvas_update): here.

2007-10-01  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-smoothed-curve.c (gog_smoothed_curve_view_render):
	warning fix.

2007-10-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c: removed pixbuf, everything should
	be done using cairo for windowless objects.
	* goffice/component/go-component.h: ditto.

2007-09-30  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Documentation fixes.

2007-09-30  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/gtk/goffice-gtk.c: removed unused
	go_cairo_set_source_pixbuf.

2007-09-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-smoothed-curve.c:
	(gog_smoothed_curve_view_render): fix rendering at the right place.

2007-09-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* plugins/smoothing/gog-moving-avg.glade: fix spacing.

2007-09-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-control-foocanvas.c (gog_control_foocanvas_draw):
	fix the clipping region when compositing the graph cache.
	* goffice/gtk/go-graph-widget.c (go_graph_widget_expose_event): port
	to cairo.

2007-09-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-chart-map.h: added missing G_BEGIN_DECLS/G_END_DECLS.
	* goffice/graph/gog-series-lines.h: ditto.
	* goffice/math/go-complex.h: ditto.
	* goffice/math/go-cspline.h: ditto.
	* goffice/math/go-fft.h: ditto.
	* goffice/math/go-regression.h: ditto.
	* goffice/utils/go-path-impl.h: ditto.
	* goffice/utils/go-path.h: ditto.

2007-09-29  Jean Brefort <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer.h: add missing G_END_DECLS.

2007-09-28  Morten Welinder  <terra@gnome.org>

	* goffice/utils/formats.c (go_format_builtins): Add extra NULL for
	GO_FORMAT_MARKUP.  Fixes #480971.

2007-09-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-graph (gog_graph_render_to_cairo): use the correct
	type for the cairo parameter, instead of gpointer.

2007-09-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-graph.c (gog_graph_render_to_cairo_vector):
	removed. There's no need to tell if we want to render in vector mode,
	that can be guessed from the cairo target.

2007-09-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-control-foocanvas.c
	(gog_control_foocanvas_update): remove unused gog_renderer_update zoom
	parameter again.
	* goffice/gtk/go-graph-widget.c (update_image_rect): ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_update): ditto.
	(gog_renderer_new_for_pixbuf): removed.

2007-09-28  Jean Brefort <jean.brefort@normalesup.org>

	* configure.in: added goffice/math directory.
	* goffice/Makefile.am: ditto.
	* goffice/data/go-data-simple.c: moved maths to goffice/math.
	* goffice/data/go-data.c: ditto.
	* goffice/goffice.c: ditto.
	* goffice/graph/gog-axis-line.c: ditto.
	* goffice/graph/gog-axis.c: ditto.
	* goffice/graph/gog-chart-map.c: ditto.
	* goffice/graph/gog-chart.c: ditto.
	* goffice/graph/gog-data-set.c: ditto.
	* goffice/graph/gog-error-bar.c: ditto.
	* goffice/graph/gog-grid-line.c: ditto.
	* goffice/graph/gog-grid.c: ditto.
	* goffice/graph/gog-legend.c: ditto.
	* goffice/graph/gog-plot.c: ditto.
	* goffice/graph/gog-reg-curve.c: ditto.
	* goffice/graph/gog-renderer.c: ditto.
	* goffice/graph/gog-style.c: ditto.
	* goffice/gtk/go-graph-widget.c: ditto.
	* goffice/gtk/go-rotation-sel.c: ditto.
	* goffice/math/Makefile.am: ditto.
	* goffice/math/go-complex.c: copied code from gnumeric.
	* goffice/math/go-complex.h: ditto.
	* goffice/math/go-cspline.c: moved maths to goffice/math.
	* goffice/math/go-cspline.h: ditto.
	* goffice/math/go-fft.c: copied code from gnumeric.
	* goffice/math/go-fft.h: ditto.
	* goffice/math/go-math.c: moved maths to goffice/math.
	* goffice/math/go-math.h: ditto.
	* goffice/math/go-rangefunc.c: ditto.
	* goffice/math/go-rangefunc.h: ditto.
	* goffice/math/go-regression.c: ditto.
	* goffice/math/go-regression.h: ditto.
	* goffice/utils/Makefile.am:
	* goffice/utils/go-cspline.c: ditto.
	* goffice/utils/go-cspline.h: ditto.
	* goffice/utils/go-format.c: ditto.
	* goffice/utils/go-geometry.c: ditto.
	* goffice/utils/go-line.c: ditto.
	* goffice/utils/go-marker.c: ditto.
	* goffice/utils/go-math.c: ditto.
	* goffice/utils/go-math.h: ditto.
	* goffice/utils/go-path.c: ditto.
	* goffice/utils/go-rangefunc.c: ditto.
	* goffice/utils/go-rangefunc.h: ditto.
	* goffice/utils/go-regression.c: ditto.
	* goffice/utils/go-regression.h: ditto.
	* plugins/plot_barcol/gog-1.5d.c: ditto.
	* plugins/plot_barcol/gog-barcol.c: ditto.
	* plugins/plot_barcol/gog-dropbar.c: ditto.
	* plugins/plot_barcol/gog-line.c: ditto.
	* plugins/plot_boxes/gog-boxplot.c: ditto.
	* plugins/plot_boxes/gog-histogram.c: ditto.
	* plugins/plot_pie/gog-pie.c: ditto.
	* plugins/plot_radar/gog-radar.c: ditto.
	* plugins/plot_surface/gog-surface.c: ditto.
	* plugins/plot_surface/xl-surface.c: ditto.
	* plugins/plot_xy/gog-xy.c: ditto.
	* plugins/reg_linear/gog-exp-reg.c: ditto.
	* plugins/reg_linear/gog-lin-reg.c: ditto.
	* plugins/reg_linear/gog-lin-reg.h: ditto.
	* plugins/reg_linear/gog-log-reg.c: ditto.
	* plugins/reg_linear/gog-polynom-reg.c: ditto.
	* plugins/reg_linear/gog-power-reg.c: ditto.
	* plugins/reg_logfit/gog-logfit.c: ditto.
	* plugins/reg_logfit/gog-logfit.h: ditto.
	* plugins/smoothing/gog-exp-smooth.c: ditto.
	* plugins/smoothing/gog-moving-avg.c: ditto.

2007-09-27  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Implementation of gog_renderer_render_to_cairo. Compared to
	gog_renderer_update / gog_renderer_get_cairo_surface, it always redo
	the size allocation and doesn't cache the rendering result.

	Some API cleanup by removing gog_renderer_new_for_foo functions,
	replaced by gog_renderer_new. Restore the unused zoom parameter of
	gog_renderer_update, in order to keep compatibility with goffice 0.4.

	* goffice/graph/gog-control-foocanvas.c
	(gog_control_foocanvas_set_property): use gog_renderer_new.
	(gog_control_foocanvas_update): add dummy zoom parameter to
	gog_renderer_update_call.
	* goffice/graph/gog-graph.c (gog_graph_export_image): use
	gog_renderer_new.
	(gog_graph_render_to_cairo),
	(gog_graph_render_to_cairo_vector): ditto. Use
	gog_renderer_render_to_cairo.
	* goffice/graph/gog-renderer.c (gog_renderer_render_to_cairo): new.
	(gog_renderer_export_image): use gog_renderer_render_to_cairo.
	(gog_renderer_new): new. Replace gog_renderer_new_for_format and
	gog_renderer_new_for_pixbuf.
	(gog_renderer_new_for_format): removed.
	(gog_renderer_new_for_pixbuf): keppe for gnumeric goffice 0.4
	compatibility.
	* goffice/gtk/go-graph-widget.c (update_image_rect): restore dummy
	gog_renderer_update zoom parameter.
	(go_graph_widget_set_property): use gog_renderer_new instead of
	gog_renderer_new_for_pixbuf.

2007-09-27  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix rendering of marker outline.

	* goffice/utils/go-marker.c (go_marker_render): don't multiply line
	width by scale, scaling is already done by cairo_scale.

2007-09-25  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-renderer.c (gog_renderer_update): no need to clear
	the surface when it was just created. Force is_vector to FALSE here.

2007-09-25  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Restrict the drawing of the cairo surface cache to the event->region.

	* goffice/graph/gog-control-foocanvas.c (gog_control_foocanvas_draw):
	here.

2007-09-25  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Use cairo for graph painting in GogControlFoocanvas. That avoids the
	conversion from cairo to pixbuf format.

	* goffice/graph/gog-control-foocanvas.c (gog_control_foocanvas_draw):
	here.

2007-09-25  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Move cairo to/from pixbuf pixel data conversion from GOImage to
	go-cairo.c.

	* goffice/graph/gog-renderer.c (gog_renderer_get_pixbuf): adapt to new
	go_cairo_convert_data_to_pixbuf signature.
	* goffice/utils/go-cairo.c (go_cairo_convert_data_to_pixbuf),
	(go_cairo_convert_data_from_pixbuf): handle src != dst.
	* goffice/utils/go-image.c (pixbuf_to_cairo), (cairo_to_pixbuf): use
	go_cairo_convert_data functions.

2007-09-24  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-control-foocanvas.c
	(gog_control_foocanvas_update): remove unused gog_renderer_update zoom
	parameter.
	* goffice/graph/gog-graph.c (gog_graph_render_to_cairo),
	(gog_graph_render_to_cairo_vector): ditto.
	* goffice/gtk/go-graph-widget (update_image_rect): ditto.

	Use a cairo_surface for graph image cache, instead of pixbuf. Remove
	"cairo" and "is_vector" properties, they are internal variables. Also
	remove "zoom", it's unused.

	* goffice/graph/gog-renderer.c (gog_renderer_update): remove unused
	zoom parameter. Use a cairo_surface for caching.
	(gog_renderer_get_pixbuf): keep for now, and do the conversion from
	cairo format here.
	(gog_renderer_get_cairo_surface): new.
	(gog_renderer_export_image): remove unused gog_renderer_update zoom
	parameter.
	(gog_renderer_set_property): remove "zoom", "cairo" and "is_vector"
	property.
	(gog_renderer_get_property): ditto.
	(gog_renderer_class_init): ditto.

2007-09-24  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/utils/go-cairo (go_cairo_convert_data_from_pixbuf),
	(go_cairo_convert_data_to_pixbuf): new.

2007-09-27  Morten Welinder  <terra@gnome.org>

	* goffice/utils/regutf8.c (go_regcomp): Add run-time check for
	missing pcre_compile2.

2007-09-24  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_widget_set_tooltip_text,
	go_tool_item_set_tooltip_text): New functions.

	* */*.c: switch to go_widget_set_tooltip_text.

2007-09-16  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-plot.c (gog_plot_set_axis) : split out
	 (gog_plot_set_axis_by_id) : from here.

	* goffice/graph/gog-axis-line.c (gog_axis_base_set_property) : renamed
	  PROP_POSITION -> POSITION_STR, add added a PROP_POSITION to take the
	  enum directly.
	(gog_axis_base_get_property) : ditto.
	(gog_axis_base_class_init) : ditto.
	(xy_process) : Be smarter about label positioning when crossing.  If
	  we're at a bound put it on the other side.

2007-09-15  Jean Brefort  <jean@acer>

	* goffice/graph/gog-axis-line.c: (xy_process): make axis lines
	always visible.
	* goffice/graph/gog-renderer.c: (gog_renderer_update): don't crash
	when pixbuf is initially NULL. [#477052]

2007-09-12  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Handle GOG_AXIS_SET_COLOR axis selection.

	* goffice/graph/gog-axis-line.c (gog_axis_base_view_point): here.

2007-09-12  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix manual position of axis labels.

	* goffice/graph/gog-axis.c (gog_axis_view_size_allocate): use bbox
	instead of view->allocation, which is not set yet when entering
	size_allocate.

2007-09-11  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-marker.c (square_path, ...): Make static.

2007-09-10  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix backplane rendering regression (1 pixel offset).

	* goffice/graph/gog-grid.c (gog_grid_view_render): use
	GOPath API.

2007-09-10  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Don't show fill_type combo box in the radar plot series editor.

	* plugins/plot_radar/gog-radar.c (gog_polar_plot_class_init): use
	GogPolarSeries object type for series_type.
	(gog_rt_series_class_init): don't enable fill_type here...
	(gog_polar_series_class_init): ... but here.

2007-09-10  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix rendering of radar area plot outline.

	* goffice/graph/gog-renderer.c (gog_renderer_stroke_serie): call the
	right emit function.

2007-09-09  Jon K Hellan  <hellan@acm.org>

	* goffice/gtk/goffice-gtk.c (go_gui_get_image_save_info): Don't
	close save as dialog after entering wrong image file extension.
	[#420451]

	* goffice/gtk/go-format-sel.c (find_builtin): Fix format selector
	crash. [#475136]

2007-09-09  Jean Brefort  <jean@acer>

	* goffice/utils/go-font.c: (go_font_new_by_index): don't ref
	a NULL font.

2007-09-08  Jody Goldberg <jody@gnome.org>

	* goffice/Makefile.am : use -Wl,-lhtmlhelp to avoid libtool getting
	  irrate about no matching .dll

	* plugins/plot_radar/gog-radar.c (gog_radar_area_plot_init) :
	  RadarArea defaults to having a fill.

2007-09-08  Jean Brefort  <jean@acer>

	* configure.in: applied patch from Claude Paroz. [#474037]

2007-09-05  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_has_hour): New function.

2007-09-03  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2007-09-03  Jody Goldberg <jody@gnome.org>

	* Release 0.5.0

2007-09-03  Jody Goldberg <jody@gnome.org>

	* goffice/utils/go-file.c (go_get_mime_type) : Use
	  FMFD_ENABLEMIMESNIFFING.
	(go_get_mime_type_for_data) : write a win32 variant.

	* goffice/utils/go-locale.c (go_locale_win32_get_user_default) : new.
	(go_locale_get_date_format) : use it here in preference to langinfo.
	(go_locale_get_time_format) : and here too.
	(go_locale_month_before_day) : use the win32 locale info in preference
	  to langinfo.

	* goffice/goffice.c (libgoffice_init) : make it compile on win32.

2007-09-03  Jean Brefort  <jean.brefort@normalesup.org>

	* tests/Makefile.am: fix library name.

2007-09-02  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_month_before_day): New function.

2007-08-30  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-renderer.c (gog_renderer_draw_marker): avoid
	useless cairo surface creation in case of PDF or PS export.
	* goffice/utils/go-marker.c (go_marker_render): put cairo_save and
	cairo_restore around coordinate transformation.

2007-08-30  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-chart-map.c (get_extremes_2D): handle x == NULL or
	y == NULL cases.

2007-08-29  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-series.c (gog_series_dataset_get_elem) : be more
	  permissive, return NULL on requests for dim >= num_dum rather than
	  spewing an error.
	* goffice/graph/gog-data-set.c (gog_dataset_get_dim) : ditto.

2007-08-25  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-renderer.c (emit_fill): removed unused color
	variable.
	* goffice/utils/go-pattern.c (go_pattern_create_cairo_pattern):
	suppress compilation warning. Check image data pointer before using
	it.

2007-08-25  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Move GOPattern code to cairo.
	Minor tweak of go_marker_create_cairo_surface.

	* goffice/graph/gog-renderer.c (emit_fill): use
	go_pattern_create_cairo_pattern.
	(_get_marker_surface): adapt to new go_marker_create_cairo_surface.
	* goffice/gtk/go-pattern-selector.c (go_pattern_palette_render_func):
	use go_pattern_create_cairo_pattern.
	* goffice/utils/go-cairo.c (go_cairo_surface_is_vector): new.
	* goffice/utils/go-marker.c (go_marker_create_cairo_surface): return
	width and height of the created surface, in case of
	future non square surfaces.
	* goffice/utils/go-pattern.c (pattern_solid): removed.
	(pattern_blend): removed.
	(cb_pattern_alpha): removed.
	(cb_pattern_opaque): removed.
	(go_pattern_render_svp): removed.
	(go_pattern_create_cairo_pattern): new.

2007-08-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-locale.c (go_locale_get_date_format): Use a
	sane default and report it as a date default, not a time default.

2007-08-21  Jody Goldberg <jody@gnome.org>

	* goffice/utils/go-file.c (check_program) : disable for win32 also.
	(go_shell_argv_to_glib_encoding) : fix typo and avoid a memory leak on
	  failure.

2007-08-21  Jody Goldberg <jody@gnome.org>

	* docs/reference/goffice-sections.txt : remove
	  gog_renderer_push_selection_style it's been deleted.
	* goffice/graph/gog-renderer.h : ditto.

2007-08-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: changed library name to libgoffice-0.5.so
	* configure.in: ditto.
	* libgoffice-0.5.pc.in: ditto.

2007-08-18  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-series.c (gog_series_get_data): don't emit a
	warning whe series is invalid.
	(gog_series_get_xy_data): ditto.

2007-08-18  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix automatic creation of backplane via guru-hints.

	* goffice/graph/gog-plot.c (gog_plot_guru_helper): backplane role name
	is "Backplane" now, not "Grid".

2007-08-18  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Conversion of GOMarker to cairo.

	* goffice/utils/go-marker.c: removed dependency on libart and
	GdkPixbuf. Use SVG path string for marker description.
	(marker_create_pixbuf_with_size), (marker_free_pixbuf),
	(marker_update_pixbuf), (go_marker_finalize),
	(go_marker_get_pixbuf), (go_marker_get_pixbuf_with_size): removed.
	(go_marker_set_shape), (go_marker_set_outline_color),
	(go_marker_set_fill_color), (go_marker_set_size), (go_marker_assign):
	no more pixbuf caching.
	(go_marker_render): new.
	(go_marker_create_cairo_surface): new.
	* goffice/gtk/go-marker-selector.c: (go_marker_palette_render_func)
	use go_marker_render.
	* goffice/graph/gog-renderer.c (_draw_marker): removed.
	(_get_marker_surface): use go_marker_create_cairo_surface.
	* goffice/utils/go-cairo.c (go_cairo_emit_svg_path): new.

2007-08-18  Jean Brefort  <jean.brefort@normalesup.org>

	* pixmaps/Makefile.am: add new icon for surface plots.
	* pixmaps/chart_surface_2_1.png: ditto.
	* pixmaps/chart_surface_2_1.svg: ditto.

2007-08-16  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Really make go_path_get_extremes unused.

	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): removed useless call
	to go_path_get_extremes.

2007-08-16  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Remove unused code.

	* goffice/utils/gog-path.[ch] (go_path_get_extremes]: removed.

2007-08-15  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Change Grid role name to Backplane, since that what GogGrid really is.
	We should rename the GogGrid object to GogBackplane later.

	* goffice/graph/gog-object-xml.c (gog_object_write_xml_sax): do the
	substitution here, for backward compatibility.
	(gog_object_new_from_xml): ditto.
	(gogo_start): ditto.
	* goffice/graph/gog-chart.c (gog_chart_class_init): replace "Grid" role
	name by "Backplane".

2007-08-12  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix update of dim editors when moving axis bounds.

	* goffice/graph/gog-axis.c (set_to_auto_value): new.
	(cb_enable_dim): use set_to_auto_value.
	(cb_axis_bound_changed): removed.
	(cb_update_editor): new.
	(make_dim_editor): don't connect to Axis::changed signal, but to
	Axis::update-editor.

2007-08-12  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/utils/go-cairo.[ch]: removed.

2007-08-13  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_shell_arg_to_uri): Don't trash
	fd://0 and friends.

2007-08-10  Jody Goldberg <jody@gnome.org>

	* goffice/utils/go-pattern.c (go_pattern_get_svg_path) : this actually
	  returned an xmlChar *
	* goffice/graph/gog-renderer-svg.c (fill_properties) : adjust to
	  actual result type from go_pattern_get_svg_path.

	* goffice/goffice.c (libgoffice_init) : use GO_VERSION_* for the dll.

2007-08-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix step interpolation for radar plots by introducing a new
	go_path_arc_to function, which will not start with move_to like
	go_path_arc.

	* goffice/utils/go-path.c: (go_path_arc_to) new.
	* goffice/graph/gog-chart-map.c: (polar_make_path_step) use the new
	go_path_arc_to function.

2007-08-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Move GogStyleFill editor to GogSeries, and make it appear along with
	fill settings.

	* goffice/graph/gog-series-prefs.glade: describe the GogFillType
	editor.
	* goffice/graph/gog-series.c (gog_series_populate_editor): handle
	GogFillType editor.
	* goffice/graph/gog-style-prefs.glade: add a placeholder for the fill
	type editor.
	* goffice/graph/gog-style.c (fill_update_visibilies): handle
	placeholder visibility.
	(fill_init): register placeholder.
	* plugins/plot_radar/gog-radar.c: remove fill type editor.
	(gog_rt_series_class_init): enable interpolation and fill_type
	properties.
	* plugins/plot_xy/gog-xy-series-prefs.glade: remove fill type editor.
	* plugins/plot_xy/gog-xy.c (gog_xy_series_populate_editor): remove
	fill type editor.
	(gog_xy_series_class_init): enable fill_type property.

2007-08-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Remove unused code and dependency to libart in go-line.c.

	* goffice/graph/gog-renderer.c:
	s/go_line_get_vpath_dash/go_line_dash_get_sequence/
	s/go_line_vpath_dash_free/go_line_dash_sequence_free/
	* goffice/gtk/go-line-selector.c (go_line_dash_palette_render_func):
	ditto.
	* goffice/graph/gog-smoothed-curve.c (gog_smoothed_curve_view_render):
	use GOPath API and gog_chart_map_make_path. Remove commented code.
	* goffice/utils/go-line.c (go_line_get_vpath_dash): renamed to
	go_line_dash_get_sequence.
	(go_line_vpath_dash_free): renamed to go_line_dash_sequence_free.
	(go_line_clip_vpath): removed.
	(go_line_dash_vpath): removed.
	(go_line_build_bpath): removed.
	(go_line_build_vpath): removed.

2007-08-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix tool rendering. Add gog_renderer_draw_selection_rectangle.

	* goffice/graph/gog-axis-line.c (gog_tool_select_axis_render): use
	gog_renderer_draw_selection_rectangle.
	* goffice/graph/gog-plot.c (gog_tool_move_plot_area_render): ditto.
	* goffice/graph/gog-view.c (gog_tool_select_object_render): ditto.
	* plugins/plot_pie/gog-pie.c (gog_tool_move_pie_render): ditto.
	* goffice/graph/gog-graph.c (gog_graph_view_render): don't push style
	here, that's handled in GogRenderer.
	* goffice/graph/gog-renderer.c
	(gog_renderer_draw_selection_rectangle): new.
	(gog_renderer_push_selection_style): removed.
	(gog_renderer_init), (gog_renderer_finalize): handle selection_style.

2007-08-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix clipping bug introduced by GOPath conversion.

	* goffice/graph/gog-renderer.c (gog_renderer_push_clip_rectangle):
	here.

	(_draw_rectangle): call _draw_shape directly.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Adapt renderer rectangle API to new style (draw, fill, stroke).

	* goffice/graph/gog-label.c (gog_text_view_render):
	gog_renderer_draw_sharp_rectangle is gog_renderer_draw_rectangle now.
	* goffice/graph/gog-legend.c (cb_render_elements): ditto.
	* goffice/graph/gog-outlined-object.c (gog_outlined_view_render):
	ditto.
	* goffice/graph/gog-plot.c (gog_tool_move_plot_area_render): use
	gog_renderer_stroke_rectangle.
	* goffice/graph/gog-view.c (gog_tool_select_object_render): ditto.
	* plugins/plot_pie/gog-pie.c (gog_tool_move_pie_render): ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_get_rectangle_vpath):
	removed.
	(_draw_rectangle): use GOPath.
	(gog_renderer_draw_sharp_rectangle): removed.
	(gog_renderer_draw_rectangle): draw shar rectangle.
	(gog_renderer_stroke_rectangle): new.
	(gog_renderer_draw_grip): adapt to new API.
	* plugins/plot_radar/gog-radar.c (gog_rt_view_render): remove unused
	variables.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Use of go_path_ring_wedge for pie wedge rendering.

	* plugins/plot_pie/gog-pie.c (gog_pie_view_render): here.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Use of go_path_pie_wedge for bubble rendering.

	* plugins/plot_xy/gog-xy.c (bubble_draw_circle): here.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Finish conversion of GogGridLine to GOPath.

	* goffice/graph/gog-grid-line.c (fill_rectangle): removed.
	(gog_grid_line_xy_render): use GOPath. Group fill and strokes.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Convert GogAxisLine to GOPath. Emit axis ticks in one stroke, in order
	to reduce export file size. We should not have the same performance
	issue we had with libart.

	* goffice/graph/gog-axis-line.c (gog_tool_select_axis_render): use
	GOPath.
	(axis_line_render): ditto.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Convert the clipping API to GOPath. Drop the clip stack, that's not
	needed anymore.

	* goffice/graph/gog-renderer.c: here.
	(gog_renderer_push_clip_rectangle): new.
	* goffice/graph/gog-legend.c (gog_legend_view_render): use
	gog_renderer_push_clip_rectangle.
	* goffice/graph/gog-reg-curve.c (gog_reg_curve_view_render): ditto.
	* goffice/graph/gog-smoothed-curve.c (gog_smoothed_curve_view_render):
	ditto.
	* goffice/graph/gog-view.c (gog_view_render): ditto.
	* plugins/plot_barcol/gog-line.c (gog_line_view_render): ditto.
	* plugins/plot_surface/gog-surface.c (gog_contour_view_render): ditto.
	* plugins/plot_xy/gog-xy.c (gog_xy_view_render): ditto.
	* plugins/plot_radar/gog-radar.c (gog_rt_view_render): restore
	clipping.
	* goffice/utils/go-path.c (go_path_rectangle): don't change path
	options here. That's not consistent and a call for troubles.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Swith to GOPath API for ring wedge shapes. Improve size of exported
	graphs.

	* goffice/graph/gog-axis-line.c (axis_circle_render): use GOPath API.
	* goffice/graph/gog-grid-line.c (gog_grid_line_radial_render): ditto.
	(gog_grid_line_circular_render): ditto.
	* goffice/graph/gog-grid.c (gog_grid_view_render): ditto.
	* goffice/graph/gog-renderer.c (emit_line), (emit_outline),
	(emit_fill): clear current if !preserve on early exit.
	(_draw_shape): new.
	(gog_renderer_draw_shape), (gog_renderer_fill_shape),
	gog_renderer_stroke_shape): new.
	(emit_stroke): renamed to emit_line.
	(gog_renderer_get_ring_wedge_bpath): removed.
	(gog_renderer_draw_ring_wedge): removed.
	* goffice/utils/go-path.c (go_path_ring_wedge): always begin with a
	move_to.
	* plugins/plot_radar/gog-radar.c: add a default_style_has_fill
	property, like XY plots.
	(gog_rt_view_render): disable clipping for now.

2007-08-03  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Rename gog_renderer_serie_stroke and gog_renderer_serie_fill to
	gog_renderer_stroke_serie and gog_renderer_fill_serie.

	* goffice/graph/gog-reg-curve: here.
	* goffice/graph/gog-renderer.c: here.
	* plugins/plot_xy/gog-xy.c: here.
	* plugins/plot_radar/gog-radar.c: here.

2007-08-03  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-renderer.c (gog_renderer_serie_fill): accept NULL
	close_path.

2007-08-02  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Merge of GogRenderer and GogRendererCairo.

	* configure.in: explicitely require cairo, cairo-svg, cairo-pdf and
	cairo-ps 1.2.0.
	* goffice/graph/gog-renderer-cairo.[ch]: merge code in gog-renderer.
	* goffice/graph/gog-renderer-svg.[ch]: deleted.
	* goffice/graph/gog-renderer-gnome-print.[ch]: removed.
	* goffice/graph/gog-renderer-impl.h: removed.
	* goffice/graph/Makefile.am: update.
	* goffice/graph/gog-graph.c (gog_graph_export_image): GogRendererCairo
	doesn't exist anymore.
	(gog_graph_render_to_cairo): ditto.
	* goffice/graph/gog-renderer.c: merge cairo implementation.

2007-08-01  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fill support for XY plots.
	Interpolation, drop lines and fill support for radar plots.

	* goffice/graph/gog-axis.c (gog_axis_map_is_inverted): new
	* goffice/graph/gog-chart.c: move GogChartMap code...
	* goffice/graph/gog-chart-map.c: ... here.
	(get_extremes_2D): new.
	(make_path_linear): new.
	(make_path_spline): new.
	(xy_make_path_step): new.
	(xy_make_path): new.
	(xy_make_close_path): new.
	(polar_make_path_step): new.
	(polar_make_path): new.
	(polar_make_close_path): new.
	(gog_chart_map_make_path): new.
	(gog_chart_map_make_close_path): new.
	* goffice/graph/gog-reg-curve.c (gog_reg_curve_view_render): use
	gog_chart_make_path and GOPath API.
	* goffice/graph/gog-renderer-cairo.c (emit_stroke): new.
	(emit_outline): new.
	(emit_fill): new.
	(path_raw_move_to): new.
	(path_raw_line_to): new.
	(path_snap_even_move_to),
	(path_snap_even_line_to),
	(path_snap_odd_move_to),
	(path_snap_odd_line_to): new.
	(path_interpret): new.
	(fill_path_line_to): new.
	(fill_path_close_path),
	(fill_path_interpret): new.
	(gog_renderer_cairo_serie_stroke): new.
	(gog_renderer_cairo_serie_fill): new.
	* goffice/graph/gog-renderer.c (gog_renderer_serie_stroke),
	(gog_renderer_serie_fill): new.
	* goffice/graph/gog-series.c: add a GogSeriesFillType property.
	(gog_series_get_data): new.
	(gog_series_get_xy_data): use gog_series_get_data.
	(gog_series_get_xyz_data): new, using gog_series_get_data.
	(gog_series_get_fill_type), (gog_series_set_fill_type): accessor for
	GogSeries::fill_type property.
	(gog_series_populate_fill_type_combo),
	(gog_series_get_fill_type_from_combo): convenience functions for use in
	GogSeries editors.
	* goffice/graph/gog-style-prefs.glade: move marker editor in its own
	page.
	* goffice/graph/gog-style.c (outline_init): register outline_box
	widget.
	(gog_style_apply_theme), (gog_style_fill_sax_save),
	(gog_style_fill_load), (gog_style_sax_load_fill),
	(cb_fill_type_changed): fill has an auto_type flag now.
	(marker_init): marker editor has its own page now.
	(gog_style_is_fill_visible): new.

	Actually use GOPath API. Don't use it as an object storage, just
	paths.

	* goffice/utils/go-path.c: switch to fixed size data buffers.
	(go_path_get_options): new.
	(go_path_add_data): renamed to go_path_add_points.
	(go_path_move_to), (go_path_line_to), (go_path_curve_to): clamp here.
	(go_path_ring_wedge): new.
	(go_path_pie_wedge): new.
	(go_path_new_rectangle): removed.
	(go_path_add_style): removed.
	(go_path_interpret): new.

	* plugins/plot_radar/gog-radar.c (gog_rt_view_render): implement
	interpolation and fill support.
	(radial_drop_lines_can_add), (radial_drop_lines_post_add),
	(radial_drop_lines_pre_remove): new.
	(gog_rt_series_populate_editor): new. Editor for FillType Property.
	(gog_rt_series_class_init): sets relevant FillType values.
	Add drop lines support.
	* plugins/plot_radar/gog-rt-series-prefs.glade: new.

	* plugins/plot_xy/gog-xy-series-prefs.glade: add FillType editor.
	* plugins/plot_xy/gog-xy.c: add a default-style-has-fill property, for
	compatibility with the previous behaviour wher xy plots didn't have
	fill enabled.
	(gog_xy_view_render): implement fill support.
	(gog_xy_series_update): use gog_series_get_xy_data and
	gog_series_get_xyz_data.

2007-08-11  Christian Neumair <cneumair@gnome.org>

	* goffice/graph/gog-object-xml.c: (gogo_prop_end): Pass instance type
	to gsf_xml_gvalue_from_str() instead of fundamental type. Required for
	correct parsing of enum/flag-derived types.

2007-08-10  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-file.c (go_shell_argv_to_glib_encoding):
	NULL-terminate argv array.  Don't bother setting argc.
	(go_shell_argv_to_glib_encoding_free): Use g_strfreev.

2007-08-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/component/go-component.c: removed all rendering functions
	and replace by go_component_render using a cairo_t*.
	* goffice/component/go-component.h: ditto.

2007-08-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/cut-n-paste/foocanvas/Makefile.am: fix headers path
	from 0.4 to 0.5.
	* goffice/goffice.c: (libgoffice_init): rename dll (0-4->0-5).

2007-08-10  Jody Goldberg <jody@gnome.org>

	* goffice/graph/Makefile.am : remove gog-renderer-gnome-print
	* libgoffice-0.5.pc.in : bump from 0.4 -> 0.5 and drop gnomeprint
	* goffice.mk : ditto.
	* configure.in : drop gnomeprint req

2007-08-10  Jody Goldberg <jody@gnome.org>

	* configure.in : Post release bump to 0.5.0

2007-08-10  Jody Goldberg <jody@gnome.org>

	* Release 0.4.3	(Branch point for 0.5.0)

2007-08-07  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-undo.c (go_undo_combine): New function.

2007-08-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Add gog_graph_render_to_cairo_vector for better gnumeric printing.
	Fix for #381682.

	* goffice/graph/gog-graph.[ch]: here.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Drop use-splines as soon as one of the series has interpolation
	different from GO_LINE_INTERPOLATION_SPLINE.

	* plugins/plot_xy/gog-xy.c (gog_xy_get_property): here.

2007-08-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Put back goffice 0.2.x GogXYPlot::use-spline property.

	* plugins/plot_xy/gog-xy.c: here.

2007-08-03  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Move interpolation property from GogStyle to GogSeries.

	* goffice/graph/gog-plot.c (role_series_post_add): sets line
	interpolation of child series.
	(gog_plot_set_property), (gog_plot_get_property),
	(gog_plot_class_init), (gog_plot_init): handle interpolation property.
	* goffice/graph/gog-series.c (gog_series_set_property),
	(gog_series_get_property), (gog_series_class_init), (gog_series_init):
	handle line interpolation property.
	(gog_series_populate_editor): add a line property selector if
	GogSeriesClass::has_interpolation == TRUE. The selector is added to
	the GogStyle::line editor.
	* goffice/graph/gog-style-prefs.glade: move line intertpolation
	selector...
	* goffice/graph/gog-series-prefs.glade: ...here.
	* goffice/graph/gog-style.c (line_init): register line_box
	widget for later extension.
	(cb_line_interpolation_changed): removed.
	(interp_init): removed.
	(gog_style_interpolation_load): removed.
	(gog_style_interpolation_sax_save): removed.
	(gog_style_sax_load_interpolation): removed.
	* plugins/plot_xy/gog-xy.c: remove use_splines and interpolation
	properties.
	(gog_xy_view_render): line interpolation is a GogSeries property now.

2007-07-29  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Resync ALL_LINGUAS with po files.

2007-07-24  Jody Goldberg <jody@gnome.org>

	* goffice/gtk/goffice-gtk.c (go_gtk_window_set_transient) : minor
	  coverity report caused by some #ifndef WITH_GNOME.

2007-07-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-line.c (go_line_interpolation_as_str): Don't
	overrun line_interpolations array.

2007-07-23  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2007-07-23  Jody Goldberg <jody@gnome.org>

	* Release 0.4.2

2007-07-18  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-guru.c (gog_guru_get_help_button) : a hook to
	  work around the docs still living in gnumeric. [#394181]

2007-07-17  Jody Goldberg <jody@gnome.org>

	From Coverity.
	* goffice/utils/go-glib-extras.c (go_guess_encoding) : Avoid crash if
	  libxml2 returns ERROR or NONE when guessing encoding.

2007-07-16  Jody Goldberg <jody@gnome.org>

	* goffice/cut-n-paste/foocanvas/foo-canvas-text.c
	(foo_canvas_text_update) : round the bounds rather than using floor
	  and ceil.  The disparity would exacerbate rounding errors caused by
	  scaling, and would result in 1 pixel errors.
	* goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.c
	(foo_canvas_pixbuf_update) : ditto.  The errors where especially
	noticable here because images would get scaled. [#314864]
	* goffice/cut-n-paste/foocanvas/foo-canvas.c
	(foo_canvas_item_accessible_get_item_extents) : ditto.

2007-07-14  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-object.c (gog_editor_register_widget): new.
	(gog_editor_get_registered_widget): new.

2007-07-15  Jody Goldberg <jody@gnome.org>

	* goffice/app/file.c (go_file_saver_finalize) : do not leak the mime
	  type.

2007-07-13  Jody Goldberg <jody@gnome.org>

	* configure.in : remove GTK_DISABLE_DEPRECATED.  gtk trunk has
	  deprecated GtkTooltips.

2007-07-11  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2007-07-10  Jody Goldberg <jody@gnome.org>

	* Release 0.4.1

2007-07-03  Jody Goldberg <jody@gnome.org>

	* goffice/goffice.c (libgoffice_init) : on win32 qualify icon dir with
	  the version to match the installation dir in configure.in and fix
	  the dll name. [#442707]

2007-07-01  Jody Goldberg <jody@gnome.org>

	Patch from Jean for 340552
	* goffice/graph/gog-graph.c (gog_graph_finalize) : free the new
	  data_hash.
	(gog_graph_init) : init the data hash.
	(gog_graph_get_data) : use the hash rather than quarks.
	(gog_graph_ref_data) : ditto.
	(gog_graph_unref_data) : ditto.

2007-07-01  Jody Goldberg <jody@gnome.org>

	* configure.in : remove req for pangoft.  No need for that anymore.

2007-07-01  Jody Goldberg <jody@gnome.org>

	Patch from Andreas Kohler.
	* goffice-win32.mk :  portability patch for [#367785]

2007-06-21  Jody Goldberg <jody@gnome.org>

	* configure.in : export GOFFICE_USE_SVG_RENDERER.
	* goffice/graph/gog-renderer.c : honour it here.

2007-06-17  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* goffice/graph/gog-object-xml.c (gog_object_write_xml_sax): fixed
	signedness issue spotted with help of sparse.
	* goffice/graph/gog-view.c (gog_view_queue_resize): Made do-while into
	a compound statement. (Silences sparse warning)
	* goffice/graph/gog-style.c: Be more consistent in use of enum types.
	* goffice/component/go-component-factory.c
	(go_components_get_mime_types): Fixed non-ANSI function declaration by
	specifying "void" for the parameter list, rather than leaving it
	unspecified.

2007-06-17  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-object.c (gog_object_add_by_role) : Add error
	  handling for unknown types.

	* goffice/graph/gog-object-xml.c (gogo_dim_start) : handle NULL
	  objects from preceding errors.
	(gogo_dim_end) : ditto.
	(gogo_prop_start) : ditto.
	(gogo_end) : ditto.
	(gogo_start) : ditto.  Make it clear that all paths through this must
	  add something to the obj_stack.

2007-06-12  Jody Goldberg <jody@gnome.org>

	* goffice/utils/go-geometry.c (go_direction_get_type) : new.
	(go_direction_is_forward) : new.
	(go_direction_is_horizontal) : new.

2007-06-12  Jody Goldberg <jody@gnome.org>

	* goffice/app/file.c (go_file_saver_for_file_name) : fix cut-n-paste-o
	  in docs.

2007-06-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-chart.c (calc_circle_parameters): fix rotation of
	circular axis for theta_max > 360°.

2007-06-05  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_execute): Handle OP_STRING.
	(handle_common_token): Issue OP_STRING ofr TOK_STRING.  Fixes
	#444247.

2007-05-25  Morten Welinder  <terra@gnome.org>

	* goffice/app/file.c (go_file_saver_level_get_type,
	go_file_saver_scope_get_type): New functions.
	(go_file_saver_new): Use object properties.
	(go_file_saver_class_init): Install object properties, setter, and
	getter.
	(go_file_saver_setup): Remove.  All callers now use object
	properties.

	* goffice/app/go-plugin-service.c
	(plugin_service_file_saver_read_xml): Major cleanup.  Handle mime
	type too.
	(go_plugin_file_saver_new): Use object properties for the saver.
	Set mime type too.
	(parse_format_level_str): Remove.  xml_node_get_enum can do that.

2007-05-16  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-style.c: (cb_font_changed): set the
	attributes before retrieving the GOFont.

2007-05-09  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-axis.c (gog_axis_view_size_allocate): fix manual
	position of axis labels.

2007-05-03  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 0.4.0

2007-05-01  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-cspline.c: (go_cspline_get_values),
	(go_cspline_get_derivs), (go_cspline_get_integrals):
	constified arguments and fixed the code.
	* goffice/utils/go-cspline.h: constified arguments.

2007-04-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-image.c: (cairo_to_pixbuf): fixed conversion
	on bigendian machines [#432532].

2007-04-26  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/Makefile.am: added new cubic spline support.
	* goffice/utils/go-cspline.c: ditto.
	* goffice/utils/go-cspline.h: ditto.
	* goffice/utils/go-rangefunc.c: (go_range_increasing): new
	convenience function.
	* goffice/utils/go-rangefunc.h: ditto.

2007-04-21  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.

2007-04-21  Morten Welinder <terra@gnome.org>

	* Release 0.3.8

2007-04-20  Morten Welinder  <terra@gnome.org>

	* goffice/app/go-cmd-context.c (go_cmd_context_error_invalid):
	Translate.

2007-04-19  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (find_builtin): Handle
	GO_FORMAT_UNKNOWN without crashing.  [#431256]

2007-04-11  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_guess_encoding): Actually
	verify that we get good UTF-8.  Fixes #401588.

2007-04-10  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.glade: Fix minor grammar issue.  Fixes
	#428331.

2007-04-02  Morten Welinder  <terra@gnome.org>

	* goffice/utils/regutf8.c (go_regcomp): Undo last change.

2007-03-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix alignement of rotated labels. #343507

	* goffice/graph/gog-axis-line.c (axis_line_get_bbox): compute the
	correct anchor.
	(axis_line_render): ditto.
	* goffice/graph/gog-grid.c (gog_grid_view_render):
	GOG_AXIS_SET_XY_BUBBLE has a background.
	* goffice/graph/gog-renderer-cairo.c (gog_renderer_cairo_draw_text):
	label rotation angle in the same direction as the canvas.
	* goffice/graph/gog-renderer-gnome-print.c
	(gog_renderer_gnome_print_draw_text): ditto.
	* goffice/graph/gog-renderer-svg.c (gog_renderer_svg_draw_text):
	ditto.
	* goffice/graph/gog-renderer.c (gog_renderer_get_text_OBR): ditto.
	* goffice/utils/go-geometry.c (go_geometry_test_OBR_overlap):
	simplify.
	(go_geometry_calc_label_anchor): new.
	(go_geometry_calc_label_position): add an acnhor parameter.

	* goffice/utils/datetime.c: fix compilation warning.

2007-03-28  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (generate_number, generate_format,
	study_format): Handle quoted dollars too.  Fixes part of #423603.

2007-03-28  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-regression.c: add namespace to names missing it.
	* goffice/utils/go-regression.h: ditto.
	* plugins/reg_linear/gog-lin-reg.c: use new names in go-regression.h
	* plugins/reg_linear/gog-lin-reg.h: ditto.

2007-03-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-font.c (go_font_metrics_new): Try even more
	kinds of weird spaces.

	* goffice/utils/regutf8.c (go_regcomp): Unicode-normalize pattern.

2007-03-13  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_execute)
	[OP_NUM_FRACTION_SIMPLIFY_PI]: Simplify "n\pi/1" too.  #417981.

2007-03-10  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/Makefile.am: removed $(BUILT_SOURCES) from
	libgoffice_0_la_SOURCES. [#354874]

2007-03-10  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-font.c (go_font_metrics_new): Don't pick a
	space that is too tall, see bug 416526.

2007-03-08  Morten Welinder  <terra@gnome.org>

	* goffice/utils/formats.c (go_format_currencies): Translate
	"None".

	* goffice/gtk/go-combo-text.c (go_combo_text_set_text,
	go_combo_text_get_entry, go_combo_text_add_item): Add
	preconditions.

2007-03-04  Morten Welinder  <terra@gnome.org>

	* configure.in: Post-release bump.

2007-03-04  Morten Welinder <terra@gnome.org>

	* Release 0.3.7

2007-03-03  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* plugins/plot_boxes/gog-boxplot.c (gog_box_plot_view_render): fix
	boxplot rendering (blur at fill edges). Remove commented code.
	* goffice/graph/gog-renderer-cairo.c (grc_line_size): round and not
	floor, that more close to vector rendering.
	(grc_path_raw): fix even width check.
	(grc_draw_path): add a kludge in order to completly fix #403403.
	(gog_renderer_cairo_push_style): fix rectangular clip region.
	* goffice/graph/gog-legend.c (cb_render_elements): fix line sample
	rendering.
	(gog_legend_view_render): sets the clip region to view residual...
	(gog_legend_view_class_init): ... not view allocation.

2007-03-02  Morten Welinder  <terra@gnome.org>

	* goffice/graph/gog-axis-line.c (axis_line_render): If we have to
	skip entries because there is no room, skip regularly.  Fixes
	#413660.

2007-03-02  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-style.c (gog_style_line_sax_save): increase float
	format precision.
	(gog_style_gradient_sax_save): ditto.
	(gog_style_text_layout_sax_save): ditto.
	* goffice/graph/gog-error-bars.c (gog_error_bar_persist_sax_save):
	ditto.

2007-03-01  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_toggle_1000sep):
	Re-implement.

	* configure.in: Unconditionally require a proper system PCRE
	library.

2007-02-27  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/goffice-graph.h: add bubble axis.
	* goffice/graph/gog-axis-line.c: fix various virtual axis issues.
	* goffice/graph/gog-axis.c: (gog_axis_populate_editor): don't
	add style related pages forvirtual axis.
	* goffice/graph/gog-chart.c: implement bubble axis adding and
	fix various related issues.
	* plugins/plot_barcol/gog-1.5d.c: (gog_plot1_5d_axis_get_bounds):
	removed a warning since various axis sets might be used when using
	mixed plots.

2007-02-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_is_date_for_value): Remove.
	(go_format_as_XL, go_format_new_from_XL): Drop localization
	argument.  All callers changed.

2007-02-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_parse_number_fraction):
	Reinstate pi fraction extention.
	(go_format_parse_number_E): Simplify mantissa when requested.

2007-02-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-font.c (go_font_metrics_new): Acquire
	information and various space characters too.

	* goffice/utils/go-format.c (go_format_execute) [OP_DATE_SPLIT]:
	If date is not valid, don't request year etc.
	(go_format_execute) [OP_FILL]: When space filling, fine-tune with
	thin spaces.

2007-02-23  Morten Welinder  <terra@gnome.org>

	* goffice/utils/formats.c (go_currency_date_format_shutdown): Fix
	memory handling.

2007-02-23  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c: Make truncation UTF-8 safe.  Make
	function independent of go-format.c internals.
	(fillin_negative_samples): Use GOFormat instead of doing things by
	hand.
	(study_format): Identify currency.

	* goffice/utils/go-format.c: Total rewrite.
	* goffice/utils/formats.c: Remove various unused stuff.

2007-02-22  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/Makefile.am: add new glade file.
	* plugins/plot_xy/gog-xy-color-prefs.glade: new glade file.
	* plugins/plot_xy/gog-xy.c: allow hiding data outside of
	the color axis bounds.
	* plugins/plot_xy/gog-xy.h: ditto.

2007-02-21  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (generate_format): Generate formats
	here.
	(fmt_dialog_enable_widgets): Recognize builtins here.

	* goffice/utils/go-glib-extras.c (go_string_append_c_n): New
	function.

2006-02-21  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix calls to g_object_class_install_property.
	http://bugzilla.gnome.org/show_bug.cgi?id=172866

2006-02-21  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Restrict legend sample line width to sane values, like what we do for
	markers.
	http://bugzilla.gnome.org/show_bug.cgi?id=404819

	* goffice/utils/go-line.c: add a sequence length to dash descriptors.
	(go_line_dash_get_length): new.
	* goffice/graph/gog-renderer.c (gog_renderer_get_hairline_width_pts):
	new.
	* goffice/graph/gog-renderer-cairo.c: provide an implemenation of
	hairline_pts.
	* goffice/graph/gog-legend.c: use defines for legend element layout.
	(cb_swatch_scale): compute the scale used for restricting sample width
	in order to always shows correctly the dashed lines.
	(cb_render_elements): apply line width scale.

2007-02-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-locale.c (go_locale_get_time_format): New
	function.

2007-02-20  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_xy/gog-xy.c: (gog_xy_color_plot_update),
	(gog_xy_color_plot_axis_get_bounds): use Color axis, not Pseudo3d.

2006-02-18  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix incorrect saving of position (which happens when role default
	position is not the same as the g_param_spec one).
	http://bugzilla.gnome.org/show_bug.cgi?id=345836

	* goffice/graph/gog-object-xml.c (gog_object_write_property_sax): use
	gog_object_is_default_position_flags.
	* goffice/graph/gog-object.c (gog_object_class_init): sets the
	GOG_PARAM_POSITION flag for "compass", "alignment" and "anchor".
	(gog_object_is_default_position_flags): new.

2006-02-17  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Dashed line improvements. More line styles.
	http://bugzilla.gnome.org/show_bug.cgi?id=403403

	* goffice/gtk/go-line-selector.c (go_line_dash_palette_render_func):
	sharper rendering.
	(go_line_dash_selector_new): 3 columns layout.
	* goffice/utils/go-lines.c: some more line styles.
	(go_line_dash_vpath): sharper dashed line rendering.
	* goffice/graph/gog-renderer-cairo.c (grc_line_size): round only for
	sharp rendering.
	(grc_path_raw): new.
	(grc_path_sharp): new. Sharpening happens here now.
	(grc_draw_path): takes a sharp parameter. Use square line cap for
	small width.
	(grc_draw_polygon): ditto.
	(gog_renderer_cairo_line_size): takes a sharp parameter.
	(gog_renderer_cairo_draw_path): ditto.
	(gog_renderer_cairo_draw_polygon): ditto.
	(draw_path): ditto.
	(gog_renderer_cairo_sharp_path): removed.
	* goffice/graph/gog-renderer-gnomep-print.c: add sharp parameter.
	(gog_graph_print_to_gnome_print): set line cap to round.
	* goffice/graph/gog-legend.c (gog_legend_view_size_request): makes the
	line sample longer.
	(cb_render_elements): ditto.
	* goffice/graph/gog-renderer.c: add a sharp parameter to draw_path,
	draw_polygon and line_size virtuals.
	(line_size): new.
	* goffice/graph/gog-renderer.h: double the width of the hairline for
	vector formats.
	* goffice/graph/gog-renderer-svg.c: stroke with round line cap. Add
	sharp parameter.

2007-02-16  Morten Welinder <terra@gnome.org>

	* Release 0.3.6

2007-02-16  Morten Welinder  <terra@gnome.org>

	* goffice/utils/datetime.c (go_date_month_name): Trim terminating
	spaces in the result.

2007-02-16  Jean Brefort  <jean.brefort@normalesup.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=408520
	* plugins/reg_linear/gog-exp-reg.c:
	(gog_exp_reg_curve_get_equation): fix equation.

2007-02-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-locale.c (go_locale_month_before_day): 'M' is
	minutes, so ignore it.
	(go_locale_get_date_format): New function.

2007-02-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/utils/go-rangefunc.c: copied some new functions
	from gnumeric.
	* goffice/utils/go-rangefunc.h: ditto.
	* plugins/plot_boxes/gog-boxplot.c: find fractiles using
	new functions in go-rangefunc.*.

2007-02-09  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-math.c (go_ascii_strtod, go_ascii_strtold): New
	functions.

2007-02-07  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_str_delocalize): Don't
	overrun source string on unbalanced quote.

2006-02-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-renderer-pixbuf.[ch]: removed.

2006-02-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Disable pango markup for all user entered texts.
	http://bugzilla.gnome.org/show_bug.cgi?id=403209

	* goffice/graph/gog-renderer.c (gog_renderer_draw_text):
	remove the unused result parameter and add a new use_markup flag.
	(gog_renderer_get_text_OBR): add new use_markup flag.
	(gog_renderer_get_text_AABR): ditto.
	* goffice/graph/gog-renderer-cairo.c: ditto.
	* goffice/graph/gog-renderer-gnome-print.c: ditto.
	* goffice/graph/gog-renderer-svg.c: ditto.

	* goffice/graph/gog-label.c (gog_text_view_size_request): don't use
	pango markup.
	(gog_text_view_render): ditto.
	* goffice/graph/gog-legend.c (cb_size_elements): ditto.
	(cb_render_elements): ditto.

	* goffice/graph/gog-axis-line..c (axis_line_get_bbox): use pango
	markup (for exponent of log axes).
	(axis_line_render): ditto.
	(axis_circle_get_bbox): ditto.
	(axis_circle_render): ditto.
	* goffice/graph/gog-axis.c (map_discrete_calc_ticks): but escape user
	text here.

	* goffice/graph/gog-grid.c (gog_grid_view_render): handle new
	GogAxisSet type.

2007-01-30  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_is_text): Typo.

2007-01-24  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-locale.[ch]: New files, extracted from
	go-format.[ch].  Grand renaming.

	* goffice/utils/go-format.c (go_render_number): Make this static.

2007-01-22  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (type GOFormat): Make this private.
	*/*.c: deal with the fallout.

2007-01-21  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (cb_attrs_as_string): Fix typo
	"strikthough" and add underline styles "low" and "error".
	(go_format_parse_markup): Add "low" and "error" here too.

2007-01-20  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=397679
	* goffice/graph/gog-renderer-cairo.c (gog_renderer_cairo_update) :
	  Don't freak everything out if we attempt to render with w/h < 1.
	  That should not happen, but if it gets through, avoid a nan
	* goffice/graph/gog-renderer-pixbuf.c (gog_renderer_pixbuf_update) :
	  ditto.

2007-01-20  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-guru.c (cb_plot_family_menu_create): fix recently
	introduced bug.

2007-01-09  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-math.c (go_strtod): Eliminate the need to reset
	errno before calling this.

2007-01-08  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-math.c (go_strtod, go_strtold): New functions.

2007-01-05  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_is_date,
	go_format_is_date_for_value): New functions.

2007-01-04  Morten Welinder  <terra@gnome.org>

	* goffice/gtk/go-format-sel.c (fmt_dialog_enable_widgets): When
	displaying a widget, display its parents too.  This kills the need
	for all the silly box widgets.

	* goffice/utils/go-format.h (GOFormatDetails): Eliminate
	date_has_days and date_has_months.  No-one uses them.

2006-01-03  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-renderer-cairo.c (gog_renderer_cairo_draw_text):
	Don't scale text by using pango_cairo_context_set_resolution, but use
	cairo_scale instead. Much more WYSIWYG now.
	(gog_renderer_cairo_get_text_OBR): ditto.

2006-12-06  Jean Brefort  <jean.brefort@normalesup.org>

	* pixmaps/color.xpm: new pixmap.
	* pixmaps/chart_colored_1_1.png: ditto.
	* pixmaps/chart_colored_1_1.svg: ditto.

2006-12-29  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-chart.c (gog_chart_get_cardinality): use full
	cardinality for plot index offset. The style of a serie do not
	depend on the visibility of another serie.
	* goffice/graph/gog-legend.c (cb_render_elements): use a counter
	instead of relying on first callback argument.

2006-12-28  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-axis-line.c (cb_cross_axis_changed): clear GValue
	struct before using it, and unset it before leaving.
	* goffice/graph/gog-chart.c: typo.
	* goffice/graph/gog-error-bar-prefs.glade: layout fix.
	* goffice/graph/gog-error-bar.c (cb_color_changed): color selector is a
	GOSelector now.
	(cb_display_changed): display selector is a standard GtkComboBox now.
	(gog_error_bar_prefs): ditto.
	* goffice/graph/gog-style-prefs.glade: layout fixes.
	* pixmaps/bar*.png: convert to 16x16 images.

2006-12-27  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-math.c (go_continued_fraction): Use integer
	operations as intended.

	* goffice/utils/go-format.c (go_format_number): Check for improper
	fraction overflows.

2006-12-26  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c: Merge format.c in here.

2006-12-25  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/reg_logfit/gog-logfit.c: (gog_log_fit_curve_type_name): fixed
	comment.
	* po/POTFILES.in: add missing files.

2006-12-22  Morten Welinder  <terra@gnome.org>

	* goffice/utils/format.c (go_format_number): Improve fractions a
	tiny bit.  Prevent reading beyond allocated memory.

2006-12-20  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_value_gstring): Take colour
	argument too and pass it to go_style_format_find_entry.  All
	callers changed.

2006-12-19  Morten Welinder  <terra@gnome.org>

	* goffice/utils/format.c (go_format_number): Handle 'E' right and
	fix a few more issues with month-vs-minutes handling.

2006-12-18  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_style_format_find_entry): New
	static function, mostly from Gnumeric.
	(go_style_format_condition): Generalize.
	(go_format_value_gstring): Generalize to handle layouts, not just
	strings.  Generalize to handle non-number values.  All callers
	changed.
	* Makefile.am: Don't install format-impl.h

2006-12-17  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2006-12-17  Jody Goldberg <jody@gnome.org>

	* Release 0.3.5

2006-12-15  Morten Welinder  <terra@gnome.org>

	* goffice/utils/format.c (append_second): Handle sss etc. right.
	(go_format_value): Improve m-as-minutes vs. m-as-month situation.
	Fix handling of "e" and "E" in date contexts.

2006-12-14  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-format.c (go_format_value_gstring): Return
	error code.
	(go_format_value): Simplistic handling of errors.

	* goffice/utils/format.c (append_day): Handle crazy number of ds.
	(append_thai_year): New function.
	(go_format_number): Handle 'b', 'g', 'G'.  Return error code.

	* goffice/utils/go-font.c (go_font_metrics_new): Get the width of
	"#" too.

2006-12-11  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-glib-extras.c (go_str_compare): Simplify and
	handle the eq case fast.

2006-12-10  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-undo.h: supply a data pointer to undo operations.
	* goffice/utils/go-undo.c (go_undo_undo_with_data): New function.
	(go_undo_unary_new): Implement properly.

2006-12-09  Jody Goldberg <jody@gnome.org>

	* goffice/graph/gog-style.c (gog_style_sax_load_*) : Pass in the
	  GogStyle as the user_state rather than using
	  gog_xml_read_state_get_obj.  This allows the parser to be used
	  externally by code (gnumeric sheet objects) that do not have the
	  GogObject parser state.

2006-12-07  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/graph/gog-legend.c (gog_legend_view_size_request): Fix
	legend layout when there's no serie to display. [#382354]
	* goffice/graph/gog-chart.c (gog_chart_get_cardinality): update plot
	cardinality before calling gog_plot_get_cardinality.
	* goffice/graph/gog-plot.c (gog_plot_get_cardinality): move update and
	cache...
	(gog_plot_update_cardinality): here. [#382663]

2006-12-07  Morten Welinder  <terra@gnome.org>

	* goffice/utils/regutf8.c (go_regexec): Use g_try_new and require
	glib 2.8 (as libgsf already does).

2006-12-06  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-style.c: (gog_style_persist_prep_sax): register
	STYLE_INTERPOLATION instead of a second STYLE_LINE. [#382862]

2006-12-05  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	Fix markers in PDF and PS export.

	* goffice/graph/gog-renderer-cairo.c (grc_draw_marker): new.
	(grc_get_marker_surface): use grc_draw_marker.
	(gog_renderer_cairo_draw_marker): don't use a cached cairo surface for
	marker rendering when exporting to PDF and PS.
	(gog_renderer_cairo_export_image): ditto.

2006-12-04  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2006-12-03  Jody Goldberg <jody@gnome.org>

	* Release 0.3.4

2006-12-01  Christian Neumair  <chris@gnome-de.org>

	* goffice/graph/gog-object-xml.c: (gog_object_set_arg_full),
	(gog_object_write_property_sax):
	Pass actual property type to gsf_xml_gvalue_from_str() instead of its
	fundamental type. Also persist enums and flags, and bail if
	persistance failed.

2006-11-29  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-color-selector.c:  add go_color_selector_set_allow_alpha.
	* goffice/gtk/go-color-selector.h: ditto.

2006-11-27  Morten Welinder  <terra@gnome.org>

	* */*.c: Renaming of format_ symbols and a few others.

2006-11-25  Morten Welinder  <terra@gnome.org>

	* goffice/utils/go-undo.[ch]: New files.

2006-11-19  Jon K Hellan  <hellan@acm.org>

	* goffice/graph/gog-chart.c (gog_chart_map_2D_to_view): void
	function was returning value.

	* goffice/graph/gog-data-set.c (gog_dataset_dims): Ditto.

2006-11-13  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/graph/gog-renderer-cairo.c: (gog_renderer_cairo_update):
	fixed a memory leak.

2006-11-12  Jean Brefort  <jean.brefort@normalesup.org>

	* goffice/gtk/go-graph-widget.c: add horizontal and vertical
	resolution properties so that go_graph_set_size can be called with
	the size in pts.

2006-11-11  Jean Brefort  <jean.brefort@normalesup.org>

	* plugins/plot_surface/gog-surface.c: support inverted axis [#372969]
	and enhance axis bounds issues.

2006-11-04  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* goffice/component/go-component-factory.c (go_mime_type_free),
	  goffice/component/go-component.c (go_component_set_property, go_component_finalize),
	  goffice/data/go-data-simple.c (go_data_scalar_val_finalize, go_data_vector_str_finalize),
	  goffice/graph/gog-plot.c (gog_plot_finalize, gog_plot_set_property),
	  goffice/graph/gog-reg-curve.c (gog_reg_curve_finalize),
	  goffice/graph/gog-smoothed-curve.c (gog_smoothed_curve_finalize),
	  goffice/utils/go-image.c (go_image_set_property, go_image_finalize),
	  goffice/utils/go-regression.c (go_regression_stat_destroy),
	  plugins/plot_barcol/gog-line.c (gog_line_series_update, gog_line_series_finalize),
	  plugins/plot_boxes/gog-boxplot.c (gog_box_plot_update),
	  plugins/plot_boxes/gog-histogram.c (gog_histogram_plot_update, gog_histogram_plot_series_finalize),
	  plugins/plot_surface/gog-surface.c (gog_contour_plot_finalize),
	  plugins/plot_surface/xl-surface.c (get_y_vector, xl_contour_plot_finalize),
	  plugins/reg_linear/gog-lin-reg.c (gog_lin_reg_curve_update, gog_lin_reg_curve_build_values, gog_lin_reg_curve_set_property, gog_lin_reg_curve_finalize),
	  plugins/reg_linear/gog-log-reg.c (gog_log_reg_curve_build_values),
	  plugins/reg_linear/gog-polynom-reg.c (gog_polynom_reg_curve_build_values),
	  plugins/reg_logfit/gog-logfit.c (gog_log_fit_curve_update),
	  plugins/smoothing/gog-exp-smooth.c (gog_exp_smooth_update),
	  plugins/smoothing/gog-moving-avg.c (gog_moving_avg_update):
	  simplified as g_free handles NULL properly. Fixes #369662.

2006-11-06  Emmanuel Pacaud <emmanuel.pacaud@lapp.in2p3.fr>

	* goffice/gtk/go-color-selector.c (go_color_selector_new): adapt
	to new go_palette_new signature.
	* goffice/gtk/go-gradient-selector.c (go_gradient_selector_new):
	ditto.
	* goffice/gtk/go-marker-selector.c (go_marker_selector_new): ditto.
	* goffice/gtk/go-pattern-selector.c (go_pattern_selector_new): ditto.
	* goffice/gtk/go-line-selector.c (go_line_dash_selector_new): ditto.
	(go_line_dash_palette_get_tooltip_func): new.
	* goffice/gtk/go-palette.c (go_palette_init): init tooltips object.
	(go_palette_menu_item_new): add a tooltip using user get_tooltip
	function.
	(go_palette_new): add a new argument defining a get_tooltip callback.
	* goffice/utils/go-line.c (go_line_dash_as_label): new.

2006-11-06  Morten Welinder  <terra@gnome.org>

